2015-11-05 20:40-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormWindowTemplate.m: in baseWindowClass return
	GormNSPanel if _windowClass is NSPanel.   This should probably
	use GormPalettesManager substituteClasses at some point, but
	for now this is a workable solution.

2015-05-20 06:19-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* ANNOUNCE
	* NEWS
	* Version: 1.2.22

2015-05-20 06:16-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* ChangeLog
	* Documentation/news.texi
	* English.lproj/GormPrefGeneral.gorm
	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist
	* GormPrefs/GormGeneralPref.m
	* Plugins/Gorm/GormGormWrapperLoader.m: Remove calls to repairFile:
	as some of the logic in it is outdated and could cause issues with
	perfectly good gorm files.  Disabling pending further development.
	* Version

2015-05-11 Gregory John Casamento <greg.casamento@gmail.com

	* GormLib/IBObjectAdditions.m: Removed canSubstituteForClass:
	dummy implementation.  The reason for this is because some objc
	runtime implementations do not smash categories the same and
	do not allow replacement of class methods.  For this reason
	it was failing on some operating systems.  Fixes bug#45040.

2015-04-17 Riccardo Mottola <rm@gnu.org>

	* Palettes/3Containers/GormTabViewAttributesInspector.m
	* Palettes/3Containers/GormBrowserAttributesInspector.m
	* GormCore/GormFilePrefsManager.m
	Use cast to larger type for string formatting to allow
	compilation on Solaris.

2015-03-02 00:04-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormObjCHeaderParser/NSScanner+OCHeaderParser.m
	* GormObjCHeaderParser/OCHeaderParser.m: Fix for crash seen after
	last commit.

2015-03-02 00:04-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormObjCHeaderParser/OCHeaderParser.m: Add _stripRedundantStatements
	method which eliminates excess empty statements from the code which
	could confuse the parser.

2015-02-22 21:21-EST Gregory John Casamento <greg.casamento@gmail.com>

	* English.lproj/GormPreferences.gorm: Removed from pulldown menu
	* English.lproj/GormPrefGuideline.gorm: Added colorwell and
	connections.
	* GormPrefs/GNUmakefile: Removed classes.
	* GormPrefs/GormColorsPref.h
	* GormPrefs/GormColorsPref.m: Removed.
	* GormPrefs/GormGuidelinePref.h
	* GormPrefs/GormGuidelinePref.m: Added color well...
	* GormPrefs/GormPrefController.m: Removed view from case statement

2014-10-28 03:08-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* English.lproj/Gorm.gorm: Change connection to point to
	new selectAll:
	* GormCore/GormWrapperLoader.m: Fix for bug #42782
	* Gorm.m: Add select all method.

2014-08-31 Fred Kiefer <FredKiefer@gmx.de>

	* GormCore/GormDocument.m: Rewrite fix for bug #39072 to stop
	leaking memory.

2014-07-21 Fred Kiefer <FredKiefer@gmx.de>

	* GormCore/GormImage.m: Fix the init issue for the second
	method as well. Small cleanup.

2014-05-31 10:58-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormDocumentController.h: add declaration of
	openDocumentForContentsOfURL:
	* GormCore/GormDocumentController.m: add implementation of
	openDocumentForContentsOfURL:
	* GormCore/GormDocument.m: Add implementation of revertContentsOfURL:..
	Fix bug#28644

2014-05-30 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* Palettes/2Controls/GormColorWellAttributesInspector.h
	  fix typo in header guard
	* Palettes/2Controls/GormFormAttributesInspector.m
	  fix some format string warnings

2014-05-28 Riccardo Mottola <rm@gnu.org>

	* GormCore/GormClassInspector.m
	* GormCore/GormClassManager.m
	* GormCore/GormFilePrefsManager.m
	* GormCore/GormInspectorsManager.m
	Explicitely cast NSIntegers to avoid warning and problems.

2014-05-27 03:26-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormInspectorsManager.m
	* Palettes/2Controls/GormMatrixAttributesInspector.h
	* Palettes/2Controls/GormMatrixAttributesInspector.m
	* Palettes/2Controls/GormNSMatrixInspector.gorm: Fix for bug #28646.

2014-05-27 03:15-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormDocument.m: Fix bug #39072: add retain to prevent
	segmentation fault when renaming object in document view.

2014-05-26 19:25-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormObjCHeaderParser/OCIVarDecl.m
	* GormObjCHeaderParser/OCIVar.m: Fix for bug#30837.

2014-05-26 18:32-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/2Controls/GormFormAttributesInspector.h
	* Palettes/2Controls/GormFormAttributesInspector.m
	* Palettes/2Controls/GormNSFormInspector.gorm: Accept patch on
	bug#38477 by Sergei Golovin. Allows user to modify the
	number of items in an NSForm using the inspector.

2014-01-19 Fred Kiefer <FredKiefer@gmx.de>

	* Palettes/2Controls/GormButtonAttributesInspector.h: Use NSButton
	instead of the non-existign NSSwitch.
	* GormCore/GormViewKnobs.m: Replace DPS calls. Only realloc
	rect lists if needed.
	* Plugins/Gorm/GormGormWrapperBuilder.m,
	* Palettes/2Controls/GormPopUpButtonAttributesInspector.m,
	* Palettes/2Controls/GormButtonEditor.m: Remove compiler warnings.

2014-01-19 Fred Kiefer <FredKiefer@gmx.de>

	* GormCore/GormResourceManager.m,
	* GormCore/GormResource.m,
	* GormCore/GormOutlineView.m,
	* GormCore/GormObjectEditor.m,
	* GormCore/GormClassManager.m: Remove compiler warnings.

2014-01-19 Fred Kiefer <FredKiefer@gmx.de>

	* GormInfo.plist: Don't claim to be able to write XIB files.

2013-12-31 Fred Kiefer <FredKiefer@gmx.de>

	* GormCore/GormResourceManager.m (-resourcePasteboardTypes): Add
	IBMenuPboardType to work around menus not being draggable.

2013-11-04 10:03-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormBoxEditor.m
	* GormCore/GormClassEditor.m
	* GormCore/GormClassInspector.m
	* GormCore/GormClassManager.m
	* GormCore/GormControlEditor.m
	* GormCore/GormCustomView.m
	* GormCore/GormDocument.m
	* GormCore/GormDocumentWindow.m
	* GormCore/GormFilePrefsManager.h
	* GormCore/GormFilePrefsManager.m
	* GormCore/GormFunctions.h
	* GormCore/GormFunctions.m
	* GormCore/GormInspectorsManager.m
	* GormCore/GormInternalViewEditor.m
	* GormCore/GormMatrixEditor.h
	* GormCore/GormMatrixEditor.m
	* GormCore/GormNSPanel.h
	* GormCore/GormNSPanel.m
	* GormCore/GormNSWindow.h
	* GormCore/GormNSWindow.m
	* GormCore/GormObjectEditor.m
	* GormCore/GormObjectInspector.m
	* GormCore/GormOutlineView.m
	* GormCore/GormPrivate.h
	* GormCore/GormPrivate.m
	* GormCore/GormResourceEditor.m
	* GormCore/GormResourceManager.m
	* GormCore/GormSoundView.m
	* GormCore/GormSplitViewEditor.m
	* GormCore/GormStandaloneViewEditor.m
	* GormCore/GormViewEditor.m
	* GormCore/GormViewKnobs.m
	* GormCore/GormViewWithContentViewEditor.m
	* GormCore/GormViewWithSubviewsEditor.m: int -> NSInteger transition.

2013-10-26 Fred Kiefer <FredKiefer@gmx.de>

	* Plugins/Nib/GormNibWrapperBuilder.m (-initWithDocument:):
	Don't store nil values in maps.

2013-10-26 Riccardo Mottola <rm@gnu.org>

	* Plugins/Nib/GormNibWrapperBuilder.m
	Write warnings of respectively the proper nil object.

2013-10-19 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>

	* GormCore/GormClassEditor.m
	* GormCore/GormFilePrefsManager.m
	* Palettes/3Containers/GormBrowserAttributesInspector.m
	* Palettes/3Containers/GormTabViewAttributesInspector.m
	fix format strings

2013-10-14  Eric Wasylishen  <ewasylishen@gmail.com>

	*  Palettes/2Controls/GormNSMatrixInspector.gorm:
	*  Palettes/2Controls/GormNSSliderInspector.gorm:
	*  Palettes/2Controls/GormNSBoxInspector.gorm:
	*  Palettes/2Controls/GormNSTextFieldInspector.gorm:
	*  Palettes/2Controls/GormNSPopUpButtonInspector.gorm:
	*  Palettes/2Controls/GormNSButtonInspector.gorm:
	*  Palettes/2Controls/ControlsPalette.gorm:
	*  Palettes/2Controls/GormNSFormInspector.gorm:
	*  Palettes/2Controls/GormNSCellInspector.gorm:
	*  Palettes/0Menus/GormMenuAttributesInspector.gorm:
	*  Palettes/3Containers/GormNSTableColumnSizeInspector.gorm:
	*  Palettes/3Containers/GormTabViewInspector.gorm:
	*  Palettes/3Containers/GormNSTableViewInspector.gorm:
	*  Palettes/3Containers/GormNSBrowserInspector.gorm:
	*  Palettes/1Windows/GormNSWindowSizeInspector.gorm:
	*  Palettes/1Windows/GormNSWindowInspector.gorm:
	*  Palettes/4Data/GormNSComboBoxInspector.gorm:
	*  Palettes/4Data/GormNSImageViewInspector.gorm:
	*  Palettes/4Data/GormNSTextViewInspector.gorm:
	Turn off "Draws Background" on NSMatrix and NSForms; there's no need
	to draw backgrounds and it may look bad with themes.

2013-07-03 Niels Grewe <niels.grewe@halbordnung.de>

	* InterfaceBuilder/InterfaceBuilder.h: Fix incorrect header inclusion guard.

2013-06-05 Riccardo Mottola <rm@gnu.org>

	* GormCore/GormSetNameController.h
	* GormCore/GormSetNameController.m
	Make runModal return NSInteger

2013-05-26: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* Palettes/3Containers/GormNSOutlineView.m
	* GormCore/GormMatrixEditor.m
	* GormCore/GormClassEditor.m
	  some int -> NSInteger and float -> CGFloat transitions
	  spotted by libobjc2 runtime in debug mode

2013-04-14 13:19-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* ANNOUNCE
	* Documentation/news.texi
	* GormInfo.plist
	* NEWS
	* Version: 1.2.20

2013-03-06 01:44-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormViewEditor.m: -handleNotification: touch document
	when text editing is completed.
	Fixes for bug #28643.

2013-03-06 00:05-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormDocument.m: Touch document when aligning views in
	-alignSelectedObjects:.
	* Palettes/4Data/DataPalette.m: -depositViewResourceFromPasteboard:..
	touch document when adding formatter.
	* Palettes/4Data/GormDateFormatterAttributesInspector.m
	* Palettes/4Data/GormNumberFormatterAttributesInspector.m:
	-ok: touch document when changing formatter.
	Fixes for bug #28643.

2013-03-05 20:23-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormInternalViewEditor.m: touch document when font is
	changed in changeFont:

2013-02-25 15:07-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormWindowEditor.m: Second try to fix the previous
	issue.

2013-02-25 04:14-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormWindowEditor.m: Check the _firstResponder on
	the window to see if it is the same as the _initialFirstResponder.
	If it is, set it to nil as well in -unsetInitialFirstResponder:.

2013-02-23 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GormCore/GormObjectEditor.h
	* GormCore/GormObjectEditor.m
	* GormCore/GormPalettesManager.m
	* GormCore/GormSplitViewEditor.m
	* GormCore/GormViewEditor.m
	* GormCore/GormViewWithSubviewsEditor.m
	* GormCore/GormWindowEditor.m
	* Palettes/0Menus/GormMenuEditor.m
	* Palettes/3Containers/GormTableViewEditor.m
	* Palettes/4Data/GormTextViewEditor.m
	* adapt to -gui changes for DnD

2013-02-16 20:10-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormViewEditor.m: -editedObjectFrameDidChange:
	alter code so that allViews under the editor are collected
	and set to not post notifications.  This change prevents
	a notification/setFrame cycle which was occurring when
	certain controls were added as subviews to NSTabView or
	NSBox.

2013-01-26 20:42-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormDocument.m: Corrected issue with adding cells to
	object tree so that the can be properly addressed in connections.
	Change to -attachObject:toParent:.

2013-01-13 17:45-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormViewSizeInspector.m: Correct bug#30886: Gorm should
	change the document to edited when changing resize attributes.

2013-01-13 16:57-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/2Controls/GormColorWellAttributesInspector.m: NSColorWell
	inspector was showing inverted settings after the last change.
	Corrected this in -ok: and -revert: bug#32827

2012-12-12 12:33-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormViewEditor.m: Prevent recursive frame/bounds
	notifications when resizing a view.
	* Plugins/Nib/GormNibWrapperLoader.m: Preliminary changes to support
	reading nibs as files instead of packages.

2012-07-25 22:29-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormDocument.m: Apply patch suggested by Sebastian.
	This appears to correct an issue seen by Sergey causing an out of
	memory error.

2012-07-12: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GormLib/IBObjectAdditions.m
	* revert change from 2012-04-20, to fix Connection Inspector
	  on at least a couple of *BSD

2012-06-19 00:44-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* ANNOUNCE
	* Documentation/news.texi
	* GormCore/GormDocument.m
	* GormCore/GormFilePrefsManager.m
	* GormCore/GormObjectEditor.m
	* GormCore/GormViewEditor.m
	* GormCore/GormViewWindow.m
	* GormInfo.plist
	* NEWS
	* Version: 1.2.18

2012-05-01 23:25-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormDocument.m
	* GormCore/GormFilePrefsManager.m
	* GormCore/GormStandaloneViewEditor.m
	* GormCore/GormViewWithContentViewEditor.m
	* GormCore/GormWindowTemplate.m
	* Palettes/0Menus/GormMenuEditor.m
	* Palettes/0Menus/MenusPalette.m: Eliminate as many of the remaining
	warnings in the code as possible.

2012-04-20 18:53-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormResourceEditor.m: Correct compiler warnings.

2012-04-20 12:16-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/2Controls/GormNSPopUpButton.h
	* Palettes/2Controls/GormNSPopUpButton.m: Added new files for
	Gorm subclass of NSPopUpButton.

2012-04-20 12:03-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormCustomView.m
	* GormCore/GormFilesOwner.m
	* GormCore/GormFunctions.m
	* GormObjCHeaderParser/OCHeaderParser.m
	* Palettes/2Controls/ControlsPalette.m
	* Palettes/2Controls/GNUmakefile
	* Palettes/2Controls/GormPopUpButtonEditor.m
	* Palettes/3Containers/GormNSBrowser.m
	* Palettes/4Data/GormImageViewAttributesInspector.m: Correct
	compiler warnings found by clang.

2012-04-20 10:34-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormLib/IBObjectAdditions.m
	* GormObjCHeaderParser/OCClass.m
	* GormObjCHeaderParser/OCHeaderParser.m
	* GormObjCHeaderParser/OCIVarDecl.m
	* GormObjCHeaderParser/OCIVar.m
	* GormObjCHeaderParser/OCMethod.m
	* GormObjCHeaderParser/ParserFunctions.m: Fix compiler warnings
	when building with clang.

2012-04-20 02:11-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormClassInspector.m
	* GormCore/GormClassManager.m
	* GormCore/GormDocument.m
	* GormCore/GormGenericEditor.m
	* GormCore/GormObjectInspector.m
	* GormCore/GormOutlineView.m
	* GormCore/GormPrivate.h
	* GormCore/GormPrivate.m
	* Palettes/0Menus/GormMenuEditor.m
	* Palettes/1Windows/GormDrawerAttributesInspector.m
	* Palettes/3Containers/GormTableColumnAttributesInspector.m
	* Palettes/3Containers/GormTableViewEditor.m
	* Palettes/4Data/DataPalette.m
	* Palettes/4Data/GormNumberFormatterAttributesInspector.m: Change int/unsigned int to NSInteger
	and NSUInteger to address 64-bit issues.  Patch by
	Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* Plugins/Gorm/GormGormWrapperLoader.m
	* Plugins/Nib/GormNibWrapperBuilder.m
	* Plugins/Nib/GormNibWrapperLoader.m
	* Plugins/Xib/GormXibWrapperLoader.m: Clean up warnings found by clang.

2012-04-05 14:38-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormMatrixEditor.m: Change modifier to Ctrl+Shift since
	these two keys are never remapped and Alt does not always exist
	on european and some US keyboards.   This change should address
	bug#36096.

2012-03-17  German A. Arias  <german@xelalug.org>

	* Gorm.m: Added method -applicationShouldTerminateAfterLastWindowClosed:
	to avoid terminate Gorm when the user close the last window but have
	documents minimized at taskbar.

2012-02-19 18:58-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Version
	* GormInfo.plist
	* GormCore/GormFilePrefsManager.m: Update version information.

2012-02-15 17:59-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormPrivate.m: Remove poseAs: override. Fix for
	compilation with ObjC2.0 compilers.
	* Palettes/3Containers/GormNSTableColumnInspector.gorm:
	Correction for tableView column identifiers.   Delegate
	wasn't connected.

2012-02-06 02:02-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Version: 1.2.16
	* GormInfo.plist
	* Documentation/news.texi: Update version and documentation.

2012-02-06 02:02-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormClassInspector.m
	* GormCore/GormCustomClassInspector.h
	* GormCore/GormFilesOwner.m
	* GormCore/GormOutlineView.m

2012-01-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* English.lproj/GormClassInspector.gorm: Re-save with the
	last change, so the outlet/action table data cells are
	editable.

2012-01-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Palettes/3Containers/GormTableColumnAttributesInspector.m:
	Set editable state of the data cell to match editable state
	of the column. (NSTableView now refuses to edit non-editable
	data cells in editable columns.)

2012-01-15  Eric Wasylishen  <ewasylishen@gmail.com>

	* Palettes/3Containers/GormTabViewAttributesInspector.m:
	Add retain/release so tab view item isn't deallocated while
	being moved from one position to another.

2011-11-28 Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/0Menus/GormMenuAttributesInspector.m
	* Palettes/0Menus/GormMenuInspectors.m: Correction for
	bug #33457, title change should now cause document
	to be modified.

2011-10-29 Gregory John Casamento <greg.casamento@gmail.com>

	* Plugins/Xib/GormXibWrapperLoader.m
	* Plugins/Nib/GormNibWrapperLoader.m: Include GormWindowTemplate
	from GormCore instead of locally.
	* Plugins/Nib/GormWindowTemplate.h
	* Plugins/Nib/GormWindowTemplate.m: Move to GormCore.
	* Plugins/Nib/GNUmakefile: Remove GormWindowTemplate from here.
	* GormCore/GNUmakefile: Add GormWindowTemplate.[hm] here.

2011-11-04 Eric Wasylishen  <ewasylishen@gmail.com>

	* GormCore/GormFunctions.m: change float to CGFloat to match
	change in gui of -[NSColor getRed:green:blue:alpha:] method

2011-11-03  Fred Kiefer <FredKiefer@gmx.de>

	* Plugins/Xib/GormXibWrapperLoader.h,
	* Plugins/Xib/GormXibWrapperLoader.m: Get XIB files to be loaded.

2011-10-29 Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/3Containers/GormTableColumnAttributesInspector.h:
	Add sortMatrix and sortOrder to class for inspector.
	* Palettes/3Containers/GormTableColumnAttributesInspector.m:
	Add logic to ok:/revert: to handle sort descriptors.
	* Palettes/3Containers/GormTableColumnAttributesInspector.gorm:
	Add fields and popupbutton for sortKey, sortSelector and sortOrder
	removed previous changes and moved them over to these classes since
	they didn't belong in the NSTableView inspector.

2011-10-26 Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/3Containers/GormTableViewAttributesInspector.h:
	Add sortMatrix and sortOrder to class for inspector.
	* Palettes/3Containers/GormTableViewAttributesInspector.m:
	Add logic to ok:/revert: to handle sort descriptors.
	* Palettes/3Containers/GormNSTableViewInspector.gorm:
	Add form and popupbutton for sortMatrix and sortOrder

2011-10-25  Fred Kiefer <FredKiefer@gmx.de>

	* Palettes/0Menu/GormMenuEditor.m: Protect against the menu parent
	being a popup button cell.
	* Plugins/Xib/GormXibWrapperLoader.m: Move additional methods into
	gui and correct handling of file owner.

2011-09-15  Fred Kiefer <FredKiefer@gmx.de>

	* GormCore/GormPrivate.h ([NSDateFormatter +initialize],
	[NSNumberFormatter +initialize]): Remove these dangerours methods.
	* Palettes/4Data/DataPalette.m: Move +initialize method into
	DataPalette and retain the static objects.
	* Palettes/4Data/GormNumberFormatterAttributesInspector.m: Clean
	up compiler warnings.

2011-09-15  Fred Kiefer <FredKiefer@gmx.de>

	* Palettes/0Menu/GormMenuEditor.m: Change becomeMainWindow call
	to makeMainWindow.
	Patch by Matt Rice <ratmice@gmail.com>

2011-05-17 20:43-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormStandaloneViewEditor.h:
	* GormCore/GormStandaloneViewEditor.m: Improve support for standalone
	views.  Correct issue with ungrouping.  Correct issues with editing
	subviews in a standalone view.
	* GormCore/GormViewSizeInspector.m: Remove code which
	made standalone views uneditable in the size inspector.

2011-05-17 17:32-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormLib/COPYING.LIB: Update license text for files.
	* GormLib/IBApplicationAdditions.h
	* GormLib/IBApplicationAdditions.m
	* GormLib/IBCellAdditions.h
	* GormLib/IBCellProtocol.h
	* GormLib/IBConnectors.h
	* GormLib/IBConnectors.m
	* GormLib/IBDefines.h
	* GormLib/IBDocuments.h
	* GormLib/IBDocuments.m
	* GormLib/IBEditors.h
	* GormLib/IBEditors.m
	* GormLib/IBInspector.h
	* GormLib/IBInspector.m
	* GormLib/IBInspectorManager.h
	* GormLib/IBInspectorManager.m
	* GormLib/IBInspectorMode.h
	* GormLib/IBInspectorMode.m
	* GormLib/IBObjectAdditions.h
	* GormLib/IBObjectAdditions.m
	* GormLib/IBObjectProtocol.h
	* GormLib/IBPalette.h
	* GormLib/IBPalette.m
	* GormLib/IBPlugin.h
	* GormLib/IBPlugin.m
	* GormLib/IBProjectFiles.h
	* GormLib/IBProjects.h
	* GormLib/IBResourceManager.h
	* GormLib/IBResourceManager.m
	* GormLib/IBSystem.h
	* GormLib/IBViewAdditions.h
	* GormLib/IBViewProtocol.h
	* GormLib/IBViewResourceDragging.h
	* GormLib/InterfaceBuilder.h

2011-05-17 17:32-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Plugins/Xib/GormXibWrapperLoader.m: Various fixes for XIB
	loading.
	* English.lproj/GormDocument.gorm: Fix button title.

2011-04-28 14:44-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Plugins/Xib/GormXibWrapperLoader.m: Correct compilation errors
	and warnings in Xib loading code.  Correct loading code so that
	Xib file partially loads.

2011-04-26 20:24-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/2Controls/GormTextFieldAttributesInspector.m: Fix issue
	with refreshing display of enter/end editing when selecting fields.

2011-04-01 03:04-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/2Controls/GormNSTextFieldInspector.gorm: Add matrix
	for enter/end editing.
	* Palettes/2Controls/GormTextFieldAttributesInspector.h: Added
	ivar to point to new matrix
	* Palettes/2Controls/GormTextFieldAttributesInspector.m: Implement
	changes to handle "Send Action On Enter/End editing" per task #10799.
	Added code to ok: method to handle new matrix.

2011-04-01 03:04-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormInfo.plist: Bump version.
	* Version: Bump version for SVN version.

2011-01-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* GormCore/GormMatrixEditor.m (-connectTargetAtPoint:,
	-draggingEntered:, -performDragOperation:): Make connections to
	the whole matrix possible again for matrixes with small intercell
	spacing.

2011-01-04  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* GormCore/GormDocument.m (-windowAndRect:forObject:):
	* GormCore/GormMatrixEditor.m (-draggingEntered:,
	-performDragOperation:): Allow making connections to individual
	cells of a matrix.

	* GormCore/GormMatrixEditor.m (-validateFrame:...):
	Attach added cells and detach removed cells when changing the
	number of rows or columns in a matrix.

2010-12-05 19:10-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/4Data/GormImageViewAttributesInspector.m: Archive
	by name.

2010-12-05 18:12-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/4Data/GormImageViewAttributesInspector.m: Remove check for
	name so that images which currently do not reference a known image
	can be saved by name.
	* Palettes/4Data/GormNSImageViewInspector.gorm: Add connection
	to ok: from the text field.

2010-11-01 Riccardo Mottola

	* Plugins/Xib/GormXibWrapperLoader.m
	Removed c99-ism

2010-09-39 Niels Grewe <niels.grewe@halbordnung.de>

	* Gorm.m: Replace calls to sel_eq() with sel_isEqual() for
	compatibility with the Objective-C 2 runtime API. Whitespace
	cleanup.

	Small tweak for Objective-C 2 runtime API compatibility.

2010-09-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Palettes/4Data/GormTextViewAttributesInspector.h:
	* Palettes/4Data/GormTextViewAttributesInspector.m (-ok:, -revert:):
	* Palettes/4Data/GormNSTextViewInspector.gorm: Add switches to the
	text view inspector to control use of an undo manager and the find
	panel, respectively.

2010-09-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Palettes/2Controls/GormButtonEditor.m (-mouseDown): Fix bug
	where a button's title was lost when starting editing by double
	clicking into the button.

2010-09-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* English.lproj/Gorm.gorm: Actually bring the "Recent Documents"
	menu to life.

2010-09-15  Eric Wasylishen <ewasylishen@gmail.com>

	* GormCore/GormClassManager.m:
	* GormCore/GormObjectInspector.m: Tweaks to use ObjectiveC2 runtime
	API functions. Now Gorm works on libobjc2.

2010-08-04 13:20-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* English.lproj/Gorm.gorm: Add "Recent Documents" to menu.
	* GormCore/GormClassManager.m: Post notifications when files
	are created.
	* GormInfo.plist: Update my email address and list of authors to
	include Wolfgang and Adam.

2010-08-02  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Palettes/0Menus/MenusPalette.m (-finishInstantiate):
	Initialize the find menu items with tags and actions suitable for
	using the standard NSTextView find panel.

	* Resources/ClassInformation.plist:
	Add -centerSelectionInVisibleArea: and -performFindPanelAction: to
	the list of first responder actions.

2010-07-10 01:22-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormInfo.plist: Simplified copyright portion.  Give a range of
	years instead of each year individually.
	* Gorm.m: Implement simple mechanism for recieving notifications
	to parse a given class file.

2010-06-24  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Palettes/2Controls/GormPopUpButtonEditor.m
	(-attachPopUpWithFrame:inView:): Copy change from -gui which swaps
	the meaning of NSMinYEdge and NSMaxYEdge.

2010-06-24  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Palettes/2Controls/GormPopUpButtonAttributesInspector.h
	* Palettes/2Controls/GormPopUpButtonAttributesInspector.m
	* Palettes/2Controls/GormNSPopUpButtonInspector.gorm: Add a form to
	allow editing the title of a pull down menu and a pop up button to
	allow setting its preferred attachment edge.

2010-06-19 Riccardo Mottola

	* GormLib/IBEditors.h
	Make IBEditors implement NSobject protocol to avoid warnings.

2010-06-02 17:45-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* English.lproj/GormFontView.gorm: Fix problem with popup showing
	as Button.
	* GormCore/GormDocument.m: Add the NSMenu as a top level item only
	if it has filesOwner as it's parent.
	* GormCore/GormPalettesManager.m: remove the restriction for having
	just one instance of NSMenu in the document at the top level.

2010-05-30 03:07-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormDocument.m: In
	[GormDocument loadFileWrapperRepresentation:ofType:] call
	updateChangeCount: to clear changes so that the document
	doesn't show as modified on load.

2010-05-30 03:02-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GNUmakefile: Added Xib.plugin to resources.
	* GormInfo.plist: Added xib to the list of files Gorm can load
	* Gorm.m: Change to recieve notifications to add/delete classes.
	* Plugins/GNUmakefile: Added Xib plugin to subprojects list.
	* Plugins/Xib/GNUmakefile
	* Plugins/Xib/GNUmakefile.preamble
	* Plugins/Xib/GormXibCustomResource.h
	* Plugins/Xib/GormXibCustomResource.m
	* Plugins/Xib/GormXibPlugin.m
	* Plugins/Xib/GormXibWrapperLoader.h
	* Plugins/Xib/GormXibWrapperLoader.m: Initial code for XIB plugin.

2010-05-28  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Palettes/0Menus/GormNSMenu.h:
	* Palettes/0Menus/GormNSMenu.m:
	* Palettes/0Menus/GormMenuAttributesInspector.m: Don't validate
	menu items in design menus.

2010-05-28  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* GormCore/GormDocument.h:
	* GormCore/GormDocument.m:
	* Palettes/0Menus/GormMenuAttributesInspector.m:
	* Palettes/0Menus/GormMenuAttributesInspector.gorm:
	Add support for a recent documents menu in gorm documents.

	* Palettes/0Menus/MenusPalette.m:
	Add a recent documents menu to the palette's file menu.
	Add undo and redo commands to the palette's edit menu.

2010-05-22 02:23-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* English.lproj/GormPreferences.gorm: Correct issue with pop up
	showing up as "Button."

2010-05-20 04:04-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormFilePrefsManager.m: Update version
	* GormInfo.plist: Update version
	* Palettes/2Controls/GormPopUpButtonEditor.m: Override
	method to prevent changes to appearance during editing.
	* Version: Change to 1.2.13 for SVN version of Gorm.

2010-05-18 21:55-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Version: 1.2.12

2010-05-18 21:50-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* ChangeLog
	* GormCore/GormNSWindow.m
	* GormCore/GormNSPanel.m: Update to use new designated initializer.

2010-05-18 20:50-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* ANNOUNCE
	* Documentation/announce.texi
	* Documentation/news.texi
	* Documentation/readme.texi
	* NEWS
	* README: Updating for release.

2010-05-18 20:38-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist: Update version number.

2010-05-18 20:31-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* English.lproj/Gorm.gorm: Remove delegate connection, since it's
	manually set in the Gorm NSApplication subclass to self.
	* GormCore/GormDocumentController.[hm]: Added new method
	buildDocumentType:
	* GormCore/GormDocument.m: Added call to touch in setName: so that
	the document would be set as modified when the user alters
	the name of an object in the document.
	* GormCore/GormDocumentWindow.m: Remove methods preventing
	document window from assuming main/key status.
	* GormCore/GormPalettesManager.m: Remove methods allowing palette
	window to assume main/key status
	* Gorm.m: Added delegate methods to handle opening a document, if
	in a mode which requires a default document to be created.

2010-05-18 19:42-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Documentation/Gorm.texi
	* Documentation/news.texi
	* Documentation/readme.texi
	* GormCore/GormDocument.m: Correction for bug #28643.
	* Version

2010-05-05 20:55-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormClassManager.m: Correct bug#29795: Unable to change
	superclass of NSOwner...  This bug was due to the owner class name
	being released and a subsequent set failing on NSOwner in the
	parseHeader: method.

2010-05-05 12:38-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormClassInspector.m:
	[GormClassInspector selectClass:] Refresh connections so that
	when the class is reparented only those connections which aren't
	present anymore get broken.

2010-05-04 19:25-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormClassInspector.m: Allow a class' name to be changed
	in the GormClassInspector without it disconnecting all connections
	for that class.

2010-05-02 01:11-EDT Gregory John Casamento <greg.casamento@gmail.com>

	Applied patch submitted by qmathe.
	* GormCore/GormClassManager.m: Remove include for GSCategories.h

2010-03-07  Richard Frith-Macdonald <rfm@gnu.org>

	* Documentation/gorm.texi: Fixed opening file to say 'gopen -a Gorm.app'
	for bug #29085

2010-03-05  Richard Frith-Macdonald <rfm@gnu.org>

	* GormCore/GormFunctions.m: update for latest base library.

2010-02-24 17:55-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Palettes/2Controls/ControlsPalette.tiff
	* Palettes/4Data/DataPalette.tiff: Remove background and replace
	with alpha.

2010-02-12 20:01-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormFunctions.m: Correct the function which enumerates
	over the list of methods in a class when adding from a palette.

2010-02-08 07:13-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Gorm.m: Separate out the server methods into a category.

2010-02-08 06:46-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormServer.h: Added deleteClass: method
	* Gorm.m: Added implementation for deleteClass:

2010-02-07 05:43-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GNUmakefile: Added GormServer.h to the headers.
	* GormCore/GormCustomClassInspector.m: Change tooltip when
	a new custom class is selected from the list.
	* GormCore/GormPalettesManager.m: Set autoresizing on drag view.
	* GormCore/GormServer.h: Protocol for GormServer.
	* GormCore/GormViewEditor.m: Add the class name to the
	tooltip.
	* Gorm.m: Vend the object so that other apps can talk
	to Gorm via DO.

2010-01-20  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Palettes/2Controls/ControlsPalette.gorm:
	Replace the two orphaned radio buttons by a NSMatrix.

2010-01-17  Wolfgang Lux  <wolfgang.lux@gmail.com>

	* Palettes/2Controls/GormButtonAttributesInspector.m(-ok:, -revert:):
	Fix the NSButton inspector to use \r as key equivalent for the
	Return key.

	* GormCore/GormViewWithContentViewEditor.m (-ungroup):
	* GormCore/GormSplitViewEditor.m (-ungroup, -destroyAndListSubviews):
	Remove the former container view from its parent after an ungroup
	operation.

2010-01-14 06:46-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormDocumentWindow.m: Make window unable to become main.
	This is so that the document window will not receive the menu
	on Windows.
	* GormCore/GormPalettesManager.m: Make the panel able to become main
	so that it can recieve the menu on Windows.

2010-01-06 01:06-EST Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GNUmakefile: Add files here.
	* GormCore/GormNSPanel.[hm]
	* GormCore/GormNSWindow.[hm]: Move GormNSPanel.[hm] and
	GormWindow.[hm] here.
	* Palettes/1Windows/GNUmakefile: Remove files from being compiled
	* Palettes/1Windows/GormNSPanel.h
	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.h
	* Palettes/1Windows/GormNSWindow.m: Remove these from here
	* Palettes/1Windows/GormWindowAttributesInspector.m
	* Palettes/1Windows/WindowsPalette.m: Change to include
	GormNSPanel/GormNSWindow from the correct area.

2009-12-30 23:40-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Plugins/Nib/GormNibWrapperLoader.m: Remove reference to
	GSClassSwapper and replace it with NSClassSwapper.
	* Plugins/Nib/GormWindowTemplate.m: Override the
	baseWindowClass method to return GormNSWindow as appropriate.

2009-12-27 01:17-EST Gregory John Casamento <greg.casamento@gmail.com>

	* Gorm.m
	* Plugins/Nib/GNUmakefile: Add new class to makefile.
	* Plugins/Nib/GormNibWrapperLoader.m: Modified to use
	GormWindowTemplate.
	* Plugins/Nib/GormWindowTemplate.[hm]: Replace flags
	used only at runtime when the template is loaded. This is
	so, for example, the released when closed flag will not cause
	issues when editing the window.

2009-12-01 Riccardo Mottola <rmottola@users.sf.net>

	* Gorm.m: do not open untitled document on application start

2009-12-01 German Arias <german@xelalug.org>

	* GormCore/GormDocument.m: Changes to prevent menus placed off screen
	on screens with low resolutions

2009-11-11 09:27-WIT Hans Baier <hansfbaier@googlemail.com>

	* English.lproj/Gorm.gorm: remove duplicate keyboard shortcut #p
	(now pops up palette only)

2009-10-13 23:52-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormFunctions.m: Temporary change to fix compilation
	problem.
	* GormCore/GormViewEditor.m: Added code to show id of the object
	as a tooltip.

2009-09-22 16:59-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormViewWithSubviewsEditor.m: Call super instead of
	parent.  Corrects issue with connecting to NSBox and
	NSProgressIndicator.
	Patch by Wolfgang Lux <wolfgang.lux@gmail.com>

2009-09-06 23:55-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* English.lproj/Gorm.gorm
	* GormCore/GormGenericEditor.h
	* GormCore/GormViewWithContentViewEditor.h
	* GormCore/GormViewWithContentViewEditor.m
	* Gorm.m: Beginning of implementation of groupSelectionInView:

2009-08-22 18:04-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormOutlineView.m: Remove .tiff from the end of the images.
	This is interfering with theming in gorm since it's not pulling the
	right images in this case.
	* Plugins/Nib/GormNibCustomResource.[hm]: Handle custom resources
	in gorm, currently just images/sounds.
	* Plugins/Nib/GormNibWrapperLoader.h: Include nib resource header

2009-08-10 10:02-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormDefines.h: Move defines for certain things here
	so that they are centralized.

2009-08-08 03:09-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GNUmakefile: Added reference to new classes.
	* GormCore/GormBoxEditor.m: Cleanup.
	* GormCore/GormClassManager.m: Correction for when loading from a
	nib and there are no custom classes in the nib file.
	* GormCore/GormDocumentWindow.m: Added awakeFromNib to accept
	mouse moved events.
	* GormCore/GormInternalViewEditor.m: Cleanup.
	* GormCore/GormStandaloneViewEditor.[hm]: Addition of new class.
	* GormCore/GormViewWithContentViewEditor.[hm]: Removal of
	handleMouseOnKnob:ofView:withEvent:,
	handleMouseOnView:withEvent: methods
	* GormCore/GormViewWithSubviewsEditor.[hm]: Addition of
	handleMouseOnKnob:ofView:withEvent:,
	handleMouseOnView:withEvent: methods
	* Palettes/0Menus/GormNSMenu.m: Cleanup.

2009-07-25 18:47-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GNUmakefile
	* GormCore/GormBoxEditor.m
	* GormCore/GormDocumentWindow.m
	* GormCore/GormInternalViewEditor.m
	* GormCore/GormObjectEditor.m
	* GormCore/GormStandaloneViewEditor.[hm]: New classes to handle
	standalone views.
	* GormCore/GormViewWithContentViewEditor.[hm]:
	* GormCore/GormViewWithContentViewEditor.m
	* GormCore/GormViewWithSubviewsEditor.h
	* GormCore/GormViewWithSubviewsEditor.m

2009-06-23 22:19-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist
	* Version: Update to 1.2.11.

2009-06-01 21:21-EDT Gregory John Casamento <greg.casamento@gmail.com>

	* Version: 1.2.10

2009-03-24 18:02-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuEditor.m: -(void)deleteSelection, remove
	arbitrary limitation which prevents removing all items in a menu.

2009-03-19 23:39-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormWrapperLoader.m: Allow handling of wrappers which
	are not directories.
	* Plugins/Gorm/GormGormWrapperLoader.m: Change logic to accommodate
	previous generation of .gorm files which were not packages.  Also
	correct the code so that a return is not made within the NS_DURING
	block.
	* Plugins/Nib/GormNibWrapperLoader.m: Do not load if the
	wrapper is not a directory.

2009-03-17 01:05-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Plugins/Nib/GormNibWrapperLoader.m: Correct the code so that
	return is not called from within an NS_DURING block.

2009-03-16 20:18-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Plugins/Nib/GormNibWrapperLoader.m: Correct compilation error.

2009-03-03 18:17-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassInspector.m: Change the cell to scrollable
	to allow long action/outlet names.

2009-02-11 09:22-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuEditor.m: Revert some changes from
	previous modification.  Corrects issue with submenus showing up
	when they shouldn't.

2009-02-11 01:31-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Remove call to deprecated method.
	* GormCore/GormInternalViewEditor.m: Minor cleanup
	* GormObjCHeaderParser/OCMethod.m: Minor cleanup
	* Palettes/2Controls/GormNSTextFieldInspector.gorm: Correct issue
	with misspelled outlet name.

2009-02-02 17:13-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormButtonAttributesInspector.[hm]:
	Added code to handle button style.
	* Palettes/2Controls/GormNSButtonInspector.gorm: Added button
	style popup to the inspector.

2009-02-01 09:20-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormBoxEditor.m
	* GormCore/GormInternalViewEditor.m
	* GormCore/GormViewWithSubviewsEditor.m: Changes to support
	standalone views.

2009-01-31 18:45-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomView.m: Allow addition of plain NSView to
	a gorm file.

2009-01-25 09:47-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewWindow.m: Change the color used for standalone
	views.

2009-01-25 07:54-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormNSMenu.m: Fix memory leak.

2009-01-25 07:00-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist: Change version to 1.2.9 (SVN) unstable.

2009-01-25 06:50-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuEditor.m: Display the in certain situations.
	* Palettes/0Menus/GormNSMenu.m: Remove call to setMenu: in
	_createWindow since it's not needed and was causing display issues.
	* Palettes/0Menus/GormNSMenuView.m: Use new method in NSMenuView
	to reduce code duplication.  Corrections for bug #25401.

2009-01-06 20:48-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/ClassInformation.plist: Added printDocument: method
	to FirstResponder

2009-01-06  Fred Kiefer <FredKiefer@gmx.de>

	* GormCore/GormClassManager.m (-nibData): Make sure an action name
	of ":" gets ignored.

2008-12-26 13:53-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Version: 1.2.8

2008-12-26 13:53-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* ANNOUNCE
	* Documentation/news.texi
	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist
	* NEWS: Update with new version information.

2008-12-19  Nicola Pero <nicola.pero@meta-innovation.com>

	* All GNUmakefiles: removed GNUSTEP_CORE_SOFTWARE=YES and
	added PACKAGE_NAME=gorm.
	* GNUmakefile: Export PACKAGE_NAME to reduce chances of a problem
	if a GNUmakefile in a subdirectory is missing it.
	* GormObjCHeaderParser/GNUmakefile: Do not set
	PACKAGE_NAME to GormObjCHeaderParser.

2008-12-18  Nicola Pero  <nicola.pero@meta-innovation.com>

	* All GNUmakefiles: added GNUSTEP_CORE_SOFTWARE=YES at the
	beginning.
	* GNUmakefile: Export GNUSTEP_CORE_SOFTWARE to reduce chances of a
	problem if a GNUmakefile in a subdirectory is missing it.

2008-12-18 00:52-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Plugins/Nib/GormNibWrapperBuilder.m: -[GormNibWrapperBuilder
	archiver: willEncodeObject:] add back code to replace
	GormFirstResponder with nil.  Changes to use proper templates when
	encoding nib files.

2008-12-18 00:20-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: Fix for bug#25111.
	* Plugins/Nib/GormNibWrapperBuilder.m: Remove code which adds nil
	to the map if the object is a GormFirstResponder

2008-12-06 11:04-EST Bernard Cafarelli <voyageur>
	Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile.preamble: Corrects bug #25001.

2008-12-02 02:58-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomView.m
	* GormCore/GormDocument.m
	* GormCore/GormFilePrefsManager.m
	* GormCore/GormHelpInspector.m
	* GormCore/GormPrivate.h
	* GormCore/GormPrivate.m
	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.m
	* Palettes/1Windows/GormWindowSizeInspector.m
	* Palettes/1Windows/WindowsPalette.m
	* Plugins/Gorm/GormGormWrapperBuilder.m
	* Plugins/Nib/GormNibWrapperBuilder.m
	* Plugins/Nib/GormNibWrapperLoader.h: Use new header files for
	nib/gorm loading.

2008-11-27 11:43-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Remove default install to SYSTEM, per bug #24673.
	* Plugins/Gorm/GormGormWrapperLoader.m: Minor grammatical correction.

2008-11-13 23:36-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Change to apply labels in the document
	to cells in a matrix.
	* GormCore/GormFilePrefsManager.m: Update version to 1.2.7
	* GormInfo.plist: Same
	* Version: Same

2008-10-25 18:40-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Version: 1.2.6

2008-10-22 22:30-EDT Wolfgang Lux <wolfgang.lux@gmail.com>
	Patch committed by: Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBObjectAdditions.m: Remove duplicate method implementations
	from here to fix issues on Darwin.

2008-10-19 21:50-EDT Wolfgang Lux <wolfgang.lux@gmail.com>
	Patch committed by: Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGenericEditor.h
	* GormCore/GormGenericEditor.m
	* GormCore/GormImageEditor.m
	* GormCore/GormObjectEditor.m
	* GormCore/GormSoundEditor.m: Observe notification IBWillCloseDocument
	and remove the reference to the document when that is recieved to
	avoid a crash.
	* Resources/ClassInformation.plist: Add outlet for delegate to
	NSSplitView.

2008-10-06 19:22-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/ControlsPalette.m: Correct sizing issue with
	Controls Palette.

2008-09-27 23:11-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPrefs/GormPluginsPref.m: Include GormPluginManager.h to
	eliminate compiler warning.

2008-09-27 23:02-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPreferences.gorm
	* English.lproj/GormPrefPlugins.gorm
	* GNUmakefile
	* GormCore/GormPluginManager.m
	* GormPrefs/GNUmakefile
	* GormPrefs/GormPalettesPref.h
	* GormPrefs/GormPluginsPref.h
	* GormPrefs/GormPluginsPref.m
	* GormPrefs/GormPrefController.h
	* GormPrefs/GormPrefController.m: Changes to allow addition of
	plugins by users.

2008-09-27 21:10-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPalettesManager.h
	* GormCore/GormPalettesManager.m: Reverted the previous change to the
	palettes manager.

2008-09-06 16:12-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Added GNUSTEP_INSTALLATION_DOMAIN
	* GormCore/GormCustomView.m: Reverted previous change.  Need to
	write a GormCustomViewEditor instead to handle this case.
	* GormLib/GNUmakefile: Added GNUSTEP_INSTALLATION_DOMAIN

2008-09-04 08:00-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Remove unhide: implementation.  Correction for bug#24146.

2008-08-24 13:20-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomView.m: Code to return the best possible
	superclass.
	* GormCore/GormDocument.m: More info in the description method
	* GormCore/GormViewWindow.m: Fixing handling of standalone views.

2008-07-20 09:32-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormObjCHeaderParser/OCIVar.m
	* GormObjCHeaderParser/ParserFunctions.h
	* GormObjCHeaderParser/ParserFunctions.m: Correction for
	bug #23889.

2008-06-24 19:18-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormWrapperBuilder.h
	* GormCore/GormWrapperBuilder.m
	* GormCore/GormWrapperLoader.h
	* GormCore/GormWrapperLoader.m
	* Plugins/GModel/GormGModelPlugin.m
	* Plugins/GModel/GormGModelWrapperLoader.h
	* Plugins/GModel/GormGModelWrapperLoader.m
	* Plugins/Gorm/GormGormPlugin.m
	* Plugins/Gorm/GormGormWrapperBuilder.m
	* Plugins/Gorm/GormGormWrapperLoader.m
	* Plugins/Nib/GormNibPlugin.m
	* Plugins/Nib/GormNibWrapperBuilder.m
	* Plugins/Nib/GormNibWrapperLoader.m: Change method name from "type"
	to "fileType" to avoid issues with gcc < 3.0

2008-06-24 18:09-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormWrapperLoader.h
	* Plugins/Gorm/GormGormWrapperLoader.h
	* Plugins/Nib/GormNibPlugin.m: Call type from here.
	* Plugins/Nib/GormNibWrapperLoader.h: Move type method to super-class
	declaration.

2008-05-25 09:09-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormObjectEditor.m: Correction for segfault.
	* Plugins/Nib/GormNibPlugin.m: Correction for compilation error
	on gcc < 3.1 systems.

2008-05-20  fabien  <fabien@sonappart.net>

	* GormCore/GormObjectEditor.m: add draggingExited: to implement
	autoscrolling during IBAction connections.

2008-05-18 19:16-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Correct segfault.  Remove unecessary
	call to removeFromSuperview for the selection box from
	GormDocument window.

2008-05-18  fabien  <fabien@sonappart.net>

	* Palettes/3Containers/GormTabViewAttributesInspector.h:
	Add itemPrevious and itemNext outlets
	* Palettes/3Containers/GormTabViewInspector.gorm:
	Add itemPrevious and itemNext outlets
	* Palettes/3Containers/GormTabViewInspector.gorm:
	Implement NSTabView items ordering in ok:

2008-05-16 20:47-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPluginManager.h
	* GormCore/GormPluginManager.m: Added manager class.

2008-05-16 20:46-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPlugin.h
	* GormCore/GormPlugin.m: plugin class for gorm plugins.

2008-05-16 20:41-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Added plugins as resources.
	* GormCore/GNUmakefile: Remove classes from file
	* GormCore/GormGModelWrapperLoader.m
	* GormCore/GormGormWrapperBuilder.m
	* GormCore/GormGormWrapperLoader.m
	* GormCore/GormNibWrapperBuilder.m
	* GormCore/GormNibWrapperLoader.m: Removed the loaders from GormCore.
	* GormCore/GormProtocol.h: Added a new method.
	* GormLib/IBPlugin.m: Added implementations to some of the methods.
	* Gorm.m: Added a "pluginManager" method.
	* Palettes/1Windows/GNUmakefile.preamble
	* Palettes/2Controls/GNUmakefile.preamble
	* Palettes/3Containers/GNUmakefile.preamble
	* Palettes/4Data/GNUmakefile.preamble: Corrected issue with all
	of the palette makefiles pointing to the wrong name.
	* Plugins/GModel/GNUmakefile
	* Plugins/GModel/GNUmakefile.preamble
	* Plugins/GModel/GormGModelPlugin.m
	* Plugins/GModel/GormGModelWrapperLoader.h
	* Plugins/GModel/GormGModelWrapperLoader.m
	* Plugins/Gorm/GNUmakefile
	* Plugins/Gorm/GNUmakefile.preamble
	* Plugins/Gorm/GormGormPlugin.m
	* Plugins/Gorm/GormGormWrapperBuilder.m
	* Plugins/Gorm/GormGormWrapperLoader.h
	* Plugins/Gorm/GormGormWrapperLoader.m
	* Plugins/Nib/GNUmakefile
	* Plugins/Nib/GNUmakefile.preamble
	* Plugins/Nib/GormNibPlugin.m
	* Plugins/Nib/GormNibWrapperBuilder.m
	* Plugins/Nib/GormNibWrapperLoader.h
	* Plugins/Nib/GormNibWrapperLoader.m: Added new plugins for each
	supported file type.
	* Resources/Defaults.plist: Added the "BuiltinPlugins" default.

2008-05-06 20:04-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Added shortcut to Page Layout menu.

2008-05-05 20:26-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Add Page Layout menu.

2008-05-05 20:08-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Added Print menu.
	* Gorm.m: Added print: method to print the current keyWindow.

2008-05-04 18:09-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPalettesManager.m: Cleanup

2008-05-04 18:00-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPalettesManager.m: Correction for issue with palette
	clipping the top of the controls.

2008-05-03 13:40-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.m: Cleanup and fix for
	release when closed on panel.
	* Palettes/2Controls/ControlsPalette.gorm: Minor adjustment

2008-04-28 19:06-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPalettePanel.gorm

2008-04-28 17:31-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Reinstate large toolbar on document.

2008-04-27 19:32-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPalettePanel.gorm: Moved palette window to
	gorm file.
	* GNUmakefile: Added new gorm here.
	* GormCore/GormDocument.m: Made toolbar items smaller
	* GormCore/GormPalettesManager.[hm]: Added toolbar implementation
	to this class to allow the user to switch palettes using the toolbar.

2008-04-25 17:41-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Corrected possition.
	* GormCore/GormInspectorsManager.m: Show the name of the object
	which is being edited in the inspector title.
	* Palettes/1Windows/GormNSWindowInspector.gorm: Added support for
	setting the frame save name.
	* Palettes/1Windows/GormWindowAttributesInspector.h: Added ivar
	* Palettes/1Windows/GormWindowAttributesInspector.m: Modified ok: and
	revert:

2008-04-24 18:57-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Correct position of window.

2008-04-24 18:06-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Correct resize attributes of
	GormDocument.

2008-04-24 01:28-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormScrollViewAttributesInspector.gorm: Correct
	resizing issues with inspector.

2008-04-24 01:21-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: change to log to debug instead.
	* GormCore/GormImageEditor.m: properly dealloc the image code.

2008-04-24 00:54-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Correct issue with window.
	* GormCore/GormDocument.m
	* GormCore/GormImageEditor.m
	* GormCore/GormObjectEditor.m
	* GormCore/GormSoundEditor.m: Fix memory leak.

2008-04-23 20:03-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSWindowInspector.gorm: Connected the
	button for "released when closed" button.
	* Palettes/1Windows/GormNSWindow.m: Correction for issue where
	isReleasedWhenClosed isn't set properly.

2008-04-20 11:47-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInfo.plist: Minor correction to the plist.

2008-04-14 17:37-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormImageEditor.m
	* GormCore/GormOutlineView.m
	* GormCore/GormResourceManager.m
	* GormCore/GormSoundInspector.m
	* GormCore/GormSplitViewEditor.m
	* GormLib/IBInspectorManager.m
	* Palettes/2Controls/GormBoxAttributesInspector.m
	* Palettes/4Data/GormDateFormatterAttributesInspector.m
	* Palettes/4Data/GormImageViewAttributesInspector.m
	* Palettes/4Data/GormNumberFormatterAttributesInspector.m: General
	clean up and compilation fixes to allow Gorm to compile without
	warnings.

2008-04-07 18:59-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist
	* Version: Moved to version 1.2.5.

2008-04-06 22:09-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Version: 1.2.4

2008-04-06 22:09-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* ANNOUNCE
	* ChangeLog
	* Documentation/news.texi
	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist
	* NEWS
	* Version: Updating for release.

2008-03-05 20:45-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormWrapperLoader.m: Correct c99'ism.

2008-02-18 20:31-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormPopUpButtonEditor.m: Change to use helper
	method to set up "preferred edge" correctly.

2008-02-17 12:49-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewEditor.m
	* GormCore/GormViewWindow.m: Minor correction to view resizing for
	windowless views to show contents properly.  Still working on
	editor issues.

2008-02-17 01:07-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInternalViewEditor.m
	* GormCore/GormScrollViewEditor.m
	* GormCore/GormSplitViewEditor.m
	* GormCore/GormViewEditor.m
	* GormCore/GormViewWithContentViewEditor.m: Corrections for
	bug#18171.  Fixes issues with grouping and ungrouping.

2008-02-16 20:54-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormSliderAttributesInspector.m: Cleaned up
	code to use NSOnState and NSOffState properly, since we can't depend
	on them always reflecting YES and NO respectively.
	* Palettes/3Containers/GormTableViewAttributesInspector.m:
	Corrected call in ok: to use enclosingScrollView instead of
	simply getting the superview of the table.  This corrects bug#22333.

2008-02-09  Adam Fedor  <fedor@gnu.org>

	* GormCore/GormGenericEditor.m ([GormGenericEditor -refreshCells]):
	Avoid segfault on solaris machines.

2008-02-09 12:15-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m
	* GormCore/GormGenericEditor.m
	* GormCore/GormObjectEditor.m: Change background color of
	object view.

2008-01-10  Nicola Pero  <nicola.pero@meta-innovation.com>

	* GNUmakefile.postamble (LN_S_RECURSIVE): For
	backwards-compatibility with older versions of gnustep-make,
	define to be the same as LN_S if not defined yet.
	(before-all): Use RM_LN_S to delete the symlink, and use
	LN_S_RECURSIVE to create it.
	(after-clean): Use RM_LN_S to delete the symlink.

	* GormPrefs/GormPrefController.m ([-init]): Avoid compiler
	warning.

2008-01-07 20:04-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuItemAttributesInspector.h
	* Palettes/0Menus/GormMenuItemAttributesInspector.m: Moved strings
	for non-printable characters to class variables.

2008-01-07 18:50-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGenericEditor.m: Removed patch for bug#17539.  Was
	causing issues on load.
	* GormCore/GormNibWrapperLoader.m: Removed extra NSLog(...);

2008-01-07 18:37-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Minor issues corrected with c99
	changes.

2008-01-07 17:40-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormDrawerAttributesInspector.gorm:
	Fixed issue with dropdown.
	* Palettes/2Controls/GormButtonEditor.m: Fixed minor resize issue.

2008-01-05 Riccardo Mottola <riccardo@kaffe.org>
	* GormCore/GormWrapperBuilder.m: removed some c99-isms

2008-01-04 Riccardo Mottola <riccardo@kaffe.org>
	* GormCore/GormGormWrapperLoader.m: removed some c99-isms
	* GormCore/GormNibWrapperLoader.m: removed some c99-isms

2008-01-04 18:38-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewWindow.m: Try to get the editor for the
	standalone view and activate it.

2008-01-04 13:22-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Changed delete to require command,
	it was causing issues with editing text fields.
	* English.lproj/GormScrollViewAttributesInspector.gorm
	* GormCore/GormScrollViewAttributesInspector.h
	* GormCore/GormScrollViewAttributesInspector.m: Added ruler switches
	to inspector.

2008-01-04 12:05-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m
	* GormLib/IBDocuments.h: Addition of private methods for bug#17892.

2008-01-03 20:39-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGenericEditor.m: Reformed and applied patch provided
	by Sergey Golovin.  Corrects bug#17539.

2008-01-03 20:17-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Added menu shortcut for delete/backspace
	to correct bug#15637.

2008-01-03 20:02-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Corrections for bug#19792.
	Nib loader connector logic modified to correct this issue.

2008-01-03 19:40-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewKnobs.m: drkgrey changed to fgcolor.

2008-01-03 17:22-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewKnobs.m: Draw initial knobs as red
	to differentiate them from the black ones which indicates that
	the inside of a non-simple view is selected.  Corrects bug#21479.

2008-01-03 14:50-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGormWrapperLoader.m: Correct invalid window level
	in _repairFile: method.

2008-01-01 23:07-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGormWrapperLoader.m: Touch the document to mark it
	as modified in the _repairFile method only if corrections have been
	made.

2008-01-01 22:57-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGormWrapperLoader.m: Cleanup array after
	display of errors/warnings.

2008-01-01 15:26-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Plugins/GModel/GNUmakefile
	* Plugins/Gorm/GNUmakefile
	* Plugins/Nib/GNUmakefile: Add dummy makefiles.

2008-01-01 15:21-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Plugins/GNUmakefile: Add makefile in plugins dir.

2008-01-01 14:03-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGormWrapperLoader.m: More corrections to the
	_repairFile method.
	* GormInfo.plist: Changed to reflect SVN status

2007-12-31 21:22-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormInconsistenciesPanel.gorm: Error panel to show
	detected inconsistencies.
	* English.lproj/GormPrefGeneral.gorm: Added option to turn on
	repair method.
	* GNUmakefile: Added reference to new gorm file.
	* GormCore/GormGormWrapperLoader.m: Added code to bring up the
	new panel and show the errors.
	* GormPrefs/GormGeneralPref.[mh]: Added new method and ivar to
	handle switch for consistency checking.

2007-12-19 19:03-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGormWrapperLoader.m
	* GormCore/GormNibWrapperBuilder.m: Correction for bug#21845.

2007-12-04 20:52-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormViewSizeInspector.gorm: Correction for
	bug#19640.

2007-11-30 15:58-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile
	* GormLib/GNUmakefile
	* GormLib/IBPlugin.h
	* GormLib/IBPlugin.m
	* GormLib/InterfaceBuilder.h
	* Plugins/GNUmakefile: First cut at changes to add Plugin support
	to Gorm.

2007-11-11 15:40-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Version: 1.2.2

2007-11-11 15:38-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* ANNOUNCE
	* Documentation/Gorm.texi
	* GNUmakefile
	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist
	* NEWS
	* Palettes/GNUmakefile
	* README
	* Resources/Defaults.plist
	* Version: Preparing for release.

2007-11-11 00:18-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuItemAttributesInspector.m: call
	itemChanged: so that changes are seen immediately in the menu.

2007-11-10 21:46-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/news.texi
	* Documentation/readme.texi: Update of documentation.
	* Palettes/0Menus/GormMenuItemAttributesInspector.gorm
	* Palettes/0Menus/GormMenuItemAttributesInspector.h
	* Palettes/0Menus/GormMenuItemAttributesInspector.m
	* Palettes/2Controls/GormButtonAttributesInspector.m: Add
	key equivalent drop down for special keys for menu items.

2007-11-05 18:43-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormBoxEditor.h
	* GormCore/GormBoxEditor.m
	* GormCore/GormClassEditor.h
	* GormCore/GormClassEditor.m
	* GormCore/GormClassInspector.h
	* GormCore/GormClassInspector.m
	* GormCore/GormClassManager.h
	* GormCore/GormClassManager.m
	* GormCore/GormClassPanelController.h
	* GormCore/GormClassPanelController.m
	* GormCore/GormConnectionInspector.h
	* GormCore/GormConnectionInspector.m
	* GormCore/GormControlEditor.h
	* GormCore/GormControlEditor.m
	* GormCore/GormCustomClassInspector.h
	* GormCore/GormCustomClassInspector.m
	* GormCore/GormCustomView.h
	* GormCore/GormCustomView.m
	* GormCore/GormDocumentController.h
	* GormCore/GormDocumentController.m
	* GormCore/GormDocument.h
	* GormCore/GormDocument.m
	* GormCore/GormDocumentWindow.h
	* GormCore/GormDocumentWindow.m
	* GormCore/GormFilePrefsManager.m
	* GormCore/GormFilesOwner.h
	* GormCore/GormFilesOwner.m
	* GormCore/GormFunctions.h
	* GormCore/GormFunctions.m
	* GormCore/GormGenericEditor.h
	* GormCore/GormGenericEditor.m
	* GormCore/GormGModelWrapperLoader.m
	* GormCore/GormGormWrapperBuilder.m
	* GormCore/GormGormWrapperLoader.m
	* GormCore/GormImageEditor.h
	* GormCore/GormImageEditor.m
	* GormCore/GormImage.h
	* GormCore/GormImage.m
	* GormCore/GormInspectorsManager.h
	* GormCore/GormInspectorsManager.m
	* GormCore/GormInternalViewEditor.h
	* GormCore/GormInternalViewEditor.m
	* GormCore/GormMatrixEditor.h
	* GormCore/GormMatrixEditor.m
	* GormCore/GormNibWrapperBuilder.m
	* GormCore/GormNibWrapperLoader.m
	* GormCore/GormObjectEditor.h
	* GormCore/GormObjectEditor.m
	* GormCore/GormObjectInspector.h
	* GormCore/GormObjectInspector.m
	* GormCore/GormOpenGLView.h
	* GormCore/GormOpenGLView.m
	* GormCore/GormOutlineView.h
	* GormCore/GormOutlineView.m
	* GormCore/GormPalettesManager.h
	* GormCore/GormPalettesManager.m
	* GormCore/GormPlacementInfo.h
	* GormCore/GormPrivate.h
	* GormCore/GormPrivate.m
	* GormCore/GormProtocol.h
	* GormCore/GormResourceEditor.h
	* GormCore/GormResourceEditor.m
	* GormCore/GormResource.h
	* GormCore/GormResource.m
	* GormCore/GormResourceManager.h
	* GormCore/GormResourceManager.m
	* GormCore/GormScrollViewAttributesInspector.h
	* GormCore/GormScrollViewAttributesInspector.m
	* GormCore/GormScrollViewEditor.m
	* GormCore/GormSoundEditor.h
	* GormCore/GormSoundEditor.m
	* GormCore/GormSound.h
	* GormCore/GormSoundInspector.h
	* GormCore/GormSoundInspector.m
	* GormCore/GormSound.m
	* GormCore/GormSoundView.h
	* GormCore/GormSoundView.m
	* GormCore/GormSplitViewEditor.h
	* GormCore/GormSplitViewEditor.m
	* GormCore/GormViewEditor.h
	* GormCore/GormViewEditor.m
	* GormCore/GormViewKnobs.h
	* GormCore/GormViewKnobs.m
	* GormCore/GormViewSizeInspector.h
	* GormCore/GormViewSizeInspector.m
	* GormCore/GormViewWindow.h
	* GormCore/GormViewWindow.m
	* GormCore/GormViewWithContentViewEditor.h
	* GormCore/GormViewWithContentViewEditor.m
	* GormCore/GormViewWithSubviewsEditor.h
	* GormCore/GormViewWithSubviewsEditor.m
	* GormCore/GormWindowEditor.h
	* GormCore/GormWindowEditor.m
	* GormCore/GormWrapperBuilder.h
	* GormCore/GormWrapperBuilder.m
	* GormCore/GormWrapperLoader.h
	* GormCore/GormWrapperLoader.m
	* GormCore/NSCell+GormAdditions.h
	* GormCore/NSCell+GormAdditions.m
	* GormCore/NSColorWell+GormExtensions.h
	* GormCore/NSColorWell+GormExtensions.m
	* GormCore/NSFontManager+GormExtensions.h
	* GormCore/NSFontManager+GormExtensions.m
	* GormCore/NSView+GormExtensions.h
	* GormCore/NSView+GormExtensions.m
	* GormLib/IBApplicationAdditions.h
	* GormLib/IBApplicationAdditions.m
	* GormLib/IBCellAdditions.h
	* GormLib/IBCellProtocol.h
	* GormLib/IBConnectors.h
	* GormLib/IBConnectors.m
	* GormLib/IBDefines.h
	* GormLib/IBDocuments.h
	* GormLib/IBDocuments.m
	* GormLib/IBEditors.h
	* GormLib/IBEditors.m
	* GormLib/IBInspector.h
	* GormLib/IBInspector.m
	* GormLib/IBInspectorManager.h
	* GormLib/IBInspectorManager.m
	* GormLib/IBInspectorMode.h
	* GormLib/IBInspectorMode.m
	* GormLib/IBObjectAdditions.h
	* GormLib/IBObjectAdditions.m
	* GormLib/IBObjectProtocol.h
	* GormLib/IBPalette.h
	* GormLib/IBPalette.m
	* GormLib/IBProjectFiles.h
	* GormLib/IBProjects.h
	* GormLib/IBResourceManager.h
	* GormLib/IBResourceManager.m
	* GormLib/IBSystem.h
	* GormLib/IBViewAdditions.h
	* GormLib/IBViewProtocol.h
	* GormLib/IBViewResourceDragging.h
	* GormLib/InterfaceBuilder.h
	* Gorm.m
	* GormObjCHeaderParser/NSScanner+OCHeaderParser.h
	* GormObjCHeaderParser/NSScanner+OCHeaderParser.m
	* GormObjCHeaderParser/OCClass.h
	* GormObjCHeaderParser/OCClass.m
	* GormObjCHeaderParser/OCHeaderParser.h
	* GormObjCHeaderParser/OCHeaderParser.m
	* GormObjCHeaderParser/OCIVarDecl.h
	* GormObjCHeaderParser/OCIVarDecl.m
	* GormObjCHeaderParser/OCIVar.h
	* GormObjCHeaderParser/OCIVar.m
	* GormObjCHeaderParser/OCMethod.h
	* GormObjCHeaderParser/OCMethod.m
	* GormObjCHeaderParser/ParserFunctions.h
	* GormObjCHeaderParser/ParserFunctions.m
	* GormPrefs/GormColorsPref.h
	* GormPrefs/GormGeneralPref.m
	* GormPrefs/GormGuidelinePref.h
	* GormPrefs/GormPalettesPref.m
	* GormPrefs/GormPrefController.h
	* GormPrefs/GormShelfPref.h
	* GormPrefs/GormShelfPref.m
	* main.m
	* Palettes/0Menus/GormMenuAttributesInspector.h
	* Palettes/0Menus/GormMenuAttributesInspector.m
	* Palettes/0Menus/GormMenuEditor.m
	* Palettes/0Menus/GormMenuInspectors.m
	* Palettes/0Menus/GormMenuItemAttributesInspector.h
	* Palettes/0Menus/GormMenuItemAttributesInspector.m
	* Palettes/0Menus/GormNSMenu.h
	* Palettes/0Menus/GormNSMenu.m
	* Palettes/0Menus/GormNSMenuView.h
	* Palettes/0Menus/GormNSMenuView.m
	* Palettes/0Menus/inspectors.m
	* Palettes/0Menus/MenusPalette.m
	* Palettes/1Windows/GormDrawerAttributesInspector.h
	* Palettes/1Windows/GormDrawerAttributesInspector.m
	* Palettes/1Windows/GormNSPanel.h
	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.h
	* Palettes/1Windows/GormNSWindow.m
	* Palettes/1Windows/GormWindowAttributesInspector.h
	* Palettes/1Windows/GormWindowAttributesInspector.m
	* Palettes/1Windows/GormWindowSizeInspector.h
	* Palettes/1Windows/GormWindowSizeInspector.m
	* Palettes/1Windows/inspectors.m
	* Palettes/1Windows/WindowsPalette.h
	* Palettes/1Windows/WindowsPalette.m
	* Palettes/2Controls/ControlsPalette.m
	* Palettes/2Controls/GormBoxAttributesInspector.h
	* Palettes/2Controls/GormBoxAttributesInspector.m
	* Palettes/2Controls/GormButtonAttributesInspector.h
	* Palettes/2Controls/GormButtonAttributesInspector.m
	* Palettes/2Controls/GormButtonEditor.h
	* Palettes/2Controls/GormButtonEditor.m
	* Palettes/2Controls/GormCellAttributesInspector.h
	* Palettes/2Controls/GormCellAttributesInspector.m
	* Palettes/2Controls/GormColorWellAttributesInspector.h
	* Palettes/2Controls/GormColorWellAttributesInspector.m
	* Palettes/2Controls/GormFormAttributesInspector.h
	* Palettes/2Controls/GormFormAttributesInspector.m
	* Palettes/2Controls/GormMatrixAttributesInspector.h
	* Palettes/2Controls/GormMatrixAttributesInspector.m
	* Palettes/2Controls/GormPopUpButtonAttributesInspector.h
	* Palettes/2Controls/GormPopUpButtonAttributesInspector.m
	* Palettes/2Controls/GormProgressIndicatorAttributesInspector.h
	* Palettes/2Controls/GormProgressIndicatorAttributesInspector.m
	* Palettes/2Controls/GormSliderAttributesInspector.h
	* Palettes/2Controls/GormSliderAttributesInspector.m
	* Palettes/2Controls/GormStepperAttributesInspector.h
	* Palettes/2Controls/GormStepperAttributesInspector.m
	* Palettes/2Controls/GormTextFieldAttributesInspector.h
	* Palettes/2Controls/GormTextFieldAttributesInspector.m
	* Palettes/2Controls/inspectors.m
	* Palettes/3Containers/ContainersPalette.m
	* Palettes/3Containers/GormBrowserAttributesInspector.h
	* Palettes/3Containers/GormBrowserAttributesInspector.m
	* Palettes/3Containers/GormNSBrowser.h
	* Palettes/3Containers/GormNSBrowser.m
	* Palettes/3Containers/GormNSOutlineView.h
	* Palettes/3Containers/GormNSOutlineView.m
	* Palettes/3Containers/GormNSTableView.h
	* Palettes/3Containers/GormNSTableView.m
	* Palettes/3Containers/GormTableColumnAttributesInspector.h
	* Palettes/3Containers/GormTableColumnAttributesInspector.m
	* Palettes/3Containers/GormTableColumnSizeInspector.h
	* Palettes/3Containers/GormTableColumnSizeInspector.m
	* Palettes/3Containers/GormTableViewAttributesInspector.h
	* Palettes/3Containers/GormTableViewAttributesInspector.m
	* Palettes/3Containers/GormTableViewEditor.h
	* Palettes/3Containers/GormTableViewEditor.m
	* Palettes/3Containers/GormTableViewSizeInspector.h
	* Palettes/3Containers/GormTableViewSizeInspector.m
	* Palettes/3Containers/GormTabViewAttributesInspector.h
	* Palettes/3Containers/GormTabViewAttributesInspector.m
	* Palettes/3Containers/GormTabViewEditor.h
	* Palettes/3Containers/GormTabViewEditor.m
	* Palettes/3Containers/inspectors.m
	* Palettes/4Data/DataPalette.m
	* Palettes/4Data/GormDateFormatterAttributesInspector.h
	* Palettes/4Data/GormDateFormatterAttributesInspector.m
	* Palettes/4Data/GormImageViewAttributesInspector.h
	* Palettes/4Data/GormImageViewAttributesInspector.m
	* Palettes/4Data/GormNSComboBoxAttributesInspector.h
	* Palettes/4Data/GormNSComboBoxAttributesInspector.m
	* Palettes/4Data/GormNumberFormatterAttributesInspector.h
	* Palettes/4Data/GormNumberFormatterAttributesInspector.m
	* Palettes/4Data/GormTextViewAttributesInspector.h
	* Palettes/4Data/GormTextViewAttributesInspector.m
	* Palettes/4Data/GormTextViewEditor.h
	* Palettes/4Data/GormTextViewEditor.m
	* Palettes/4Data/GormTextViewSizeInspector.h
	* Palettes/4Data/GormTextViewSizeInspector.m
	* Palettes/4Data/inspectors.m
	* Palettes/5Controllers/ControllersPalette.m: Change header to
	reflect license change to GPLv3.

2007-11-05 18:20-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewEditor.m: Removed commented out code.
	* Palettes/3Containers/GormNSTableColumnInspector.gorm
	* Palettes/3Containers/GormTableColumnAttributesInspector.h
	* Palettes/3Containers/GormTableColumnAttributesInspector.m
	* Palettes/3Containers/GormTableViewEditor.m: Added new column title
	field to the inspector so that the title can be edited there instead
	of directly.

2007-11-05 01:56-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewEditor.m: Change code to use drawRect: instead
	of drawInNeededIgnoringOpacity: to correct bug#21478.

2007-09-07 19:57-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormNSMenu.m: Correct exception on start when
	opening a gorm from the command line.

2007-09-05 00:41-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormButtonAttributesInspector.h: Added ivars
	for new buttons.
	* Palettes/2Controls/GormButtonAttributesInspector.m: Addeed code
	in ok: and revert: to handle modifier settings
	* Palettes/2Controls/GormNSButtonInspector.gorm: Added key equivalent
	modifier buttons.

2007-09-03 23:12-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormButtonAttributesInspector.m: added
	code to ok: and revert: to handle arrow keys for key equivalents.
	* Palettes/2Controls/GormNSButtonInspector.gorm: Added to dropdown
	list to include options for arrow keys.

2007-09-01 16:24-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormNSMenu.m: Correction for compilation issue
	found by Riccardo.   Code was improperly using protected _superMenu
	variable directly.

2007-08-24 22:36-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/VersionProfiles.plist: Added version information for
	NSButtonCell.

2007-08-24 00:50-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPrivate.m: Changed initWithCoder: to handle
	older .gorm (version 0) files correctly.

2007-08-19 21:22-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* ChangeLog
	* GNUmakefile
	* Palettes/5Controllers/ControllersPalette.m
	* Palettes/5Controllers/ControllersPalette.tiff
	* Palettes/5Controllers/GNUmakefile
	* Palettes/5Controllers/GNUmakefile.preamble
	* Palettes/5Controllers/palette.table
	* Palettes/GNUmakefile
	* Resources/Defaults.plist: Initial changes for controllers palette.

2007-08-19 21:21-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile
	* Palettes/GNUmakefile
	* Resources/Defaults.plist

2007-07-27 13:30-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Remove commented code.
	* Palettes/0Menus/GormNSMenu.m: Added private category to prevent
	compilation warning.

2007-07-26 10:25-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormNSMenuView.m: Remove commented out code.

2007-07-26 10:06-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Remove default setting
	* Palettes/0Menus/GNUmakefile: Add GormNSMenuView.m
	* Palettes/0Menus/GormNSMenu.m: Override methods to prevent changing
	style to Mac style for menu being edited.
	* Palettes/0Menus/GormNSMenuView.[mh]: New class overrides methods
	to prevent switching style to Mac style for menu being edited.
	* Palettes/0Menus/palette.table: Added substitution rule for
	NSMenuView.

2007-06-27 19:25-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewEditor.m: Correct bug#20274. Changed call
	displayIfNeededInRectIgnoringOpacity: to displayRectIgnoringOpacity:

2007-04-29 17:08-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormViewSizeInspector.gorm: Correct bug#19640
	* GormInfo.plist: update

2007-03-17  Gregory John Casamento <greg_casamento@yahoo.com>

	* Version: 1.2.0

2007-03-08  Fred Kiefer <FredKiefer@gmx.de>

	* Palettes/3Containers/GormTabViewAttributesInspector.m (-ok:):
	Handle changed NSTabViewType enumerator values correctly.

2007-02-21  Matt Rice  <ratmice@gmail.com>

	* GormLib/IBResourceManager.m (+registerResourceManagerClass:):
	Post an IBResourceManagerRegistryDidChangeNotification.

2007-02-04  Matt Rice  <ratmice@gmail.com>

	* GormCore/GormDocument.m (_real_close): New function.
	(handleNotification:): Move document closing code to _real_close.
	(close:): Call _real_close.

2006-12-27 23:01-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: [Gorm init] added code to force menu interface style
	to NSNextStepInterfaceStyle.

2006-10-04  Matt Rice  <ratmice@gmail.com>

	* Palettes/3Menus/GormTableViewEditor.m: Start a connection when
	control-mousing the selected table column.

2006-12-03 19:54-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.h: Change declaration for window member
	from NSWindow to GormDocumentWindow.
	* GormCore/GormDocument.m: Move cast from call to setDocument:
	to call to _docWindow private method.

2006-12-03 19:34-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Cast window for call of
	setDocument: method in awakeFromNib.
	* GormCore/GormDocumentWindow.h: Add setDocument: method.

2006-12-02  Matt Rice  <ratmice@gmail.com>

	* Palettes/0Menus/GormMenuEditor.m (-mouseDown:): Call
	startConnecting.
	* GormCore/GormViewEditor.m (-startConnectingObject:withEvent:): Ditto.
	* GormCore/GormObjectEditor.m (-mouseDown:): Ditto.
	* GormCore/GormDocument.m (changeToViewWithTag:): Don't change the
	selection if connecting.
	* GormCore/GormResourceManager.m: Revert previous commit.
	* Gorm.m (-startConnecting:): Remove checks for a nil
	connectDestination.

2006-11-27  Matt Rice  <ratmice@gmail.com>

	* GormCore/GormResourceManager.m: Temporarily comment out some code.

2006-11-23 22:23-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Move initial position of
	Gorm document window back to the lower left of the screen.

2006-11-23 11:03-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Version: 1.1.0 (also updated version requirements.)

2006-11-18  Matt Rice  <ratmice@gmail.com>

	* GormCore/GormDocumentWindow.[h,m]: Add copyright headers.

2006-11-18  Matt Rice  <ratmice@gmail.com>

	* GormCore/GNUmakefile: Add GormDocumentWindow.[h,m].
	* GormCore/GormResourceManager.m: Add code to handle
	image/sound/header files.
	* GormCore/GormDocument.[h,m]: Add -viewWithTag: method.
	* GormCore/GormClassEditor.m: Remove dragging destination code
	for resources.
	* GormCore/GormResourceEditor.m: Ditto.
	* GormCore/GormObjectEditor.m: Ditto.
	(addObject:): Change the editor to the GormObjectEditor.
	* GormCore/GormDocument.m: Register the window for dragged types.
	Implement -viewWithTag:.
	* GormCore/GormDocumentWindow.[h,m]: New subclass of NSWindow which
	handles drag and drop to GormResourceManager.
	* GormCore/GormDocument.gorm: Set the main document  window to a
	GormDocumentWindow class.

2006-11-15  Nicola Pero  <nicola.pero@meta-innovation.com>

	* Documentation/Examples/Controller/GNUmakefile: Do not set
	GNUSTEP_INSTALLATION_DIR.
	* Documentation/Examples/SimpleApp/GNUmakefile: Same change.

2006-11-11 00:04-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormNSSliderInspector.gorm: Added switch
	and textfield to hold the number of tickmarks.
	* Palettes/2Controls/GormSliderAttributesInspector.[hm]: Added
	method and ivar to handle tick marks.

2006-10-29 19:21-EST Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormTableViewEditor.m: Add scrollToPoint:
	method to call the super_view. Corrects bug #18143.

2006-10-28 09:41-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormClassEditor.gorm: Add tool tips for button and
	for pulldown.

2006-10-27  Matt Rice <ratmice@yahoo.com>

	* Palettes/3Containers/GormTableViewEditor.m: Change documentRect to
	documentVisibleRect.

2006-10-23 01:23-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormHelpInspector.gorm: Change resize properties.
	* GormCore/GormHelpInspector.m: in revert: blank text field when
	no connections are retrieved.

2006-10-23 01:14-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormHelpInspector.gorm: Help inspector .gorm file.
	* GNUmakefile: Add .gorm file.
	* GormCore/GNUmakefile: Add new class.
	* GormCore/GormConnectionInspector.m: Call [super ok:] from ok: method.
	* GormCore/GormHelpInspector.[hm]: Implemented the beginnings of
	the help inspector.
	* GormCore/GormObjectEditor.m: Add helpInspectorClassName
	implementation to NSView category.

2006-10-21 23:51-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormNSTableViewInspector.gorm: Added
	connection from tag form to tagForm instance variable.
	* Palettes/3Containers/GormTableViewAttributesInspector.m: Cleaned
	up includes.

2006-10-21 16:06-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormConnectionInspector.m: Added awakeFromNib method
	to call setDoubleAction: on the newBrowser (connection) object
	so that double click will now cause a connection to be made.
	* GormCore/GormGenericEditor.m: Initialize local variables in
	refreshCells method.

2006-10-21 11:45-EDT Matt Rice <ratmice@yahoo.com>

	* Palettes/3Containers/GormTableViewEditor.m: Implement documentRect.
	Since the editor is the table's superview, it will take its size from
	the editor.  Corrects bug#18073
	Patch committed by Gregory John Casamento <greg_casamento@yahoo.com>

2006-10-20 20:08-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile
	* GormLib/GNUmakefile
	* GormLib/Version
	* GormObjCHeaderParser/GNUmakefile
	* GormObjCHeaderParser/Version
	* GormPrefs/GNUmakefile: Modify GNUmakefiles to use Version
	to properly name .so libraries.

2006-10-19 23:11-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m: Retain File's Owner setting, if
	class is being updated.
	Correction for bug #18035

2006-10-19 22:56-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.[hm]: Added actionExists:onClassNamed: and
	outletExists:onClassNamed: methods to query the existence of a
	given action/outlet on a given class.
	* GormCore/GormDocument.[hm]: Added refreshConnectionsForClassNamed:
	method.
	* Images/GormFile.tiff: Added "gorm" in the center to make it obvious
	which type this is for.
	* Images/GormNib.tiff: Added "nib" in the center to make it obvious
	which type this is for.
	Correction for bug #18035

2006-10-18 14:03-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Images/FileIcon_gmodel.tiff
	* Images/GormNib.tiff
	* Images/GormPalette.tiff: Redid icons.

2006-10-15 19:32-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Images/GormFile.tiff: New Gorm file icon, based on new Gorm icon.
	* Images/GormTesting.tiff: New testing icon.
	* Images/Gorm.tiff: Switch to icon by Jesse Ross.

2006-10-10 22:46-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Install into SYSTEM domain by default.

2006-10-10 21:28-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBInspector.m: Remove uneeded call to
	[window setDocumentEdited:] in touch: method.
	* Palettes/2Controls/GormButtonAttributesInspector.m:
	In ok: call [super ok:].

2006-10-10 20:56-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormClassEditor.gorm: Make button momentary push
	and remove the image.
	* English.lproj/GormPrefGeneral.gorm: Change box title.
	* GormCore/GormClassEditor.[hm]: Change switchView to
	switchViewToDefault, add method toggleView:, add code to change
	image as appropriate.
	* GormPrefs/GormGeneralPref.m: Remove notification in classesAction:
	so that the default changes don't effect all class editors.

2006-10-10 00:37-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormClassEditor.gorm: Aligned the toggle with
	the classesView.

2006-10-09 23:54-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormClassEditor.gorm: Added button and search image.
	* GNUmakefile: Added new tiff files to images.
	* GormCore/GormClassEditor.m: Added toggleView: method.
	* Images/browserView.tiff: Browser image.
	* Images/outlineView.tiff: Outline image.

2006-10-09  Nicola Pero <nicola.pero@meta-innovation.com>

	If you further modify any makefile using ProjectCenter, manually
	edit it before committing removing any line that sets
	GNUSTEP_INSTALLATION_DIR.
	* GNUmakefile: Do not try to set GNUSTEP_INSTALLATION_DIR.
	* Documentation/GNUmakefile: Same change.
	* GormCore/GNUmakefile: Same change.
	* GormObjCHeaderParser/GNUmakefile: Same change.
	* GormPrefs/GNUmakefile: Samce change.

2006-10-08 20:32-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/ClassInformation.plist: Add NSSearchField and
	NSSearchFieldCell.

2006-10-06  Richard Frith-Macdonald <rfm@gnu.org>

	* GormCore/GormPalettesManager.m: rewrite code to set up drag image
	so we avoid glitches on the pallette view (we no longer use the
	pallette window directly as the cached image window) and ensure that
	the image dragged is all copied correctly to avoid the glitches
	when dragging BSBox and NSScrollView items.

2006-10-06 00:16-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Minor cleanup in handleNotification:
	method.

2006-10-05 13:16-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormClassEditor.gorm: Added new gorm file to hold
	classes view contents as well as search and operations drop down.
	* English.lproj/GormDocument.gorm: Removed search and drop down
	* GNUmakefile: Added new gorm file.
	* GormCore/GormClassEditor.h: new outlets classesView and mainView,
	added declarations for methods createSubclass:, createClassFiles:,
	instantiateClass:, removeClass:
	* GormCore/GormClassEditor.m: Changes to methods to use the above.
	* GormCore/GormDocument.h: Removed duplicate declarations.
	* GormCore/GormDocument.m: Remove code for methods and replace with
	simple calls to the editor.
	* Palettes/2Controls/GormBoxAttributesInspector.m: ok: and revert:
	changed to convert to integer.

2006-10-04 22:35-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomView.m: Minor cleanup in initWithFrame:
	* GormCore/GormGormWrapperLoader.m: Added logic to _repairFile
	to correct issue with views that don't have a name in the nametable.
	* GormCore/GormViewWithContentViewEditor.m: Properly add
	the subview back into the document in ungroup method.

2006-10-04 00:12-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Make connection to
	fileType in GormFilePrefsManager.
	* GormCore/GormDocumentController.m: Move the window when
	"New Application" is selected.
	* GormCore/GormDocument.m: Add call in awakeFromNib
	to setFileTypeName:.
	* GormCore/GormFilePrefsManager.h: add setFileTypeName: and
	fileTypeName.
	* GormCore/GormFilePrefsManager.m: add setFileTypeName: and
	fileTypeName.
	* Palettes/4Data/GormTextViewEditor.m: Remove commented out
	windowAndRect:forObject:

2006-10-01 23:07-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Correct issue with class selection in
	deleteSelection method.

2006-10-01 22:50-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Remove some extra classes.

2006-10-01 22:23-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Added section in file section
	to show fileType.
	* GormCore/GormFilePrefsManager.m: Changed version number from
	1,1,0 to 1,1,2.
	* GormCore/GormInspectorsManager.m: Removed kludge from
	setCurrentInspector:.
	* GormCore/GormScrollViewEditor.m: Remove code which returns
	the table view editor in editorClassName.  In mouseDown:
	remove check in mouseDown: for NSScroller and subclasses.
	* GormCore/GormViewEditor.h: Declare frameDidChange:
	* Palettes/3Containers/GormTableViewEditor.m: Remove redundant
	implementation of performDragOperation:.  Call draggingUpdated
	instead.
	* Palettes/4Data/DataPalette.m: Change minimum size.
	* Palettes/4Data/GormTextViewEditor.m: Add handleNotification:
	and add initWithObject:inDocument:.

2006-09-30 23:09-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGModelWrapperLoader.m: Cleanup NSLog()
	calls.

2006-09-30 12:00-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.h: Added declaration findByClassName:
	* GormCore/GormClassManager.m: Added findClassByName: method to
	find classes with partial text matches.
	* GormCore/GormDocument.m: Modified controlTextDidChange: to call
	findClassByName:.
	* GormCore/GormGModelWrapperLoader.m: Change className to cm
	in initWithModelUnarchiver: to avoid warning.

2006-09-29 22:56-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Added "Remove" to Operations
	menu.

2006-09-29 21:59-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Added "Operations" item to
	prevent accidental subclassing.   Aligned with side of view and
	changed resizing properties.

2006-09-28 22:27-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m: Allow addClassNamed:... to accept
	arguments superClass, actions, and outlets as nil.
	* GormObjCHeaderParser/OCClass.m: Correctly recognize a category
	in [OCClass parse];  Corrects bug#17804.

2006-09-28 20:38-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Added search field and drop down
	for loading reading and subclassing.
	* GormCore/GormClassManager.m: Removed sorting from allSuperclassesOf:
	* GormCore/GormDocument.m: Added delegate method for search field.
	Implemments suggestions in bug#17802 (Change request).

2006-09-28 00:43-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/Defaults.plist: Make the browser classes view the default.

2006-09-28 00:36-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Correct problem which caused
	class inspector to loose focus.
	* GormInfo.plist: Update version to reflect SVN.
	* GormPrefs/GormGuidelinePref.m: Eliminate warning.

2006-09-27 22:28-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m: Sort classnames in subClassesOf:,
	allSuperclassesOf:, allSubclassesOf:, allCustomSubClassesOf:.

2006-09-13 23:19-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GNUmakefile: Added new classes and interface.
	* Palettes/1Windows/GormDrawerAttributesInspector.gorm: Inspector
	interface.
	* Palettes/1Windows/GormDrawerAttributesInspector.[hm]: Inspector.
	* Palettes/1Windows/inspectors.m: Added implementation for
	inspectorClassName.

2006-09-12 23:10-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormWindowEditor.m: Remove IBApplicationAdditions category.
	* Palettes/1Windows/DrawerSmall.tiff: icon for NSDrawer in objects
	view.
	* Palettes/1Windows/Drawer.tiff: Icon for drawer on palette
	* Palettes/1Windows/GNUmakefile: Added new files.
	* Palettes/1Windows/inspectors.m: Add IBApplicationAdditions category
	for NSWindow (from GormWindowEditor above) and add category for
	NSDrawer.
	* Palettes/1Windows/WindowsPalette.h: Moved interface for
	WindowsPalette here.
	* Palettes/1Windows/WindowsPalette.m: Removed interface and added
	#include
	* Resources/ClassInformation.plist: Added ivars which were missing
	for NSDrawer.

2006-08-27 01:37-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormBoxEditor.m: Check to see if the subview responds
	to destroyAndListSubviews.
	* GormCore/GormViewWithContentViewEditor.m:
	[GormViewWithContentViewEditor ungroup] added local
	variable "v" to hold the view.
	* Gorm.m: Remove NSLog from ungroup method.
	Partial correction for bug#17538.

2006-08-20 12:23-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Modify outdated "upgrade" warning in
	fileWrapperRepresentationOfType:.
	* GormCore/GormGormWrapperLoader.m: Set .gorms of version 1 as
	old in buildFileWrapperDictionaryWithDocument:.

2006-08-19 19:18-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormFormAttributesInspector.m: Minor
	cleanup in ok:
	* Palettes/2Controls/GormNSFormInspector.gorm: Added missing
	connections.

2006-08-16 00:54-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Simplify message in
	fileRepresentationOfType:.
	* GormCore/GormNibWrapperBuilder.m: Correct test for menu which
	was causing the app to crash in openItems method.

2006-08-15 17:50-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormWrapperLoader.m: Correct problem introduced in
	previous commit in [GormWrapperLoader loadFileWrapper:
	withDocument:];

2006-08-15 02:16-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.h: Add declaration for
	nibDataWithOpenObjects:
	* GormCore/GormFilePrefsManager.m: Rename nibData to
	nibDataWithOpenObjects:
	* GormCore/GormNibWrapperBuilder.m: Create the IBOpenObjects
	list in buildWrapper...
	* GormCore/GormResource.m: Properly assign the data to the ivar
	in initWithData:...
	* GormCore/GormWrapperBuilder.m: Correct image loading and saving
	issue.
	* GormCore/GormWrapperLoader.m: Correct image problem.

2006-08-14 21:48-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperBuilder.m: Properly encode oids as
	integers in -[NSIBObjectData initWithDocument:] since bug#17426
	is corrected.

2006-08-14 01:04-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperBuilder.m: Temporary workaround in
	-[NSIBObjectData initWithDocument:] until 17426 is resolved.

2006-08-13 21:48-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperBuilder.m: Correct issue which was
	causing IB to complain about the File's Owner not having
	an oid in [NSIBObjectData initWithDocument:].
	* GormCore/GormWrapperBuilder.m: Correct issue discovered by
	Benhur Stein that was causing images not to be saved in the
	wrapper correctly in buildFileWrapperDictionaryWithDocument:
	* Gorm.m: Remove uneeded application:openFile: method which was
	commented out.

2006-08-11 11:13-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocumentController.m: Default backing store changed
	in newDocument: to NSBackingStoreBuffered instead of
	NSBackingStoreRetained.

2006-08-11 01:53-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomView.m: Corrected encoding issues with custom
	view in encodeWithCoder: it now properly encodes itself as
	an NSCustomView.

2006-08-09 02:29-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomView.m: encodeWithCoder: changes to encode the
	customview.
	* GormCore/GormNibWrapperBuilder.m: Add oids for connectors and
	also add one for the owner.

2006-08-06 00:37-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilesOwner.m: Remove implementation of initWithCoder:
	* GormCore/GormNibWrapperBuilder.m: In -[NSIBObjectData
	initWithDocument:] add code to set NSFramework key.

2006-08-05 08:46-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m: Fixes to encode classes.nib file
	properly.
	* GormCore/GormFilePrefsManager.m: Added code to encode a dummy
	info.nib for nib saving.
	* GormCore/GormFilesOwner.m: Code to encode this as a NSCustomObject
	in encodeWithCoder:
	* GormCore/GormNibWrapperBuilder.m: in
	-[NSIBObjectData initWithDocument:] added code to pull the names
	and generate OIDS for the .nib properly.

2006-08-01 00:12-EDT Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Add GormNibWrapperBuilder.m
	* GormCore/GormClassManager.m: Correct nibData method to properly
	output information in classes.nib format.
	* GormCore/GormDocument.m: Slight improvement to windowAndRect:
	forObject:.
	* GormCore/GormFilePrefsManager.[hm]: Add nibData method.
	* GormInfo.plist: Change GSNibFileType entry to "Editor"
	* GormNibWrapperBuilder.m: Class to write nibs.

2006-07-18 23:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFunctions.m: Remove the width and height adjustment
	from the function minimalContainerFrame().
	* GormCore/GormPrivate.m: Add the encoding logic for saving
	NSCustomObject.
	* GormCore/GormViewWindow.m: Add the width and height here, instead
	of in the function.

2006-07-16 23:13 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFunctions.h:
	* GormCore/GormFunctions.m:
	* GormCore/GormViewWindow.m: Improved placement of standalone
	views when being loaded by .gorm files.

2006-07-15 18:34 Gregory John Casamento <greg_casamento@yahoo.com>

	* Images/Gorm.tiff: Slightly improved icon.  Based on suggestions
	from people on #gnustep.  More improvements to come.

2006-07-12 00:31 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: in testInterface, make the item with terminate:
	the "Quit Test" item, if none is found add one.

2006-07-10 01:32 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGormWrapperLoader.m: in loadFileWrapper:withDocument:
	removed the check for the info file.  Some earlier versions of
	the .gorm wrapper don't have this file.

2006-07-09 23:27 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Replace the destination or
	source of any connection which connects to an NSWindowTemplate object.

2006-07-09 17:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewEditor.m: Correction for issue which was causing
	size inspector not to update when a view was moved or changed.
	Removed code in editoedObjectFrameDidChange: and frameDidChange:
	to correct the problem.

2006-07-09 13:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Correct test for customClass or
	name in loadFileWrapper:withDocument:.

2006-07-09 11:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomView.m: initWithCoder: move call to get customView
	className after the if, so that it's properly set.
	* GormCore/GormNibWrapperLoader.m: Remove commented out code.

2006-07-09 10:46 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: New version profile added
	to pull down.
	* GormCore/GormDocument.m: Encode topLevelObjects first in
	encodeWithCoder: and decode first in initWithCoder:.
	* GormCore/GormGormWrapperBuilder.m: Changes for version 2 of
	GSNibContainer.
	* GormCore/GormGormWrapperLoader.m: Changes for version 2 of
	GSNibContainer.
	* GormCore/GormNibWrapperLoader.m: No longer explicitly get
	the main menu.  The main menu is the only menu that is a top
	level object, so let it determine itself.
	* GormCore/GormWrapperBuilder.m: Changes to prevent sending
	back a file wrapper if the dictionary returned is nil in
	buildWrapperWithDocument:.
	* Resources/VersionProfiles.plist: New version profile.

2006-07-05 20:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: In testInterface, assign top level objects from the
	testContainer to topObjects, a temporary var, so that they can be
	properly cleaned up.

2006-07-05 19:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Correct bug introduced at some point in testInterface which
	causes the test mode not to display a menu when the application has no
	menu.   It is supposed to show a small test menu so that test mode
	can be exited.

2006-07-05 00:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Added check to prevent error
	if customclass or name comes back nil.

2006-07-03 17:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Remove category for NSView
	which provided setSuperview as it is no longer needed.

2006-07-02 00:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomView.[hm]: If CustomView includes some
	subviews in a nib file make the custom view into the best possible
	superclass of the custom class indicated.   Also store the className
	in a variable instead of depending on "stringValue".

2006-06-24 20:49 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Make _isTopLevelObject: into
	a normal method, not private.

2006-06-24 20:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Change
	-[GormNibWrapperLoader _isTopLevelObject:] to use the "objects"
	map.  This map is used to maintain parent/child object
	relationships in the .nib file.
	* Gorm.m: in -[Gorm testInterface] change the warning to use
	multiple lines.  On smaller screens it runs over.

2006-06-24 10:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Remove swappedObjects
	ivar and also remove from -init and -dealloc in GormNibWrapperLoader.

2006-06-24 10:22 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Use the "classes" map properly in
	-[GormNibWrapperLoader loadWrapperFile:withDocument:].
	* main.m: Correct comment.

2006-06-23 00:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGModelWrapperLoader.m: call
	-[NSDocument updateChangeCount:] to
	clear changes so that the document isn't flagged as needing
	to be saved right after load.
	* GormCore/GormNibWrapperLoader.m: Use the objects in the map
	returned by -names in -loadFileWrapper:withDocument:.

2006-06-18 14:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Added filter to remove
	NSIBHelpConnector instances from the connections array.

2006-06-17 20:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Remove resizing change from
	loadFileWrapper:withDocument: since it was moved to NSWindowTemplate
	nibInstantiate.

2006-06-17 12:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInternalViewEditor.m: Removed previous resize
	in activate method.
	* GormCore/GormNibWrapperLoader.m: Code to properly resize the
	window after loading.

2006-06-17 10:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomView.m: Return self in the conditional that
	reads the custom view.
	* GormCore/GormInternalViewEditor.m: Reset the current view size
	so that the window is properly displayed.
	* Palettes/1Windows/GormNSWindow.m: Send deferred as "NO" always.

2006-06-17 06:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Added code to clear changes
	so that the nib loads without showing the document as changed.
	Also added code to correct the missing colon in some nib files
	for certain methods so that connections are correctly made.
	* Resources/ClassInformation.plist: Addition of missing methods on
	NSFirst.

2006-06-17 06:25 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormNibWrapperLoader.m: Fix for connections to NSOwner.

2006-06-15 00:48 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GModelDecoder.m: Removed old class.
	* GormCore/GNUmakefile: Added new GormGModelWrapperLoader class
	* GormCore/GormClassManager.m: Minor cleanup
	* GormCore/GormDocument.m: Temporarily comment out release of file
	prefs window.
	* GormCore/GormGModelWrapperLoader.m: new loader class for GModel.
	* GormCore/GormNibWrapperLoader.m: Minor cleanup
	* GormInfo.plist: Added GModel entry back in and made both GModel
	and Nib "Viewer" entries.

2006-06-14 22:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.[hm]: Added new deactivateEditors and
	reactivateEditors methods.
	* GormCore/GormGormWrapperBuilder.m: Moved connection
	name/object swap here for gorm format.
	* Gorm.m: Calling new deactivate/reactivateEditors

2006-06-14 01:42 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Addition of GormNibWrapperLoader to the
	makefile.
	* GormCore/GormClassManager.[hm]: Correction for nib classes loading.
	* GormCore/GormDocument.h:  Added include for GSNibContainer
	* GormCore/GormDocument.m: In NSNibConnector category which
	implements "isEqual" check if it's the same "kind of class".  If
	not return NO.
	* GormCore/GormGormWrapperBuilder.m: Corrections for connection
	persistence issues.
	* GormCore/GormGormWrapperLoader.m: Corrections for connection
	persistence issues.
	* GormCore/GormNibWrapperLoader.m: Initial cut at class to build the
	nib wrapper.
	* GormCore/GormPrivate.[hm]: Added encoding changes to
	GormObjectProxy and GormCustomView to allow them to handle
	NSCustomObject and NSCustomView respectively
	* Gorm.m: In testing, don't substitute the browser either.

2006-06-10 21:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGormWrapperLoader.m: removed uneeded sound/image
	logic.  That is in the parent class.

2006-06-10 10:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Removed code that does name/obj
	substitution in connections.
	* GormCore/GormGormWrapperBuilder.m: Added code which handles
	name/obj substitution.
	* Gorm.m: Corrected issues with testing.

2006-06-10 09:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GModelDecoder.m: Changes to make this compile with
	new modifications.
	* GormCore/GNUmakefile: Addition of new files.
	* GormCore/GormCustomView.m:Encoding changes for NSCustomView.
	* GormCore/GormDocumentController.m: Removed touch, so that it
	is possible to quit when first creating a new document, this is the
	way other document oriented apps behave.
	* GormCore/GormDocument.[hm]: Added container methods and
	coding methods.
	* GormCore/GormGormWrapperBuilder.m: Class whic writes gorm files.
	* GormCore/GormGormWrapperLoader.m: Class which loads gorm files
	* GormCore/GormPrivate.[hm]: Simplification of init call to
	GormObjectProxy.
	* GormCore/GormWrapperBuilder.[hm]: Wrapper builder
	* GormCore/GormWrapperLoader.[hm]: Wrapper loader
	* Gorm.m: Change testInterface to encode the doc.

2006-06-05 21:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocumentController.m: touches the initial document
	so that the user cannot simply quit after.  Also sets the initial
	fileType.
	* GormCore/GormDocument.m: Compose the names used in Gorm name table
	using the base class name (without NS or GS) and a number in
	parenthesis starting with 0.  A new panel or window might look like
	Window(0) or Panel(1).

2006-06-05 01:46 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.h: Added classes.nib loading and
	saving method declarations.
	* GormCore/GormClassManager.m: Added classes.nib loading and
	saving method implementations.
	* GormCore/GormDocument.h: Add NSObject to id declaration for
	container ivar.
	* GormCore/GormDocument.m: Minor cleanup.
	* GormCore/GormProtocol.h: Minor cleanup.

2006-06-04 22:11 Gregory John Casamento <greg_casamento@yahoo.com>

	* ChangeLog
	* English.lproj/GormDocument.gorm
	* English.lproj/Gorm.gorm
	* GormCore/GModelDecoder.m
	* GormCore/GNUmakefile
	* GormCore/GormClassManager.h
	* GormCore/GormClassManager.m
	* GormCore/GormDocument.h
	* GormCore/GormDocument.m
	* GormCore/GormFilePrefsManager.h
	* GormCore/GormFilePrefsManager.m
	* GormCore/GormFilesOwner.m
	* GormCore/GormImageEditor.m
	* GormCore/GormImage.h
	* GormCore/GormImage.m
	* GormCore/GormProtocol.h
	* GormCore/GormResource.h
	* GormCore/GormResource.m
	* GormCore/GormSound.h
	* GormCore/GormSound.m
	* GormCore/GormViewWithContentViewEditor.m
	* GormInfo.plist
	* GormLib/IBDocuments.h
	* GormLib/IBPalette.m
	* Gorm.m
	* Palettes/0Menus/GormNSMenu.m
	* Palettes/1Windows/GormNSWindow.m
	* Version: Merged from NibCompatibility branch.

2006-06-03 11:44 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Add GormDocumentController as delegate
	to Gorm.
	* GormCore/GormDocumentController.m: Comment.
	* GormCore/GormDocument.h: Comments and containerClass declaration.
	* GormCore/GormDocument.m: containerClass implementation and use.
	* GormLib/IBDocuments.h: More descriptive comment.
	* GormLib/IBPalette.m: Remove IBPaletteDocument, since this is
	not used.
	* Gorm.m: Remove applicationShouldTerminate, since it is handled
	by GormDocumentController as the app delegate.

2006-06-01 23:06 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInfo.plist: Correct NSName entries.

2006-05-30 00:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocumentController.h
	* GormCore/GormDocumentController.m: New file.
	* Gorm.m: Reimplemented activeDocument to use the document controller.

2006-05-29 22:55 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Removed some unused variables in
	fileWrapperRepresentationOfType:.

2006-05-29 22:50 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.[hm]: Added scmDirWrapper and private method
	saveSCMDirectory to preserve the .svn/CVS directories, if they
	are there.
	* GormInfo.plist: GormDocument will be responsible for saving/reading
	all types.

2006-05-29 18:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormImage.m: Corrected minor issue in initWithData:...

2006-05-29 11:48 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.h: Added new ivars for holding images/sounds
	temporarily.
	* GormCore/GormDocument.m: loadFileWrapperRepresentation:ofType:
	modified to use images/sounds arrays.  The awakeFromNib method
	now pulls objects from those arrays and inserts them into the
	GormImageEditor/GormSoundEditor instances when the nib is fully
	loaded.

2006-05-29 10:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Override displayName and keepBackupFile.
	* Palettes/1Windows/GormNSWindow.m: Remove test code.

2006-05-28 23:31 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormProtocol.h: Removed some methods not needed anymore.

2006-05-28 23:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Removed uneeded methods from Gorm class.
	* GormCore/GormDocument.[hm]: Add sender as a parameter to translate
	and exportStrings.
	* Gorm.m: Removed some uneeded checks in validateMenu: also removed
	uneeded methods which were used to forward to GormDocument.
	* Palettes/0Menus/GormNSMenu.m: Can't become key.

2006-05-28 19:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormDocument.gorm: Reparented GormDocument
	to be a subclass of NSDocument and also redid connections.
	* English.lproj/Gorm.gorm: Added new GormDocumentController class.
	redid connections to save/new/and loadDocument methods for NSDocument
	subclasses.
	* GormCore/GModelDecoder.m: Changed to reflect changes to document.
	* GormCore/GNUmakefile: Added new classes.
	* GormCore/GormClassManager.[hm]: Added methods to allow
	initialization and saving to NSData
	* GormCore/GormDocument.[hm]: Removed save* and load* methods,
	implemented loadFileWrapperRepresentation:ofType: and
	fileWrapperRepresentationOfType: for NSDocument.
	* GormCore/GormFilePrefsManager.[hm]: Added methods
	to allow initialization from data.
	* GormCore/GormImageEditor.m: Changed comment.
	* GormCore/GormImage.[hm]: Allow init with data.
	* GormCore/GormProtocol.h: Removed superceded methods.
	* GormCore/GormResource.[hm]: Allow initialization with data.
	* GormCore/GormSound.[hm]: Changed to allow initialization with
	data.
	* GormCore/GormViewWithContentViewEditor.m: Fixed warning.
	* GormInfo.plist: Updated information for use with NSDocument.
	* Gorm.m: Remove superceded methods.
	* Palettes/1Windows/GormNSWindow.m: Temporary debugging method.

2006-05-20 18:19 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m: Updated to 1.0.9
	* GormInfo.plist: Updated to 1.0.9.
	* [NibCompatibility]: Merged from this branch to HEAD.

2006-01-08 14:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPrivate.m: Removed deprecated templates.
	* GormCore/GormViewEditor.m: Removed problem which was causing
	a notification loop. [NibCompatibility]

2006-05-20 04:47 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 1.0.8

2006-05-20 04:46 Gregory John Casamento <greg_casamento@yahoo.com>

	* ANNOUNCE
	* Documentation/news.texi
	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist
	* NEWS
	* Version: Changes for 1.0.8 bugfix release.

2006-05-16 00:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Improved logic in detachObject: to clear the
	selection in the parent editor and reset the selection in the document
	to prevent any problems when an object is removed.   Also added
	code for removeAllInstancesOfClass: from GormObjectEditor.
	* GormCore/GormFunctions.m: allSubviews shouldn't return the view
	which is initially passed.
	* GormCore/GormInternalViewEditor.m: simplified deleteSelection because
	of changes to detachObject:
	* GormCore/GormObjectEditor.[hm]: Remove removeAllInstancesOfClass:
	from the header and class.

2006-05-15 22:58 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Reload all on calls to reloadData
	* GormCore/GormDocument.m: in detachObject: make certain that
	window is closed and released. Corrects bug#16587.

2006-05-15 21:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist: Update to 1.0.7.

2006-05-01 07:45  David Ayers  <d.ayers@inode.at>

	* Palettes/3Containers/GormNSTableView.m
	([-tableView:objectValueForTableColumn:row:]): Do not assume that
	the identifier of the table column is an NSString.

2006-04-30 09:15  David Ayers  <d.ayers@inode.at>

	* GormCore/GormCustomClassInspector.m
	([-_replaceWithCellClassForClassName:]): Cast to NSCell to invoke
	type to disambiguate incompatible method signatures.

2006-04-08 15:16 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 1.0.6

2006-04-08 15:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m

2006-04-08 14:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* ANNOUNCE
	* Documentation/news.texi
	* NEWS
	* Version: Changed for release 1.0.6.

2006-04-06 07:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInfo.plist: Update date in info file.

2006-03-25 10:32 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/4Data/GormNSNumberFormatterInspector.gorm: Change labels
	in inspector to clarify.

2006-03-24 17:34 Gregory John Casamento <greg_casamento@yahoo.com>

	* Images/GormTesting.tiff: New testing icon
	* Palettes/2Controls/GormNSButtonInspector.gorm:
	* Palettes/2Controls/GormNSTextFieldInspector.gorm:
	* Palettes/4Data/GormNSImageViewInspector.gorm: Usability changes.
	Some inspectors had some "dead" space.

2006-03-21 20:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* Images/Gorm.tiff: Slight change so that .xpm renders a little more
	nicely when docking.

2006-03-21 19:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile
	* GormInfo.plist
	* Images/Gorm.tiff: Improved icon.

2006-03-20 22:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Added entries for new icons
	* GormInfo.plist: Added entries for new icons
	* Images/FileIcon_gmodel.tiff: Changed icon
	* Images/GormFile.tiff: New icon
	* Images/GormPalette.tiff: New icon
	* Images/GormTesting.tiff: Changed icon
	* Images/Gorm.tiff: Changed icon

2006-03-19 23:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInfo.plist: Added 2006
	* Images/centeralign_nib.tiff
	* Images/leftalign_nib.tiff
	* Images/rightalign_nib.tiff: Recreated images.

2006-03-19 22:42 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInfo.plist: Update date.

2006-03-19 21:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* Images/GormEHCoil.tiff
	* Images/GormEHLine.tiff
	* Images/GormEVCoil.tiff
	* Images/GormEVLine.tiff
	* Images/GormMHCoil.tiff
	* Images/GormMHLine.tiff
	* Images/GormMVCoil.tiff
	* Images/GormMVLine.tiff: Improved images.

2006-03-18 20:12 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Generalize rule for adding documentView
	objects from a scrollview.
	* GormCore/GormInspectorsManager.m: Correct logic which selects the
	object to send to the inspector.
	* GormCore/GormScrollViewEditor.m: Cleanup code a little bit.

2006-03-16 06:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewWithContentViewEditor.m: Correction related to
	bug#16049.  There was an issue with moving a table column while the
	table was selected.

2006-03-11 20:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewWithContentViewEditor.m: Minor formatting changes.
	* Palettes/4Data/DataPalette.m: Correction for bug#15988, patch by
	Matt Rice.

2006-03-11 16:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormTableViewEditor.m: Correction for
	bug#16050.

2006-03-10 01:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewEditor.m: Correction for bug#16049

2006-03-09 05:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* Images/GormEHCoil.tiff
	* Images/GormEHLine.tiff
	* Images/GormEVCoil.tiff
	* Images/GormEVLine.tiff
	* Images/GormMHCoil.tiff
	* Images/GormMHLine.tiff
	* Images/GormMVCoil.tiff
	* Images/GormMVLine.tiff: Remade coil/lines to look cleaner.

2006-03-05 20:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPalettesManager.m: Correction for bug#15989

2006-03-04 19:44 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormTableViewEditor.m: Correction for
	bug#15987.

2006-02-22 22:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Overide arrangeInFront: so that when testing the interface
	it doesn't inadvertantly bring the edited window forward.

2006-02-20 08:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormScrollViewEditor.m: Correction for bug#15817.
	Returning only GormScrollViewEditor was causing an issue with
	editing tables.

2006-02-19 12:07 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormTextFieldAttributesInspector.m: Correction
	for bug#15780.

2006-02-09 23:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInfo.plist: Change "RELEASE" to SVN to indicate that 1.0.5 is
	an unstable version.

2006-02-06 21:06 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormNSTableViewInspector.gorm
	* Palettes/3Containers/GormTableViewAttributesInspector.m:
	Correction for bug#15642.

2006-02-03 21:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormScrollViewAttributesInspector.m
	* GormCore/GormScrollViewEditor.m: Corrected problem with adding
	something to a scrollview.

2006-02-01 23:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist
	* Version: Updated with new version information.

2006-02-01 22:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/4Data/GormDateFormatterAttributesInspector.m: Correction
	for bug#15556

2006-01-25 05:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 1.0.4

2006-01-21 00:19 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewEditor.m: [GormViewEditor activate] do not send
	notifications about frame size changes, if the object is a standalone
	view.
	* GormCore/GormViewSizeInspector.m: [GormViewSizeInspector setObject:]
	Added code to enable/disable cells if view is standalone.


2006-01-17 22:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* ChangeLog
	* GormCore/GormViewEditor.m
	* GormCore/GormViewSizeInspector.m
	* Palettes/1Windows/GormWindowAttributesInspector.m
	* Palettes/1Windows/GormWindowSizeInspector.m: Merged changes from
	the baseline.

2006-01-16 23:19 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewSizeInspector.m: Correction for a similar problem
	in the view size inspector. Added to call to abort editing.

2006-01-16 16:25 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormWindowSizeInspector.m: Correction for
	bug#13994.  abortEditing call to all forms added to revert:.

2006-01-16 12:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormWindowAttributesInspector.m: Correction
	for bug#15236.  In ok: method the newStyleMask variable wasn't
	properly initialized, this was causing the flags to be set

2006-01-08 14:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPrivate.m: Removed deprecated templates.
	* GormCore/GormViewEditor.m: Removed problem which was causing
	a notification loop.

2005-12-15 19:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Correction for crash on close after
	opening objects.gorm directly.  Corrects bug#15178.

2005-12-14 22:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.h: Declaration for new readableTypes method.
	* GormCore/GormDocument.m: Added readableTypes method to return the
	types accepted by GormDocument.
	* Gorm.m: Use readableTypes in application:openFile: corrects
	bug#15178

2005-11-19 09:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 1.0.1

2005-11-14 09:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormTabViewEditor.m: Correction to tabView:
	shouldSelectTabViewItem: for gcc < 3.x compatibility.

2005-11-13 23:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomClassInspector.m: Correctly handle image/text
	cell in replaceWithCellClassForClassName:.

2005-11-13  Richard Frith-Macdonald <rfm@gnu.org>

	* GormCore/GormFunctions.m: Use NSSearchPathForDirectoriesInDomains()
	to locate resources rather than broken use of NSOpenStepRootDirectory()

2005-11-12 16:32 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m
	* GormCore/GormGenericEditor.h
	* GormCore/GormPalettesManager.m
	* GormCore/GormPrivate.h
	* GormObjCHeaderParser/OCHeaderParser.m
	* Palettes/0Menus/GormMenuAttributesInspector.m: Corrected minor
	compilation warnings.

2005-11-12 15:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormScrollViewAttributesInspector.m: Corrected problem
	reported by Matt Rice with table column selection.

2005-11-04 00:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomClassInspector.m: Corrected problem with cell.

2005-11-02 20:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m: Updated version to 1.0.1
	* GormInfo.plist: Same
	* Palettes/2Controls/GormNSTextFieldInspector.gorm: Corrected resize
	issues.

2005-10-29 09:09 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 1.0.0

2005-10-29 09:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* ANNOUNCE: Updated for 1.0
	* Documentation/news.texi: Updated for 1.0
	* INSTALL: Updated for 1.0
	* NEWS: Updated for 1.0
	* README: Updated for 1.0
	* Version: Updated for 1.0
	* GormCore/GormCustomClassInspector.m: Fixed minor problem
	updating cell.

2005-10-05 20:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSWindowSizeInspector.gorm: Remove delegate
	from sizeForm and connect to ok:
	* Palettes/1Windows/GormWindowSizeInspector.m: Cleanup in ok: and other
	methods.

2005-10-05  fabien  <fabien@sonappart.net>

	* Palettes/2Controls/GormButtonAttributesInspector.m :
	Add delegate method for forms

2005-10-05 00:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSWindowInspector.gorm: Corrected spelling
	of "deactivate" on Window Inspector.

2005-10-04 20:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormScrollViewAttributesInspector.m: In category
	IBObjectAdditions, for editorClassName, return only
	GormScrollViewEditor.
	* GormCore/GormScrollViewEditor.m: Cleanup.

2005-09-29 19:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormConnectionInspector.m: Corrected resizing attributes in
	the GormInspectorManager setCurrentInspector: method.
	* GormCore/GormInspectorsManager.m: Corrected resizing attributes for
	connect and revert buttons in init.

2005-09-25 14:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: Additional correct in
	setCurrentInspector:

2005-09-25 12:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormInspectorPanel.gorm: Set resize options correctly.
	* GormCore/GormConnectionInspector.m: [GormConnectionInspector init]
	modified size of ok/revert buttons.
	* GormCore/GormDocument.m: Pull the archive type in
	[GormDocument saveGormDocument:]
	* GormCore/GormInspectorsManager.m: in setCurrentInspector:
	corrected issues with inspector resizing.

2005-09-15 00:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.[mh]: Added origFrame to allow
	resetting the inspectorView frame to it's original size in
	setCurrentInspector:.
	* GormCore/GormPalettesManager.m: Removed old commented out code
	in init.

2005-09-12 22:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Copy the .gorm file into the Resources.
	* GormCore/GormInspectorsManager.h: Use the inspector panel gorm.
	* GormCore/GormInspectorsManager.m: Use the inspector panel gorm.
	* English.lproj/GormInspectorPanel.gorm: corrects bug#13767.
	* English.lproj/GormDummyInspector.gorm: corrects bug#13767.

2005-09-04 10:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/4Data/GormNSComboBoxAttributesInspector.m: In ok:
	performs a revert to show any changes which were made
	automatically as a result of other changes.

2005-09-04 10:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormWindowAttributesInspector.m
	* Palettes/1Windows/GormWindowSizeInspector.m
	* Palettes/2Controls/GormBoxAttributesInspector.m
	* Palettes/2Controls/GormColorWellAttributesInspector.m
	* Palettes/2Controls/GormMatrixAttributesInspector.m
	* Palettes/2Controls/GormNSTextFieldInspector.gorm
	* Palettes/2Controls/GormTextFieldAttributesInspector.m
	* Palettes/3Containers/GormTableColumnAttributesInspector.m
	* Palettes/3Containers/GormTableViewAttributesInspector.m
	* Palettes/4Data/GormNSComboBoxAttributesInspector.h
	* Palettes/4Data/GormNSComboBoxAttributesInspector.m
	* Palettes/4Data/GormNSComboBoxInspector.gorm
	* Palettes/4Data/GormTextViewAttributesInspector.m: Removed all
	extraneous and unecessary (and annoying) #warning messages.

2005-08-29 22:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormFormAttributesInspector.h: Added ivar
	autosizeSwitch.
	* Palettes/2Controls/GormFormAttributesInspector.m: Added code
	to handle autosize flag.
	* Palettes/2Controls/GormNSFormInspector.gorm: Added autosize flag
	* Palettes/2Controls/GormNSMatrixInspector.gorm: Box on bottom
	now reads "Options".

2005-08-29 19:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormMatrixEditor.m: Corrected bug in
	editTitleWithEvent: which was causing a portion of the window
	to become transparent.

2005-08-19 00:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: [GormDocument attachObject:toParent:]
	handle popup button items.
	* GormCore/GormFilePrefsManager.m: Updated version.
	* GormInfo.plist: Updated version.

2005-08-18 23:22 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: retrieveObjectForParent:.. check for
	nil before placing in result array.

2005-08-18 22:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: attachObject:toParent: added code to
	add menu items and submenus to document.

2005-08-18 21:32 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: attachObject:toParent code to add all
	subviews of a view when it's added to the document.

2005-08-18 21:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: attachObject:toParent: added code to insert
	the content view into the nametable and the parent->child
	connections.
	* GormCore/GormViewWithContentViewEditor.m: in the group* methods added
	code to "reparent" the objects so that the parent->child relationships
	are reset to represent the reflect the new relationship.

2005-08-18 20:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Remove commented out code.

2005-08-17 23:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: attachObject:toParent: code to handle
	addition of tab view and items.
	* Palettes/3Containers/GormTabViewAttributesInspector.m: in ok:
	code to handle attaching and detaching from the document, when items
	are added and deleted.
	* Palettes/3Containers/GormTabViewEditor.m: Streamlined code in
	delegate.
	Corrects bug#14004.

2005-08-12 01:23 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Correction for crash when loading
	.gorm files via [NSApplication openFile:...].

2005-08-11 23:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: Removed explicit check for table
	or text view.
	* GormCore/GormScrollViewAttributesInspector.m: removed explicit
	check for table or text view.
	* Palettes/3Containers/inspectors.m: Added editorClassName
	* Palettes/4Data/GNUmakefile: Added new files.
	* Palettes/4Data/GormImageViewAttributesInspector.m: Pulled out
	IBObjectAdditions category
	* Palettes/4Data/GormTextViewAttributesInspector.[hm]: Change class
	name to GormTextViewAttributesInspector.
	* Palettes/4Data/GormNumberFormatterAttributesInspector.m: Split
	* Palettes/4Data/GormDateFormatterAttributesInspector.m: Split
	* Palettes/4Data/GormTextViewEditor.m: Split
	* Palettes/4Data/inspectors.m: Moved all IBObjectAdditions categories
	here.

2005-08-10 21:05 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormTableViewEditor.m: in pasteInSelection,
	pasteType:fromPasteboard:parent: w/ _editedObject as the parent.

2005-08-10 02:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.[hm]: Added retrieveObjectForParent:recursive:
	which retrieves all of the children of a given parent.  Also modified
	detachObject: to use this method.
	* GormCore/GormFilePrefsManager.m: Bumped version to 0.13.1
	* GormInfo.plist: Bumped version to 0.13.1
	* Palettes/3Containers/GormNSTableViewInspector.gorm: Corrected minor
	spacing issue.

2005-08-07 21:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Added new GormObjectInspector.gorm file.
	* English.lproj/GormObjectInspector.gorm: New file.
	* GormCore/GNUmakefile: Added new GormObjectInspector.h.
	* GormCore/GormObjectInspector.m: Now loads gorm file.
	* GormCore/GormObjectInspector.h: New file.
	* Gorm.m: Corrected comment in header.

2005-08-07 10:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Add new header file.
	* GormCore/GormConnectionInspector.m: Include new header.
	* GormCore/GormConnectionInspector.h: New file, split from .m

2005-08-07 08:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Added new file.
	* GormCore/GormInspectorsManager.m: Removed GormConnectionInspector.
	* GormCore/GormConnectionInspector.m: Split out from
	GormInspectorsManager.m

2005-08-07 08:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m: Update version to 0.13.0
	* GormInfo.plist: Same

2005-08-06 22:25 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormClassInspector.gorm: Minor changes.
	* GNUmakefile: Added GormConnectionInspector.m
	* GormCore/GNUmakefile: Added the new resource manager.
	* GormCore/GormDocument.m: Changed to refer to the new resource
	manager.
	* GormCore/GormInspectorsManager.m: Removed hard coded gui.
	* GormCore/GormObjectEditor.m: Enabled copy/paste for objects in the
	object view.
	* GormCore/GormResourceManager.[hm]: Added to replace
	GormViewResourceManager.[hm]
	* Palettes/3Containers/GormBrowserAttributesInspector.[hm]:
	Added code to handle maxVisibleColumnsField.  Corrected tag issue.
	* Palettes/3Containers/GormNSBrowserInspector.gorm:
	Added maximum visible columns field.

2005-08-06 18:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBInspector.m: Change to correct problem with revert call
	in setObject:.  It should call using self as the sender parameter, not
	anObject or object.

2005-08-06 17:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GNUmakefile: Add in GormButtonAttributesInspector
	files.
	* Palettes/2Controls/GormButtonAttributesInspector.h: Changed ivar
	names.
	* Palettes/2Controls/GormButtonAttributesInspector.m: Changed names
	of vars and corrected problem with revert using anObject instead
	of object as it should.  Removed explicit button item adds from
	init.  Added trivial subclass to the file.
	* Palettes/2Controls/GormNSButtonInspector.gorm: Added NSPopUpButton
	items for button types.
	* Palettes/2Controls/GormStepperAttributesInspector.m: Added trivial
	subclass to the file.
	* Palettes/2Controls/inspectors.m: Moved all of IBObjectAdditions
	categories here.

2005-08-06 15:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GNUmakefile: Add new file
	* Palettes/0Menus/GormMenuAttributesInspector.m: Removed
	IBObjectAdditions definitions from this file.
	* Palettes/0Menus/GormMenuEditor.m: Same
	* Palettes/0Menus/GormMenuInspectors.m: Same
	* Palettes/0Menus/GormMenuItemAttributesInspector.m: Same
	* Palettes/0Menus/inspectors.m: new file to hold implementation of
	IBObjectAdditions.
	* Palettes/1Windows/GNUmakefile: Add new file.
	* Palettes/1Windows/GormWindowAttributesInspector.m: Remove
	IBObjectAdditions definitions from this file.
	* Palettes/1Windows/inspectors.m: new file to hold implementation of
	IBObjectAdditions.

2005-08-06 15:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GNUmakefile
	* Palettes/1Windows/GNUmakefile
	* Palettes/2Controls/GNUmakefile
	* Palettes/3Containers/GNUmakefile
	* Palettes/4Data/GNUmakefile: Added new palette file names.
	* Palettes/0Menus/MenusPalette.m: New file created from main.m
	* Palettes/1Windows/WindowsPalette.m: New file created from main.m
	* Palettes/2Controls/ControlsPalette.m: New file created from main.m
	* Palettes/3Containers/ContainersPalette.m: : New file created from
	main.m
	* Palettes/4Data/DataPalette.m: New file created from main.m

2005-08-06 11:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* Merge from post 1.0 branch.

2005-08-03 07:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormStepperAttributesInspector.m: Removed call
	to setNeedsDisplay in ok: method.

2005-08-03 07:11 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/4Data/inspectors.m: Removed local declaration of
	GormViewSizeInspector, added include of new header, added
	copyright header.

2005-08-03 06:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Added new GormViewSizeInspector.h file, split
	out from the GormViewSizeInspector.h file.
	* GormCore/GormViewSizeInspector.m: Removed interface, put into .h
	* GormCore/GormViewSizeInspector.h: Moved interface here.
	* Palettes/1Windows/GormNSWindowSizeInspector.gorm: Corrected position
	and sizing of elements in size inspector.
	* Palettes/1Windows/GormWindowAttributesInspector.m: Corrected comment,
	added copyright header.
	* Palettes/1Windows/GormWindowSizeInspector.m: Corrected comment,
	added copyright header.
	* Palettes/1Windows/main.m: Added category for NSPanel to add
	allocSubstitute.  Same as change on HEAD.
	* Palettes/2Controls/GormBoxAttributesInspector.[hm]: Added copyright
	header.
	* Palettes/2Controls/GormCellAttributesInspector.[hm]: Added copyright
	header.
	* Palettes/2Controls/GormColorWellAttributesInspector.[hm]: Added
	copyright header.
	* Palettes/2Controls/GormFormAttributesInspector.m:
	Added copyright header.
	* Palettes/2Controls/GormMatrixAttributesInspector.m: Corrected
	comment.
	* Palettes/2Controls/GormPopUpButtonAttributesInspector.m: Corrected
	comment.
	* Palettes/2Controls/GormProgressIndicatorAttributesInspector.m:
	Corrected comment.
	* Palettes/2Controls/GormSliderAttributesInspector.m: Corrected
	comment.
	* Palettes/2Controls/GormStepperAttributesInspector.m: Corrected
	comment.
	* Palettes/2Controls/GormTextFieldAttributesInspector.m: Corrected
	comment.
	* Palettes/3Containers/GNUmakefile: Added table size inspector files.
	* Palettes/3Containers/GormBrowserAttributesInspector.m: Corrected
	comment.
	* Palettes/3Containers/GormNSOutlineView.[hm]: Added copyright header.
	* Palettes/3Containers/GormTableColumnAttributesInspector.[hm]: Added
	copyright header.  Corrected comment.
	* Palettes/3Containers/GormTableColumnSizeInspector.m: Corrected
	comment.
	* Palettes/3Containers/GormTableViewAttributesInspector.m: Corrected
	comment.
	* Palettes/3Containers/GormTableViewSizeInspector.[hm]: Re-added this
	as it was previously removed.
	* Palettes/3Containers/GormTabViewAttributesInspector.m: Corrected
	comment.
	* Palettes/3Containers/inspectors.m: Moved all categories from
	containers to here.
	* Palettes/4Data/GormImageViewAttributesInspector.m: Corrected
	comment.
	* Palettes/4Data/GormNSComboBoxAttributesInspector.m: Corrected
	comment.
	* Palettes/4Data/GormTextViewAttributesInspector.m: Corrected
	comment.

2005-08-02  Fabien VALLON  <fabien@sonappart.net>

	* Palettes/2Controls/GormBoxAttributesInspector.m : split file
	use ok: revert:, clean up and comments. Add NSBox IBObjectAdditions
	category
	* Palettes/2Controls/GormBoxAttributesInspector.h : split file
	clean up and comments
	* Palettes/2Controls/GormCellAttributesInspector.m: split file
	use ok: revert: , clean up and comments. Add NSCell IBObjectAdditions
	category
	* Palettes/2Controls/GormCellAttributesInspector.h: split file
	clean up and comments.
	* Palettes/2Controls/GormFormAttributesInspector.m: split file
	use ok: revert:, replace optionMatrix by cellPositionSwitch,
	editableSwitch,selectableSwitch, and scrollableSwitch.
	clean up and comments.
	Add NSForm IBObjectAdditions category
	* Palettes/2Controls/GormFormAttributesInspector.h: split file
	 replace optionMatrix by cellPositionSwitch,editableSwitch,
	selectableSwitch, and scrollableSwitch.	clean up and comments.
	* Palettes/2Controls/GormNSFormInspector.gorm:
	replace optionMatrix by cellPositionSwitch,editableSwitch,
	selectableSwitch, and scrollableSwitch. setNextKeyView
	* Palettes/2Controls/GormMatrixdAttributesInspector.m: split file
	use ok: revert:. clean up and comments. Add NSMatrix IBObjectAdditions
	category
	* Palettes/2Controls/GormMatrixdAttributesInspector.h: split file
	clean up and comments
	* Palettes/2Controls/GormPopUpButtonAttributesInspector.m: split file
	use ok: revert:, clean up and comments. Add NSPopUpButton
	IBObjectAdditions category
	* Palettes/2Controls/GormPopUpButtonAttributesInspector.h : split file
	clean up and comments
	* Palettes/2Controls/GormSliderAttributesInspector.m: split file
	use ok: revert:, clean up and comments.  Add NSSlider IBObjectAdditions
	category. Remove : altForm, knobField, numberOfTicks,snapToTicks,
	tickPosition
	Rename : valueForm into valuesForm. clean up & comments.
	* Palettes/2Controls/GormSliderAttributesInspector.h: split file
	clean up and comments
	* Palettes/2Controls/GormNSSliderInspector.gorm :
	Remove : altForm, knobField, numberOfTicks,snapToTicks,tickPosition
	Rename : valueForm into valuesForm.
	Remove : ok: target for NSForms ( use delegate )
	* Palettes/2Controls/GormStepperAttributesInspector.m: split file
	use ok: revert: clean up and comments. Add NSStepper IBObjectAdditions
	category
	* Palettes/2Controls/GormStepperAttributesInspector.h: split file
	Clean up and comments
	* Palettes/2Controls/GormTextFieldAttributesInspector.m: split file
	use ok: revert. replace optionsMatrix by editableSwitch,
	selectableSwitch,scrollableSwitch. clean up and comments.
	Add NSTextField IBObjectAdditions category.
	* Palettes/2Controls/GormTextFieldAttributesInspector.h: split file
	replace optionsMatrix by editableSwitch, selectableSwitch,
	scrollableSwitch. clean up and comments.
	* Palettes/2Controls/GormNSTextFieldInspector.gorm:
	replace optionsMatrix by editableSwitch, selectableSwitch
	andscrollableSwitch. set NextKeyView:
	* Palettes/2Controls/GormColorWellAttributesInspector.m: split file
	renamed bordered in borderedSwitch, initialColor in initialColorWell,
	disabled in disabledSwitch, tagValue in tagField.
	remove  initialColorSelected:, disabledSelected:, borderedSelected:.
	use ok: revert: clean up and comments.
	* Palettes/2Controls/GormColorWellAttributesInspector.h: split file
	renamed bordered in borderedSwitch, initialColor in initialColorWell,
	disabled in disabledSwitch, tagValue in tagField.
	remove  initialColorSelected:, disabledSelected:, borderedSelected:.
	Clean up and comments.
	* Palettes/2Controls/GormColorWellInspector.gorm:
	renamed bordered in borderedSwitch, initialColor in initialColorWell,
	disabled in disabledSwitch, tagValue in tagField.
	remove  initialColorSelected:, disabledSelected:, borderedSelected:.
	tagField remove ok: target ( use delegate )
	* Palettes/2Controls/GormProgressIndicatorAttributesInspector.m :
	split file emove  doubleValue; borderMatrix. use ok: revert:
	Clean up and comments
	* Palettes/2Controls/GormProgressIndicatorAttributesInspector.h :
	split file remove  doubleValue; borderMatrix. Clean up and comments
	* Palettes/2Controls/GormNSProgressIndicatorInspector.gorm:
	remove  doubleValue; borderMatrix
	* Palettes/3Containers/GormBrowserAttributesInspector.m : split file
	use ok: revert: , use multipleSelectionSwitch, emptySelectionSwitch,
	branchSelectionSwitch,separateColumnsSwitch,horizontalScrollerSwitch,
	and displayTitlesSwitch instead of optionMatrix.clean up and comments
	Add NSBrowser category ( IBObjectAdditions )
	* Palettes/3Containers/GormBrowserAttributesInspector.h : split file
	use multipleSelectionSwitch, emptySelectionSwitch,
	branchSelectionSwitch,separateColumnsSwitch,horizontalScrollerSwitch,
	and displayTitlesSwitch instead of optionMatrix. clean up and comments
	* Palettes/3Containers/GormNSBrowserInspector.gorm:
	use multipleSelectionSwitch, emptySelectionSwitch,
	branchSelectionSwitch,separateColumnsSwitch,horizontalScrollerSwitch,
	and displayTitlesSwitch instead of optionMatrix. set nextKeyView:
	* Palettes/3Containers/GormTableViewAttributesInspector.m: split file
	use ok: revert:, replace selectionMatrix by  multipleSelectionSwitch,
	emptySelectionSwith and columnSelectionSwitch,
	replace optionMatrix by drawgridSwitch, resizingSwitch and
	reorderingSwitch.clean up and comments.
	Add NSTableView category ( IBObjectAdditions )
	* Palettes/3Containers/GormTableViewAttributesInspector.h: split file
	replace selectionMatrix by  multipleSelectionSwitch,emptySelectionSwith
	and columnSelectionSwitch.
	replace optionMatrix by drawgridSwitch, resizingSwitch
	and reorderingSwitch.clean up and comments.
	* Palettes/3Containers/GormNSTableViewInspector.gorm :
	replace selectionMatrix
	by  multipleSelectionSwitch,emptySelectionSwith and
	columnSelectionSwitch. replace optionMatrix by drawgridSwitch,
	resizingSwitch and reorderingSwitch.set nextKeyView:
	* Palettes/3Containers/GormTableColumnAttributesInspector.m : split file
	clean up, comments and warnings ( TODO )
	Add NSTableColumn category ( IBObjectAdditions )
	* Palettes/3Containers/GormTableColumnAttributesInspector.h : split file
	clean up and comments
	* Palettes/3Containers/GormTableColumnSizeInspector.m: split file
	use controlTextDidChange: for the form, clean up and comments.
	Add IBObjectAdditionsSize category
	* Palettes/3Containers/GormTableColumnSizeInspector.h: split file
	clean up and comments.
	* Palettes/3Containers/
	GormNSTableColumnSizeInspector.gorm: remove
	ok: taget ( use delegate )
	* Palettes/3Containers/GNUmakefile : add
	GormBrowserAttributesInspector.m
	GormTabViewAttributesInspector.m, GormTableColumnAttributesInspector.m
	GormTableColumnSizeInspector.m and GormTableViewAttributesInspector.
	* Palettes/3Containers/inspector.m : remove
	GormBrowserAttributesInspector
	GormTabViewAttributesInspector, GormTableColumnAttributesInspector
	GormTableColumnSizeInspector and GormTableViewAttributesInspector
	* Palettes/4Data/GormComboBoxAttributesInspector.m: split file
	* Palettes/4Data/GormImageViewAttributesInspector.m: split file
	use ok:, revert:, clean up and comments
	* Palettes/4Data/GormImageViewAttributesInspector.h: split file
	clean up
	* Palettes/4Data/GormTextViewAttributesInspector.m: split file
	replace optionsMatrix by  selectableButton, editableButton,
	multipleFontsButtonand graphicsButton, clean up and comments.
	Add NSTextView IBObjectAdditions category
	* Palettes/4Data/GormTextViewAttributesInspector.h: split file
	replace optionsMatrix by selectableButton, editableButton,
	multipleFontsButton and graphicsButton, clean up and comments
	* Palettes/4Data/GormNSTextViewInspector.gorm: replace optionsMatrix
	by selectableButton, editableButton, multipleFontsButton and
	graphicsButton

2005-08-01 20:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPreferences.gorm: Add keyboard equivalents
	to dropdown for preference panels.

2005-08-01 07:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassInspector.m: Return an autoreleased copy of the
	class name from _currentClass.

2005-08-01 05:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassInspector.m: Remove dopy code from _currentClass.
	* GormCore/GormPrivate.m: Use ASSIGNCOPY in initWithClassName:
	* Palettes/1Windows/main.m: Removed FIXME, since Gorm shouldn't
	show the window decoration changes directly.

2005-07-31 19:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/main.m: Addition of allocSubstitute method for
	NSPanel in the category GormPrivate.

2005-07-31 18:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Correction for bug#13990.
	* GormCore/GormInspectorsManager.m: Removed uneeded GormISelectionView
	class.

2005-07-31 10:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: [GormConnectionsInspector ok:]
	Removed code which blanks out the connector.  This allows the user
	to select connections repeatedly.  Suggested by Matt Rice.

2005-07-31 08:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPrivate.m: Reverted previous change in init.


2005-07-30 15:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPreferences.gorm: Changed class hierarchy.  Also
	added panel outlet.
	* GormCore/GormClassInspector.m: -[GormClassInspector _currentClass]
	copy the className.
	* GormCore/GormPrivate.m: -[GormClassProxy init] copy the className.
	* Gorm.m: Changed to initialize preferences panel using init.
	* GormPrefs/GormPrefController.[hm]: Added panel method, changed
	derivation to a subclass of NSObject, instead of NSWindowController.

2005-07-30 09:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/Makefile.postamble: Generate documentation from
	headers only.
	* GormPrefs/GormColorsPref.h
	* GormPrefs/GormGeneralPref.h
	* GormPrefs/GormGeneralPref.m
	* GormPrefs/GormGuidelinePref.h
	* GormPrefs/GormHeadersPref.h
	* GormPrefs/GormPalettesPref.h
	* GormPrefs/GormPrefController.h
	* GormPrefs/GormShelfPref.h: Added documentation.

2005-07-30 04:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.h: Added documentation.

2005-07-30 04:16 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: use versionOfClass: in
	_replaceObjectsWithTemplates: method.
	* GormCore/GormFilePrefsManager.[hm]: Added versionOfClass:.

2005-07-30  Fabien VALLON  <fabien@sonappart.net>

	* Palettes/1Window/GormWindowAttributesInspector.[mh] : split files.
         use ok: revert: methods, remove controls & options Matrix,
	 & replace it by a set of switch buttons. Clean up  & comments
	* Palettes/1Window/GormWindowSizeInspector.{m,h} :split files.
         use ok: revert: methods. Clean up  & comments
	* Palettes/1Window/main.m : remove GormWindowSizeInspector,
	GormWindowAttributesInspector classes and move IBObjectAdditions
	categories into GormWindowAttributesInspector and GormSizeInspector.
	* Palettes/1Window/GormNSWindowInspector.gorm: remove controls and
	options matrix, & replace it by a set of switch buttons.
	* Palettes/0Menus/GormMenuAttributesInspector.{m,h} : split files.
         use ok: revert: methods, replace menuType matrix by a matrix of Radio
	 buttons.Clean up and comments.
	* Palettes/0Menus/GormMenuItemAttributesInspector.m: split files.
         use ok: revert: methods, Clean up and comments.
	* Palettes/0Menus/MenuInspectors.m : removed
	* Palettes/0Menus/GormMenuAttributesInspector.gorm : improve ui,
	use a matrix of radioButtonCell for menu type
	* Palettes/0Menus/GormMenuEditor.m : rename IBObjectAdditions category

2005-07-28 00:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormImage.h: Added documentation.
	* GormCore/GormImage.m: Properly implemented IBObjectAdditions.
	* GormCore/GormPrivate.h: Remove illegalClassSubstitution method.
	* GormCore/GormPrivate.m: Remove illegalClassSubstitution method.
	* GormCore/GormSound.h: Added documentation.
	* GormCore/GormSound.m: Properly implemented IBObjectAdditions.
	* Gorm.m: Removed methods which check for user bundles.

2005-07-27 02:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPrefs/GormGeneralPref.m: Removed extra calls to synchronize.
	* GormPrefs/GormHeadersPref.m: ditto

2005-07-27 01:47 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.h: Added documentation.
	* GormCore/GormDocument.m: Removed commented code.  Corrected
	problem in [GormDocument instantiateClass:] when switching to
	the objects view.
	* GormCore/GormWindowEditor.h: Added documentation.

2005-07-26 22:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Added new GormWindowEditor.h file.
	* GormCore/GormWindowEditor.m: Reorganized methods, extracted .h
	* GormCore/GormWindowEditor.h: New file.
	* GormCore/NSCell+GormAdditions.h
	* GormCore/NSColorWell+GormExtensions.h
	* GormCore/NSColorWell+GormExtensions.m
	* GormCore/NSFontManager+GormExtensions.h
	* GormCore/NSFontManager+GormExtensions.m
	* GormCore/NSView+GormExtensions.h: Added documentation.

2005-07-26 21:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormNSTextFieldInspector.gorm: Correct
	resize attributes.

2005-07-25 23:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: [GormClassEditor selectClass:editClass:]
	add exception handling.
	* GormCore/GormDocument.m: [GormDocument pasteObjects:type
	fromPasteboard:] added check for specific pb types.

2005-08-06 08:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 0.11.0
	(Gorm 1.0 release candidate #1)

2005-08-01 20:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPreferences.gorm: Add keyboard equivalents
	to dropdown for preference panels.

2005-08-01 07:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassInspector.m: Return an autoreleased copy of the
	class name from _currentClass.

2005-08-01 05:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassInspector.m: Remove dopy code from _currentClass.
	* GormCore/GormPrivate.m: Use ASSIGNCOPY in initWithClassName:
	* Palettes/1Windows/main.m: Removed FIXME, since Gorm shouldn't
	show the window decoration changes directly.

2005-07-31 19:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/main.m: Addition of allocSubstitute method for
	NSPanel in the category GormPrivate.

2005-07-31 18:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Correction for bug#13990.
	* GormCore/GormInspectorsManager.m: Removed uneeded GormISelectionView
	class.

2005-07-31 10:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: [GormConnectionsInspector ok:]
	Removed code which blanks out the connector.  This allows the user
	to select connections repeatedly.  Suggested by Matt Rice.

2005-07-31 08:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPrivate.m: Reverted previous change in init.

2005-07-30 15:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPreferences.gorm: Changed class hierarchy.  Also
	added panel outlet.
	* GormCore/GormClassInspector.m: -[GormClassInspector _currentClass]
	copy the className.
	* GormCore/GormPrivate.m: -[GormClassProxy init] copy the className.
	* Gorm.m: Changed to initialize preferences panel using init.
	* GormPrefs/GormPrefController.[hm]: Added panel method, changed
	derivation to a subclass of NSObject, instead of NSWindowController.

2005-07-30 09:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/Makefile.postamble: Generate documentation from
	headers only.
	* GormPrefs/GormColorsPref.h
	* GormPrefs/GormGeneralPref.h
	* GormPrefs/GormGeneralPref.m
	* GormPrefs/GormGuidelinePref.h
	* GormPrefs/GormHeadersPref.h
	* GormPrefs/GormPalettesPref.h
	* GormPrefs/GormPrefController.h
	* GormPrefs/GormShelfPref.h: Added documentation.

2005-07-30 04:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.h: Added documentation.

2005-07-30 04:16 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: use versionOfClass: in
	_replaceObjectsWithTemplates: method.
	* GormCore/GormFilePrefsManager.[hm]: Added versionOfClass:.

2005-07-28 23:09 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSWindowSizeInspector.gorm: Corrected layout.

2005-07-28 00:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormImage.h: Added documentation.
	* GormCore/GormImage.m: Properly implemented IBObjectAdditions.
	* GormCore/GormPrivate.h: Remove illegalClassSubstitution method.
	* GormCore/GormPrivate.m: Remove illegalClassSubstitution method.
	* GormCore/GormSound.h: Added documentation.
	* GormCore/GormSound.m: Properly implemented IBObjectAdditions.
	* Gorm.m: Removed methods which check for user bundles.

2005-07-27 02:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPrefs/GormGeneralPref.m: Removed extra calls to synchronize.
	* GormPrefs/GormHeadersPref.m: ditto

2005-07-27 01:47 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.h: Added documentation.
	* GormCore/GormDocument.m: Removed commented code.  Corrected
	problem in [GormDocument instantiateClass:] when switching to
	the objects view.
	* GormCore/GormWindowEditor.h: Added documentation.

2005-07-26 22:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Added new GormWindowEditor.h file.
	* GormCore/GormWindowEditor.m: Reorganized methods, extracted .h
	* GormCore/GormWindowEditor.h: New file.
	* GormCore/NSCell+GormAdditions.h
	* GormCore/NSColorWell+GormExtensions.h
	* GormCore/NSColorWell+GormExtensions.m
	* GormCore/NSFontManager+GormExtensions.h
	* GormCore/NSFontManager+GormExtensions.m
	* GormCore/NSView+GormExtensions.h: Added documentation.

2005-07-26 21:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormNSTextFieldInspector.gorm: Correct
	resize attributes.

2005-07-25 23:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: [GormClassEditor selectClass:editClass:]
	add exception handling.
	* GormCore/GormDocument.m: [GormDocument pasteObjects:type
	fromPasteboard:] added check for specific pb types.

2005-07-24 16:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPrivate.h: Removed GormOutlineView.h from the
	includes.

2005-07-24 16:31 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Call selectRow: method.
	* GormCore/GormOutlineView.[hm]: Added new selectRow: method.
	Corrects bug#13754.

2005-07-24 12:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Eliminated [Gorm finishLaunching] and moved default
	initialization code to init before paletteManager is called so
	that the palette window is placed correctly.
	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.m: Added override for
	saveFrameUsingName: to prevent saving the position of windows
	during testing in Gorm's defaults.
	* Resources/Defaults.plist: Added defaults for Inspector, Palettes,
	and Preferences windows so that they appear at a reasonable position
	on the screen when Gorm is first used.  Corrects bug#13780.

2005-07-24 11:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.m: Readded override of
	orderWindow:relativeTo:.  This corrects bug#13838.

2005-07-23 18:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: Remove extra revert: call.
	* GormLib/IBInspector.m: Touch changes the inspector X to the broken
	X, per specs.
	* Gorm.m: [Gorm testInterface] fix for menu disappearance when
	testing the interface.
	* Palettes/0Menus/main.m: Added to authors list.

2005-07-23 10:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/Makefile.postamble: Create documentation
	for GormCore, GormObjCHeaderParser and GormPrefs.

2005-07-21  fabien  <fabien@sonappart.net>

	* Palettes/0Menus/GormMenuInspectors.m : Corrects bug #13872

2005-07-20 23:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.m: Reverted previous change.

2005-07-19 00:35 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.m: Removed override for
	orderWindow:... added sendEvent: to do the same thing, since
	it's a little more generic.  This corrects bug#13838.

2005-07-18 23:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.m: Added override for
	orderWindow:relativeTo: which causes selection of the window
	by Gorm, if the title bar is clicked.

2005-07-17 15:47 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Added code to prevent memory leak
	with previous change.

2005-07-17 15:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Removed AUTORELEASE for
	subClassesArray, it was causing a crash.
	* GormCore/GormClassInspector.m: setObject: conditional which
	prints a warning if a non-GormClassProxy class is passed in.
	* GormCore/GormPrivate.m: initWithClassName: conditional which
	prints a warning if a non-string is used to initialize th
	GormClassProxy.

2005-07-17 08:42 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInternalViewEditor.m: -init, prepareForDragOperation:,
	performDragOperation: removed uneeded IBFormatterPboardType from
	the list.

2005-07-16 23:34 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassInspector.m: -_refreshView removed
	call to deselectAll: for the actionTable and outletTable.
	On occasion this was causing the application to go into a
	notification-update loop.

2005-07-15 21:48 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: -init, changed NSLog to
	NSDebugLog.

2005-07-15 00:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Added exception handling to portions
	of code which call itemAtIndex: method on the outline view to
	prevent any problems.
	* GormCore/GormInspectorsManager.m: Changed a NSLog to NSDebugLog.

2005-07-14 12:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Minor change to changeView: to
	switch to the appropriate toolbar item when the view changes
	automatically while dragging.  Also a change to awakeFromNib
	to select the correct item on startup.

2005-07-14 09:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Implement toolbarSelectableItemIdentifiers
	in the toolbar delegate so that the items will remain selected showing
	the current selection.

2005-07-14 00:05 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: Removed commented out
	code.
	* Palettes/3Containers/GormNSTableColumnInspector.gorm: Changed
	"Is visible at launch" to NO to prevent exception.

2005-07-13 22:51 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormButtonEditor.m: Corrected issue with
	button editing.  bug #13756.

2005-07-13 09:01 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Corrected problem selecting NSObject
	in browser when it's selected in the outline.

2005-07-13 02:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Changed code in selectClass:editClass:
	to use the methods from the GormClassManager as appropriate.  Removed
	do.. while construct since it did the same thing as
	allSuperClassesOf in GormClassManager.
	* GormCore/GormClassManager.[hm]: Added new method isRootClass: which
	returns true if the argument is a root class.  Also replaced
	references to @"NSObject" in a number of places with calls to this
	method.  This makes the code more generic.
	* GormCore/GormPalettesManager.m: Added check in
	importClasses:withDictionary: which should allow loading palettes
	which define root level classes.

2005-07-12  fabien  <fabien@sonappart.net>

	* GormCore/GormClassEditor.m: Fix OutlineView / BrowserView switch
	Add some warnings.
	Greg please check the code.
	You will need to change it when GormClassManager will
	change ( for root object )
	* Palettes/3Containers/inspector.m : Add minimum column size for
	NSBrowser
	* Palettes/3Containers/GormNSBrowserInspector.gorm : Ditto

2005-07-11  fabien  <fabien@sonappart.net>

	* Palettes/1Windows/ControlsPalette.gorm :
	Fix bad layout when doing a matrix of NSForms.
	* Documentation : Gorm.texi, Update documentation
	* GormCore/GormInspectorsManager.m : make setInitialFirstResponder working with inspector
	* Palettes/0Menus/GormMenuInspectors.gorm : set initialFirstResponder
	* Palettes/0Menus/GormMenuItemAttributesInspector.gorm : Ditto
	* Palettes/1Windows/GormNSWindowSizeInspector.gorm : Ditto
	* Palettes/2Controls/GormNSButtonInspector.gorm : Ditto
	* Palettes/2Controls/GormNSCellInspector.gorm : Ditto
	* Palettes/3Containers/GormNSTableColumnInspector.gorm : Ditto
	* Palettes/4Data/GormNSDateFormatterInspector.gorm: Ditto
	* Palettes/4Data/GormNSNumberFormatterInspector.gorm : Ditto
	* English.lproj/GormCustomClassInspector.gorm : Ditto
	* English.lproj/GormScrollViewAttributesInspector.gorm: Ditto
	* English.lproj/GormViewSizeInspector.gorm : Ditto

2005-07-10 20:37 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Corrected some connections which were
	causing the "Classes" menu items to be enabled when the shouldn't
	have been.

2005-07-08 13:34 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Correction for problem with testing with tables and outline
	views in testInterface.
	* Palettes/3Containers/GormNSOutlineView.m: Removed awakeFromNib
	* Palettes/3Containers/GormNSTableView.m: ditto.

2005-07-08 04:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomClassInspector.m: In
	-(void)_replaceCellClassForObject:className: added checks
	to make sure the object/cell responds to appropriate messages
	before call.  This prevents an issue when selecting a new
	custom class.

2005-07-07 22:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomClassInspector.m: In the method
	- (void) _replaceCellClassForObject:className: added logic to
	automatically replace the cell in a more generic fashion.
	* GormCore/GormPrivate.m: Added logic to canSubstituteForClass: to
	determine if it's possible for the class passed in to substitute for
	the reciever.
	* Palettes/2Controls/inspectors.m: Removed canSubstituteForClass:
	implementation for NSSecureTextView.
	* Palettes/3Containers/GormNSOutlineView.[hm]: Cleaned up
	initWithCoder: and encodeWithCoder:.
	* Palettes/3Containers/GormNSTableView.[hm]: Ditto

2005-07-07 13:22 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormControlEditor.m: Removed commented out code
	in GormControlEditor.
	* GormCore/GormDocument.m: Removed unused variables.
	* Palettes/3Containers/GormNSTableView.m: Added encoder methods to
	the data source/delegate to allow testInterface: to work properly.

2005-07-07  fabien  <fabien@sonappart.net>

	* English.lproj/GormClassInspector.gorm : Improve UI
	* English.lproj/GormClassPanel.gorm : Ditto
	* English.lproj/GormCustomClassInspector.gorm  : Ditto
	* English.lproj/GormDocument.gorm : Ditto
	* English.lproj/GormFontView.gorm : Ditto
	* English.lproj/GormImageInspector.gorm : Ditto
	* English.lproj/GormNSSplitViewInspector.gorm : Ditto
	* English.lproj/GormPrefColors.gorm : Ditto
	* English.lproj/GormPrefGeneral.gorm : Ditto
	* English.lproj/GormPrefGuideline.gorm : Ditto
	* English.lproj/GormPrefHeaders.gorm : Ditto
	* English.lproj/GormPrefPalettes.gorm : Ditto
	* English.lproj/GormPreferences.gorm : Ditto
	* English.lproj/GormScrollViewAttributesInspector.gorm : Ditto
	* English.lproj/GormSetName.gorm : Ditto
	* English.lproj/GormShelfPref.gorm : Ditto
	* English.lproj/GormSoundInspector.gorm : Ditto
	* English.lproj/GormViewSizeInspector.gorm : Ditto
	* Palettes/0Menus/GormMenuInspectors.m: Implement the delegate method
	controlTextDidChange for textField
	* Palettes/0Menus/GormMenuAttributesInspector.gorm: Improve UI,
	set setNextView:, initialFirstResponder: ...
	* Palettes/0Menus/GormMenuItemAttributesInspector.gorm:  Improve UI,
	set setNextView:, initialFirstResponder: ...
	* Palettes/1Windows/main.m: Implement delegate method
	controlTextDidChange for textFields
	* Palettes/1Windows/GormNSWindowInspector.gorm: Improve UI,set
	setNextView:, initialFirstResponder: ...
	* Palettes/1Windows/GormNSWindowSizeInspector.gorm: Improve UI,set
	setNextView:, initialFirstResponder: ...
	* Palettes/2Controls/inspectors.m: Implement delegate
	method controlTextDidChange: for textFields
	* Palettes/2Controls/ControlsPalette.gorm: Improve UI,set
	setNextView:, initialFirstResponder: ...
	* Palettes/2Controls/GormNSBoxInspector.gorm: Ditto
	* Palettes/2Controls/GormNSButtonInspector.gorm: Ditto
	* Palettes/2Controls/GormNSCellInspector.gorm: Ditto
	* Palettes/2Controls/GormNSColorWellInspector.gorm : Ditto
	* Palettes/2Controls/GormNSFormInspector.gorm : Ditto
	* Palettes/2Controls/GormNSMatrixInspector.gorm : Ditto
	* Palettes/2Controls/GormNSPopUpButtonInspector.gorm : Ditto
	* Palettes/2Controls/GormNSProgressIndicatorInspector.gorm : Ditto
	* Palettes/2Controls/GormNSSliderInspector.gorm : Ditto
	* Palettes/2Controls/GormNSStepperInspector.gorm : Ditto
	* Palettes/2Controls/GormNSTextFieldInspector.gorm : Ditto
	* Palettes/3Containers/inspectors.m: Implement delegate method
	controlTextDidChange: for textFields
	* Palettes/3Containers/GormNSBrowserInspector.gorm :Improve UI,
	set setNextView:, initialFirstResponder: ...
	* Palettes/3Containers/GormNSTableColumnInspector.gorm  :Ditto
	* Palettes/3Containers/GormNSTableColumnSizeInspector.gorm  :Ditto
	* Palettes/3Containers/GormNSTableViewInspector.gorm  :Ditto
	* Palettes/3Containers/GormTabViewInspector.gorm : Ditto
	* Palettes/4Data/GormNSComboBoxInspector.gorm : Ditto
	* Palettes/4Data/GormNSDateFormatterInspector.gorm: Ditto
	* Palettes/4Data/GormNSImageViewInspector.gorm: Ditto
	* Palettes/4Data/GormNSNumberFormatterInspector.gorm: Ditto
	* Palettes/4Data/GormNSTextViewInspector.gorm: Ditto

2005-07-06 10:48 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: changeToViewWithTag: added code to
	change current selection when switching the editor.

2005-07-05 10:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Corrected problem where the Gorm
	was incorrectly warning of version upgrade on .gorm files which
	don't contain windows.  Also added documentation/comments for
	all methods in GormDocument.m.

2005-07-04 21:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: In -testInterface corrected a problem with testing
	interface when menu item is connected to NSOwner.

2005-07-04 20:44 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Cleaned up some duplicate connections
	* GormCore/GormFilePrefsManager.m: Updated version to 0.10.2
	* GormInfo.plist: Updated version to 0.10.2
	* Version: Updated version to 0.10.2

2005-07-04 17:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Added Layout and Alignment menus.
	* GormCore/GormDocument.[hm]: Added alignSelectedObjects: and
	arrangeSelectedObjects: methods.
	* GormCore/GormProtocol.h: Added alignSelectedObjects: and
	arrangeSelectedObjects: methods declarations
	* GormCore/NSView+GormExtensions.[hm]: Added moveViewToFront: and
	moveViewToBack: methods.
	* Gorm.m: Added alignSelectedObjects: and
	arrangeSelectedObjects: methods.

2005-07-03 12:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/4Data/main.m: Minor fix in
	depositViewResourceFromPasteboard: to prevent crash.

2005-07-03 12:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormBoxEditor.m: Minor cleanup.
	* GormCore/GormControlEditor.m: Removed unecessary code to
	handle formatter, since it is now handled generically via the
	dragging delegate code.
	* GormCore/GormViewEditor.m: Added code in performDragOperation:
	and other dragging methods to correctly use the dragging delegate
	code.
	* GormCore/NSView+GormExtensions.m: Added implementation
	of delegate registration methods to NSView here.
	* GormLib/IBApplicationAdditions.h: Added declaration
	for documentForObject: to the IBDocuments protocol.
	* GormLib/IBPalette.h: Changed "document" ivar to paletteDocument.
	* GormLib/IBPalette.m: Changed "document" ivar to paletteDocument.
	* Gorm.m: Added implementation of documentForObject:
	* Palettes/2Controls/main.m: Added methods for
	IBViewResourceDraggingDelegates to handle images and sounds
	dragged to controls.
	* Palettes/4Data/main.m: Added methods for
	IBViewResourceDraggingDelegates to handle formatters being
	dragged to controls.

2005-07-02 16:12 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormControlEditor.m: Added call to setSelectionFromEditor:
	in performDragOperation, if the object has a formatter.
	* GormCore/GormInspectorsManager.m: Changes to refresh the
	popup button based on the inspector modes in setCurrentInspector:
	* GormLib/IBInspectorManager.[hm]: New instance variable.
	Implemented addInspectorModeWithIndentifier:forObject:...
	* GormLib/IBInspectorMode.[hm]: Added.
	* Palettes/4Data/inspectors.m: minor cleanup.
	* Palettes/4Data/main.m: Added code to add the inspector mode to
	the manager when the object is selected.

2005-06-30 00:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPrefGeneral.gorm: Remove the preferences
	to manually change if the inspector or palette is shown.
	* Gorm.m: -[Gorm applicationWillTerminate:] added code to
	save the inspector and palette state.

2005-06-20 20:11 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile.preamble: Remove dependency on GL.
	* GormCore/GormOpenGLView.h: Make a subclass of NSView.
	* GormCore/GormOpenGLView.m: Comment out uneeded code.

2005-06-20 19:32 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile.preamble: Add -lGL to ADDITIONAL_LIBS
	* GormCore/GNUmakefile: Added new opengl view.
	* GormCore/GormCustomView.m: Added include for GormOpenGLView and
	modified _bestPossibleSuperClass to return the GormOpenGLView.
	* GormCore/GormOpenGLView.[hm]: Displays a rotating polygon to
	illustrate that this is a OpenGL view to the user when in test mode.
	* GormCore/GormViewWithSubviewsEditor.m: Corrected includes.
	* Gorm.m: Corrected a memory leak in testInterface and endTesting.

2005-06-17 17:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormNSMenu.m: Code cleanup.

2005-06-17 07:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuEditor.m
	* Palettes/0Menus/main.m
	* Palettes/1Windows/main.m
	* Palettes/3Containers/inspectors.m: Code cleanup.

2005-06-17 00:47 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m
	* GormCore/GormDocument.m
	* GormCore/GormInspectorsManager.m
	* GormCore/GormObjectEditor.m
	* GormCore/GormObjectInspector.m
	* GormCore/GormPalettesManager.m
	* GormCore/GormResourceEditor.m
	* GormCore/GormWindowEditor.m: Code cleanup.

2005-06-17 00:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Code cleanup.

2005-06-16 23:49 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Override "stop:" to call endTesting: if a test
	session is running, instead of killing the app.

2005-06-16 19:49 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBInspector.m: Added "revert" call in setObject:

2005-06-14 20:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Fix in [GormDocument translate] to
	properly redisplay the window after translation.

2005-06-12 23:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormOutlineView.m: _handleDoubleClick: now calls
	NSDebugLog

2005-06-12 23:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Added GormProtocol.h to the exported headers.

2005-06-12 23:07 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Modified the data source method
	outlineView:setObjectValue:forItem: to reject outlet/action changes
	when the item and the objectValue are the same.
	* GormCore/GormDocument.m: Changed collectAllObjects to
	_collectAllObjects, since it is private.
	* GormCore/GormOutlineView.m: In mouseDown: only send to the super
	class under certain conditions.

2005-06-11 14:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Addition of "Translation" submenu as well
	as Load Strings and Export Strings
	* GormCore/GormDocument.h: Declaration of exportStrings
	* GormCore/GormDocument.m: Implementation of exportStrings
	* GormCore/GormProtocol.h: Declaration of app level exportStrings:
	* Gorm.m: Implementation of app level exportStrings: method.

2005-06-11 05:13 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Improved translate method.
	* Gorm.m: validateMenuItem: add case to handle translate menu.

2005-06-10 07:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/Gorm.gorm: Addition of "Translate" menu.
	* GormCore/GormClassInspector.m: Corrected problem in
	outlet and action data sources in tableView:setObjectValue:
	tableColumn:row:
	* GormCore/GormDocument.h: Added translate method, also added
	selectClass:editClass: method declarations.
	* GormCore/GormDocument.m Added translate method, also added
	selectClass:editClass: method implementation.
	* GormCore/GormProtocol.h: Added translate method declaration
	to call from the menu.
	* Gorm.m: Added translate method implementation which simply
	calls the method on the currently active document.

2005-06-04 07:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormClassInspector.gorm: Updated to new .gorm file
	version
	* English.lproj/GormDocument.gorm: Added new profile to drop down.
	* English.lproj/GormViewSizeInspector.gorm: Updated to new .gorm
	file version
	* GormCore/GormDocument.m: Change to _replaceObjectsWithTemplates: to
	always replace windows with a GSWindowTemplate.  This allows the
	autoposition and defered logic to work properly when loading this
	.gorm file in an application.
	* GormCore/GormFilePrefsManager.m: Bumped version to 0.10.1
	* GormCore/GormViewSizeInspector.m: Minor changes.
	* GormInfo.plist: Bumped version to 0.10.1
	* Palettes/0Menus/GormMenuEditor.m: Removed uneeded code.
	* Palettes/0Menus/GormNSMenu.h: Added +menuWithMenu declaration.
	* Palettes/0Menus/GormNSMenu.m: Added +menuWithMenu: to initialize
	one menu from another.
	* Palettes/0Menus/main.m: Change to use the fontMenu: method in
	the NSFontManager to build the menu in Gorm's palette.
	* Palettes/1Windows/GormNSPanel.h: Declarations for new methods.
	* Palettes/1Windows/GormNSPanel.m: setAutoPositionMask: and
	autoPositionMask methods added.
	* Palettes/1Windows/GormNSWindow.h: Declarations for new methods.
	* Palettes/1Windows/GormNSWindow.m: setAutoPositionMask: and
	autoPositionMask methods added.
	* Palettes/1Windows/GormNSWindowSizeInspector.gorm: Additions to handle
	window positioning and maxsize.
	* Palettes/1Windows/main.m: Additions to the window inspector
	to handle maxSize and window position.
	* Resources/VersionProfiles.plist: New profile entry

2005-05-25 23:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GModelDecoder.m
	* GormCore/GormBoxEditor.h
	* GormCore/GormBoxEditor.m
	* GormCore/GormClassEditor.h
	* GormCore/GormClassEditor.m
	* GormCore/GormClassManager.h
	* GormCore/GormClassManager.m
	* GormCore/GormClassPanelController.h
	* GormCore/GormClassPanelController.m
	* GormCore/GormControlEditor.h
	* GormCore/GormControlEditor.m
	* GormCore/GormCustomView.h
	* GormCore/GormCustomView.m
	* GormCore/GormDocument.h
	* GormCore/GormDocument.m
	* GormCore/GormFilesOwner.h
	* GormCore/GormFilesOwner.m
	* GormCore/GormFunctions.h
	* GormCore/GormFunctions.m
	* GormCore/GormGenericEditor.h
	* GormCore/GormGenericEditor.m
	* GormCore/GormImageEditor.h
	* GormCore/GormImageEditor.m
	* GormCore/GormImage.m
	* GormCore/GormInspectorsManager.h
	* GormCore/GormInspectorsManager.m
	* GormCore/GormInternalViewEditor.h
	* GormCore/GormInternalViewEditor.m
	* GormCore/GormMatrixEditor.h
	* GormCore/GormMatrixEditor.m
	* GormCore/GormObjectEditor.h
	* GormCore/GormObjectEditor.m
	* GormCore/GormObjectInspector.m
	* GormCore/GormPalettesManager.h
	* GormCore/GormPalettesManager.m
	* GormCore/GormPlacementInfo.h
	* GormCore/GormPrivate.h
	* GormCore/GormPrivate.m
	* GormCore/GormProtocol.h
	* GormCore/GormResourceEditor.h
	* GormCore/GormResourceEditor.m
	* GormCore/GormResource.m
	* GormCore/GormScrollViewEditor.m
	* GormCore/GormSoundEditor.h
	* GormCore/GormSoundEditor.m
	* GormCore/GormSound.m
	* GormCore/GormSplitViewEditor.h
	* GormCore/GormSplitViewEditor.m
	* GormCore/GormViewEditor.h
	* GormCore/GormViewEditor.m
	* GormCore/GormViewResourceManager.h
	* GormCore/GormViewResourceManager.m
	* GormCore/GormViewSizeInspector.m
	* GormCore/GormViewWindow.h
	* GormCore/GormViewWindow.m
	* GormCore/GormViewWithContentViewEditor.h
	* GormCore/GormViewWithContentViewEditor.m
	* GormCore/GormViewWithSubviewsEditor.h
	* GormCore/GormViewWithSubviewsEditor.m
	* GormCore/GormWindowEditor.m
	* GormCore/NSCell+GormAdditions.h
	* GormCore/NSCell+GormAdditions.m
	* GormCore/NSColorWell+GormExtensions.h
	* GormCore/NSColorWell+GormExtensions.m
	* GormCore/NSFontManager+GormExtensions.h
	* GormCore/NSFontManager+GormExtensions.m
	* GormCore/NSView+GormExtensions.h
	* GormCore/NSView+GormExtensions.m
	* GormLib/IBApplicationAdditions.h
	* GormLib/IBApplicationAdditions.m
	* GormLib/IBCellAdditions.h
	* GormLib/IBCellProtocol.h
	* GormLib/IBConnectors.h
	* GormLib/IBConnectors.m
	* GormLib/IBDefines.h
	* GormLib/IBDocuments.h
	* GormLib/IBDocuments.m
	* GormLib/IBEditors.h
	* GormLib/IBEditors.m
	* GormLib/IBInspector.h
	* GormLib/IBInspector.m
	* GormLib/IBInspectorManager.h
	* GormLib/IBInspectorManager.m
	* GormLib/IBObjectAdditions.h
	* GormLib/IBObjectAdditions.m
	* GormLib/IBObjectProtocol.h
	* GormLib/IBPalette.h
	* GormLib/IBPalette.m
	* GormLib/IBProjectFiles.h
	* GormLib/IBProjects.h
	* GormLib/IBResourceManager.h
	* GormLib/IBResourceManager.m
	* GormLib/IBViewAdditions.h
	* GormLib/IBViewProtocol.h
	* GormLib/IBViewResourceDragging.h
	* GormLib/InterfaceBuilder.h
	* GormPrefs/GormColorsPref.h
	* GormPrefs/GormGeneralPref.m
	* GormPrefs/GormGuidelinePref.h
	* GormPrefs/GormPalettesPref.m
	* Palettes/0Menus/GormMenuEditor.m
	* Palettes/0Menus/GormMenuInspectors.m
	* Palettes/0Menus/GormNSMenu.h
	* Palettes/0Menus/GormNSMenu.m
	* Palettes/0Menus/main.m
	* Palettes/1Windows/GormNSPanel.h
	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.h
	* Palettes/1Windows/GormNSWindow.m
	* Palettes/1Windows/main.m
	* Palettes/2Controls/GormButtonEditor.h
	* Palettes/2Controls/GormButtonEditor.m
	* Palettes/2Controls/inspectors.m
	* Palettes/2Controls/main.m
	* Palettes/3Containers/GormNSBrowser.h
	* Palettes/3Containers/GormNSBrowser.m
	* Palettes/3Containers/GormNSOutlineView.h
	* Palettes/3Containers/GormNSOutlineView.m
	* Palettes/3Containers/GormNSTableView.h
	* Palettes/3Containers/GormNSTableView.m
	* Palettes/3Containers/GormTableViewEditor.h
	* Palettes/3Containers/GormTableViewEditor.m
	* Palettes/3Containers/GormTabViewEditor.h
	* Palettes/3Containers/GormTabViewEditor.m
	* Palettes/3Containers/inspectors.m
	* Palettes/3Containers/main.m
	* Palettes/4Data/inspectors.m
	* Palettes/4Data/main.m
	* Palettes/GNUmakefile: Change of address for FSF in header.

2005-05-25 23:09 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile
	* GNUmakefile.postamble
	* GNUmakefile.preamble
	* Gorm.m
	* main.m: Change address of FSF.
	* Palettes/1Windows/GormNSWindowInspector.gorm: Remove "wants to
	be color".
	* Palettes/1Windows/GormNSWindowSizeInspector.gorm: Added window
	autoposition section and max size section to .gorm file.

2005-05-24 00:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormClassInspector.gorm: Added link to
	invoke selectAction: when an action is selected, also added link
	to invoke selectOutlet: when an outlet is selected.
	* GormCore/GormClassInspector.m: Addition of two new actions
	selectAction: and selectOutlet:

2005-05-22 00:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Correction for outline view
	resize issues in switchView.

2005-05-21 13:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPrefGeneral.gorm: Make the top switch off.
	* GormCore/GormClassEditor.m: Added code in switchView
	to properly resize the view so that it doesn't shrink when switching
	between the outline and browser.
	* GormPrefs/GormGeneralPref.m: Correct problem setting the
	radio button.

2005-05-21 11:06 Gregory John Casamento <greg_casamento@yahoo.com>

	* English.lproj/GormPrefGeneral.gorm: Added oulets/actions for
	matrix to choose outline or browser view.
	* GormCore/GormClassEditor.h: Added forward declaration for
	NSBrowser.
	* GormCore/GormClassEditor.m: Added new private methods and
	also added code to existing methods to handle the browser view.
	* GormCore/GormClassManager.m: Removed artificial returning of
	NSObject in subClassesOf: and allSubclassesOf: so that it's now
	possible to all root classes when querying for "nil".
	* GormCore/GormFilePrefsManager.m: Updated version.
	* GormInfo.plist: Updated version.
	* GormPrefs/GormGeneralPref.h: Added interfaceMatrix and classesAction:
	* GormPrefs/GormGeneralPref.m: Implemented classesAction.
	* Resources/Defaults.plist: Added new default so that the user's
	preference for the classes view is stored.

2005-05-19 23:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 0.9.10

2005-05-07 06:50 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: In handleNotification: reset selection owner to
	nil when document is closed.  In validateMenuItem: do not get
	class manager or selection owner when there is no active document.

2005-05-07 06:35 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GModelDecoder.m: Code to remove uneeded
	classes from the model during processing.
	* GormCore/GormClassEditor.m: Beginnings of class browser code.

2005-05-04 05:32 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.h: Changed class inheritance added
	some ivars.
	* GormCore/GormClassEditor.m: Made the editor indenpendent of the
	outlineview.  It now is an NSBox subclass.  Preparing to
	implement NSBrowser view of class hierarchy.
	* GormCore/GormClassInspector.m: Changed document extensions
	to call resetObject: on the editor instead of reset.
	* GormCore/GormClassManager.m: Removed uneeded variable.
	* GormCore/GormDocument.m: Changed to use new editor view.
	* GormCore/GormPrivate.h: Added include.

2005-05-01 01:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m: Added code in initWithDocument:
	which properly adds the methods to FirstResponder.   Previously these
	methods were being added in "ExtraActions" which was not correct.
	Methods which are added in the palette should be added to "Actions".

2005-04-28 08:50 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Correct problem in setName:forObject:
	which was causing a segfault.

2005-04-24 11:16 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m: Remove special case for
	NSSecureTextField.
	* GormCore/GormCustomClassInspector.m: Added new private
	method to call canSubstituteForClass: when appropriate to
	determine if the class should appear in the class list.
	* GormCore/GormPrivate.m: Added default implementation of
	canSubstituteForClass: on NSObject to return NO.
	* Palettes/2Controls/inspectors.m: Added implementation of
	canSubstituteForClass: to NSSecureTextField.

2005-04-23 22:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Change in performDragOperation: to
	bring up an alert panel if the header can't be parsed.

2005-04-23 20:13 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Register for all types.
	* GormCore/GormDocument.h: Added new method allManagedPbTypes.
	* GormCore/GormDocument.m: Implemented new method.
	* GormCore/GormObjectEditor.m: Register for all types.
	* GormCore/GormPrivate.m: Added call to new method which returns the
	pb types for all resource managers.

2005-04-23 14:37 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Added new files.
	* GormCore/GormBoxEditor.m: Added new includes.
	* GormCore/GormControlEditor.m: Added new includes
	* GormCore/GormDocument.m: Added new includes.
	* GormCore/GormGenericEditor.m: Added new includes.
	* GormCore/GormImageEditor.m: Added new includes.
	* GormCore/GormInternalViewEditor.m:
	* GormCore/GormMatrixEditor.m: Added new includes
	* GormCore/GormObjectEditor.m: Added new header.
	* GormCore/GormPrivate.h: Removed declarations.
	* GormCore/GormResourceEditor.m: Include new header.
	* GormCore/GormScrollViewEditor.m: Include new header.
	* GormCore/GormSoundEditor.m: Include new header.
	* GormCore/GormSplitViewEditor.m: Added GormViewKnobs.h
	* GormCore/GormViewEditor.m: Added GormViewKnobs.h
	* GormCore/GormViewSizeInspector.m: Added GormViewKnobs.h
	* GormCore/GormViewWithContentViewEditor.m: Added GormViewKnobs.h
	* GormCore/GormWindowEditor.m: Added GormViewKnobs.h
	* GormCore/GormSoundEditor.h: Pulled out of GormPrivate.h
	* GormCore/GormImageEditor.h: Pulled out of GormPrivate.h
	* GormCore/GormResourceEditor.h: Pulled out of GormPrivate.h
	* GormCore/GormObjectEditor.h: Pulled out of GormPrivate.h
	* GormCore/GormGenericEditor.h: Pulled out of GormPrivate.h
	* Gorm.m: Added new includes
	* GormPrefs/GormPalettesPref.m: Eliminated warning.
	* Palettes/0Menus/GormMenuEditor.m: Removed unused variable.
	* Palettes/3Containers/GormTabViewEditor.m: Added include to
	GormViewKnobs.h

2005-04-23 13:11 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Added new files.
	* GormCore/GormClassEditor.m: Changed to include new header, and
	use new method for registration of pboard types.
	* GormCode/GormClassEditor.h: New file
	* GormCore/GormDocument.m: Changed to include new header.
	* GormCore/GormObjectEditor.m: Uses new method to register all
	pboard types.
	* GormCore/GormPrivate.h: Added declaration for new method.
	* GormCore/GormPrivate.m: Added new method to register pboard types.
	* GormCore/GormResourceEditor.m: Changed to use new method.
	* NSCell+GormAdditions.h: Removed from GormPrivate.h
	* NSCell+GormAdditions.m: Removed from GormPrivate.m

2005-04-23 02:50 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassEditor.m: Implementation of editor/dragging
	methods.
	* GormCore/GormDocument.m: Uncommented the section of the
	changeToTopLevelEditorAcceptingTypes: method which switches to the
	classes view.
	* GormCore/GormGenericEditor.m: Added implementation for
	fileTypes.
	* GormCore/GormPrivate.h: Added declaration of fileTypes.

2005-04-22 17:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.h: Changed signature.
	* GormCore/GormDocument.m: Add another parameter on the new
	method added previously.
	* GormCore/GormObjectEditor.m: Get the ext to pass and call
	changeToTopLevelEditorAcceptingTypes:andFileTypes: if the
	type is NSFilenamePboardType.
	* GormCore/GormResourceEditor.m: Get the ext to pass and call
	changeToTopLevelEditorAcceptingTypes:andFileTypes:

2005-04-22 15:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.h: Added new method.
	* GormCore/GormDocument.m: Added implementation for
	changeToTopLevelEditorAcceptingTypes and changeToViewWithTag:.
	* GormCore/GormObjectEditor.m: Added code to call
	changeToTopLevelEditorAcceptingTypes: when a given type isn't
	accepted by this editor.
	* GormCore/GormResourceEditor.m: Added code to call
	changeToTopLevelEditorAcceptingTypes: when a given type isn't
	accepted by this editor.

2005-04-22 12:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuEditor.m: [GormMenuEditor pasteInSelection]
	removed extra call to attachObject:withParent:.

2005-04-22 12:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuEditor.m: [GormMenuEditor pasteInSelection]
	corrected problem with pasting the menu items.

2005-04-21 20:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GNUmakefile: Build the new resource manager.
	* GormCore/GormDocument.m: Register the new resource manager.
	* GormCore/GormViewResourceManager.m: New resource manager for views.
	* GormLib/IBResourceManager.m: Removed views for the main resource
	manager.

2005-04-21 00:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormViewEditor.m: Fix for double "setView:" call.
	* GormCore/GormViewWindow.m: Code cleanup.

2005-04-20 23:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormObjectEditor.m: Added copyright information.
	* GormLib/IBResourceManager.m: Added exception handling to prevent
	a problem unarchiving an object from the pasteboard from crashing
	the app.

2005-04-20 21:51 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m: Restrict instantiation of NSView and
	subclasses using Command-Shift-I.  This means that standalone views
	can only be created from objects which are draggable from the palette.
	* GormCore/GormViewEditor.m: Removed logging ever time a standalone
	view is placed, as I don't consider the functionality experimental
	at this point.
	* GormCore/GormViewWindow.m: Size the window to accommodate the
	view if it already has size, if it doesn't resize the view to the
	window's dimensions.

2005-04-20 06:27 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/ControlsPalette.gorm: Corrected minor
	problem with switch and radio buttons in the controls palette.
	* TODO: Updated completed item.

2005-04-17 20:46 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormCustomClassInspector.m: In _replaceCellClassForObject:
	className: corrected a problem where the drawBackground flag
	is set to NO when changing the cell type.  It is now preserved when
	the new cell object is set.
	* Palettes/2Controls/GormButtonEditor.h: Added ivar.
	* Palettes/2Controls/GormButtonEditor.m: Corrects a bug reported
	by Matt Rice where the temporary text field becomes part of
	the document when saving while editing a button.

2005-04-17 12:06 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Added code in loadDocument: and
	saveGormDocument: to use data from the new SubstituteClasses
	entry in the palette.table.
	* GormCore/GormFilePrefsManager.m: Updated version to 0.9.9
	* GormCore/GormPalettesManager.h: Added substituteClasses ivar.
	* GormCore/GormPalettesManager.m: Implemented code to use
	SubstituteClasses entry in palette.
	* GormInfo.plist: Update version to 0.9.9

2005-04-16 21:44 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: In removeConnector: make the
	IBWillRemoveConnectorNotification carry aConnector as the
	object, instead of the document.  The same for
	IBDidRemoveConnectorNotification.

2005-04-16 19:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormPalettesManager.m: Slight improvement to palette
	import.

2005-04-16 17:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m: Added code in initWithDocument:
	to add the actions to the FirstResponder.
	* GormCore/GormFunctions.h
	* GormCore/GormFunctions.m: Added function to get the
	actions from a class.
	* GormCore/GormPalettesManager.m: Added code to get
	actions/outlets from classes in exported from palettes.
	* Palettes/0Menus/GNUmakefile
	* Palettes/1Windows/GNUmakefile
	* Palettes/2Controls/palette.table
	* Palettes/3Containers/GNUmakefile: Added palette.table

2005-04-15 02:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: Patch from Matt Rice to
	allow connection from a table column.
	* GormCore/GormPalettesManager.m: Import action methods automatically
	from the class.
	* Palettes/3Containers/GormTableViewEditor.m: Patch from Matt Rice
	to allow connection from a table column.

2005-04-14 01:42 Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/ClassInformation.plist: Added NSPopUpButtonCell and
	NSMenuItemCell.

2005-04-14 00:31 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormClassManager.m: More informative error message when
	a class can't be found.
	* GormCore/GormImage.m: Implement objectNameForInspectorTitle.
	* GormCore/GormInspectorsManager.m: Remove special cases for Image
	and Sound.
	* GormCore/GormPalettesManager.m: Beginnings of code to get
	outlets/actions for exported class.
	* GormCore/GormResource.h: Added include for IBObjectAdditions.h
	to GormResource.h
	* GormCore/GormSound.m: Implement objectNameForInspectorTitle.

2005-04-12 20:27 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGenericEditor.m: Unsubscribe from all notifications.
	* GormCore/GormObjectEditor.m: Correct problem preventing
	connections.

2005-04-11 23:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormInspectorsManager.m: Send a call to "revert"
	to load the contents of the inspector from the object.

2005-04-11 22:46 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormGenericEditor.m: Removed release of resource
	manager.  This is a "weak connection" in the sense that the
	manager is a shared instance and is retained by the document,
	not the editor.

2005-04-11 19:22 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormObjectEditor.m: Correction for problem which
	was causing issues with dragging.

2005-04-11 16:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Improved documentation.

2005-04-11 01:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBResourceManager.m: Made addResourcesFromPasteboard: call
	addResources: for each array for a given type from the pasteboard.

2005-04-11 01:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m
	* GormCore/GormObjectEditor.m: Corrected problem with resource
	manager.

2005-04-10 23:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.m: Moved call to register IBResourceManager
	here and also correct a memory problem.
	* GormCore/GormObjectEditor.m: Corrected a problem with
	registering the types.

2005-04-10 22:42 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m
	* GormInfo.plist: Updated version to 0.9.7.

2005-04-10 20:09 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.h
	* GormCore/GormDocument.m: addition of the method
	resourceManagerForPasteboard:.
	* GormCore/GormObjectEditor.m: Changes to utilize IBResourceManager
	* GormLib/IBResourceManager.h
	* GormLib/IBResourceManager.m: Changes to add objects to the document
	properly.

2005-04-10 18:13 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormDocument.h: Organized methods.
	* GormCore/GormDocument.m: Added code here to add to top
	level objects array, when appropriate.
	* GormCore/GormGenericEditor.m: Prevent close when already
	closed.
	* GormCore/GormObjectEditor.m: Removed code which adds
	to document/top level objects, this is done in the document now.
	* GormCore/GormPrivate.h: Added new ivar to GormGenericEditor
	* GormLib/IBResourceManager.h
	* GormLib/IBResourceManager.m: Corrected implementation of
	register methods.
	* Resources/ClassInformation.plist: Added Object.

2005-04-03 07:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBResourceManager.[hm]: Implementation of this class.

2005-03-30 23:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m: Update the version of a
	file, once it's been saved with a new version of Gorm.

2005-03-30 22:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCore/GormFilePrefsManager.m: Update to version 0.9.5.
	* GormInfo.plist: Update to version 0.9.5.

2005-03-30 06:09 Gregory John Casamento <greg_casamento@yahoo.com>

	* Merge: from branch: build_reorg_branch.

2005-03-30 06:09 Gregory John Casamento <greg_casamento@yahoo.com>

        BRANCH: build_reorg_branch
	* GNUmakefile: Added GormInfo.plist back to the top level
	dir
	* Resources/GormInfo.plist: Removed from here.

2005-03-29 21:42 Gregory John Casamento <greg_casamento@yahoo.com>

        BRANCH: build_reorg_branch
	* GNUmakefile
	* GNUmakefile.preamble
	* GormPrefs/GNUmakefile
	* GormPrefs/GNUmakefile.preamble
	* Palettes/0Menus/GNUmakefile.preamble
	* Palettes/1Windows/GNUmakefile.preamble
	* Palettes/2Controls/GNUmakefile.preamble
	* Palettes/3Containers/GNUmakefile.preamble
	* Palettes/4Data/GNUmakefile.preamble: Removed GormPrefs framework,
	it is now a library.
	* Resources: Moved all .gorm files from here..
	* English.lproj: To here.

2005-03-29  Richard Frith-Macdonald <rfm@gnu.org>

        BRANCH: build_reorg_branch
	* GormPalettesManager.m: Fix some coordinate translation bugs when
	the gui is decorating windows itsself.

2005-03-29 02:47 Gregory John Casamento <greg_casamento@yahoo.com>

        BRANCH: build_reorg_branch
	* GormCore/GNUmakefile.preamble: Removed link to GormPrefs.
	* GormCore/GormPrivate.m: Removed uneeded reference to GormPrefs.

2005-03-29 02:24 Gregory John Casamento <greg_casamento@yahoo.com>

        BRANCH: build_reorg_branch
	* GNUmakefile.postamble: Removed kludge for windows.
	* GormCore/GNUmakefile.preamble: Fixed path.

2005-03-29 01:50 Gregory John Casamento <greg_casamento@yahoo.com>

        BRANCH: build_reorg_branch
	* GNUmakefile: Reorganized the build order so that GormCore is
	built before GormPrefs.

2005-03-29 01:40 Gregory John Casamento <greg_casamento@yahoo.com>

	BRANCH: build_reorg_branch
	* GNUmakefile.preamble
	* GormPrefs/GNUmakefile
	* Palettes/0Menus/GNUmakefile.preamble
	* Palettes/1Windows/GNUmakefile.preamble
	* Palettes/2Controls/GNUmakefile.preamble
	* Palettes/3Containers/GNUmakefile.preamble
	* Palettes/4Data/GNUmakefile.preamble: Build and link
	GormPrefs as a library on windows, for now, until the bug is
	fixed.

2005-03-29 01:24 Gregory John Casamento <greg_casamento@yahoo.com>

        BRANCH: build_reorg_branch
	* Palettes/0Menus/GNUmakefile.preamble
	* Palettes/1Windows/GNUmakefile.preamble
	* Palettes/2Controls/GNUmakefile.preamble
	* Palettes/3Containers/GNUmakefile.preamble
	* Palettes/4Data/GNUmakefile.preamble: Added lines to all
	of these files to link the GormCore when the palette is built
	on windows.

2005-03-29 01:08 Gregory John Casamento <greg_casamento@yahoo.com>

	BRANCH: build_reorg_branch
	* Gorm.m: Added new version here, after factoring out of
	GormCore.
	* install-windows.sh: Removed.

2005-03-28 19:55 Gregory John Casamento <greg_casamento@yahoo.com>

	BRANCH: build_reorg_branch
	* GormCore: New library (may become a framework)
	* *.[hm]: Except for main.m, moved to GormCore.

2005-03-27 06:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Added addAttributeToClass here. Also
	added a check to prevent changing the outline row count.
	* GormOutlineView.m: Removed addAttributeToClass from here.
	* GormPrivate.h: Moved addAttributeToClass to class editor.

2005-03-26 15:02 Gregory John Casamento <greg_casamento@yahoo.com>

	BRANCH: build_reorg_branch
	* GNUmakefile: Add new framework to makefile.
	* Resources: Removed pref gorms.
	* GormLib: New framework.  Pref gorms moved here as

2005-03-26 10:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* install-windows.sh: Installation script for windows.
	This automates the process until the reorg is completed.

2005-03-26 01:49 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Correction to previous commit.  Compile palettes
	after GormLib/InterfaceBuilder library.

2005-03-26 01:37 Gregory John Casamento <greg_casamento@yahoo.com>

	These changes allow the build to work correctly on UNIX and
	preserve Nicola's changes for mingw.  This is temporary until
	the build is reorganized.
	* GNUmakefile: Added Palettes back to subprojects back in with
	conditional for mingw.
	* GNUmakefile.postamble: Added conditional for targets so that
	they will work as expected on UNIX.

2005-03-22 04:30 Nicola Pero <n.pero@mi.flashnet.it>

	With these changes, Gorm builds and runs out-of-the-box on Mingw32
	with latest gnustep-make.
	* GNUmakefile (SUBPROJECTS): Do not build Palettes as a subproject
	because they depend on Gorm.app having been built first.
	* GNUmakefile.postamble (after-all): Added rule to manually
	build Palettes after Gorm.app.
	(after-clean): Same change.
	(after-distclean): Same change.
	* Palettes/0Menus/GNUmakefile.preamble: Link ../../Gorm.app/Gorm.exe.a
	on Mingw.
	* Palettes/1Windows/GNUmakefile.preamble: Same change.
	* Palettes/2Controls/GNUmakefile.preamble: Same change.
	* Palettes/3Containers/GNUmakefile.preamble: Same change.
	* Palettes/4Data/GNUmakefile.preamble: Same change.

2005-03-21 23:30 Nicola Pero <n.pero@mi.flashnet.it>

	* GormLib/IBSystem.h: Fixed windows32 check for building
	the library.  The library name is libGorm, not libGormLib!
	Also, simply use extern when exporting on Mingw.
	* GormLib/GNUmakefile.preamble: Removed special linking
	additions on Mingw, not needed.
	* Palettes/0Menus/GNUmakefile.preamble: Use ADDITIONAL_GUI_LIBS,
	not xxx_LIBRARIES_DEPEND_UPON, to link libGorm on Mingw.
	* Palettes/1Windows/GNUmakefile.preamble: Same change.
	* Palettes/2Controls/GNUmakefile.preamble: Same change.
	* Palettes/3Containers/GNUmakefile.preamble: Same change.
	* Palettes/4Data/GNUmakefile.preamble: Same change.

2005-03-20 10:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormViewEditor.m: [GormViewEditor performDragOperation:]
	call [GormDocument setSelectionFromEditor:] with self in order
	to force the inspector to show the newly added image name.

2005-03-19 16:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/InterfaceBuilder.h: Added new header
	* GormLib/IBViewResourceDragging.h: New header
	* GormLib/GNUmakefile: Added new header

2005-03-19 05:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormViewEditor.m: Corrected problem with control snapping to
	edge when the threshold for the guideline was set lower than 5.
	* Resources/GormPrefGuideline.gorm: Set minimum of slider to 1.
	* Resources/GormPrefHeaders.gorm: Adjusted sizing of table.
	* Resources/GormPrefPalettes.gorm: Corrected background color

2005-03-19 04:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* Defaults.plist: Added default of 10 for "GuideSpacing".
	* GNUmakefile: Added new files.
	* GormColorsPref.h: Removed extra "#" from header.
	* GormGuidelinePref.[hm]: New controller class for preference
	module.
	* GormPrefController.[hm]: Added new preference panel.
	* GormViewEditor.m: Modifed to use new GuideSpacing preference
	value instead of a hardcoded value of 10 or 5.
	* Resources/GormPreferences.gorm: Added new pulldown.
	* Resources/GormPrefGuideline.gorm: New gui for setting
	GuideSpacing default.

2005-03-19 03:31 Gregory John Casamento <greg_casamento@yahoo.com>

	* Defaults.plist: Change default to allow user bundles to
	YES.

2005-03-11 21:31 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Remove Testing directory from makefile.

2005-03-11 21:25 Gregory John Casamento <greg_casamento@yahoo.com>

	* Testing: Removed the "GormTest" application.  Since most
	.gorm files use classes which will never be linked into that
	application and since the "test interface" functionality in
	Gorm itself provides the same functionality, this app is being
	removed.

2005-03-09 23:58 Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/GNUmakefile: Install docs into correct
	location under ${GNUSTEP_SYSTEM_ROOT}/Library/Documentation.

2005-03-08 00:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Added new files.
	* GormDocument.h: Added header for InterfaceBuilder.h to get
	the necessary interface declarations.
	* GormDocument.m: Change to retain and release the last used
	editor.
	* NSFontManager+GormExtensions.[hm]: New files.

2005-03-07 22:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Added code to make the window of the widget
	selected, the key window.  This helps correct Bug#12224.
	* Palettes/1Windows/GormNSWindow.m: Added method canBecomeKeyWindow
	to guarantee that it returns YES.

2005-03-06 06:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/Gorm.texi: Added FAQ concerning font modification.

2005-03-05 23:07 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Added new class.
	* GormImageEditor.m: Refactored all of the code into the
	new parent.  Implemented only those methods needed.
	* GormPrivate.h: Changed hierarchy of GormImageEditor and
	GormSoundEditor to have GormResourceEditor as their parent
	* GormResourceEditor.m:  New parent for sound/image editors.
	* GormSoundEditor.m: Refactored all of the code into the
	new parent class.  Implemented needed methods.

2005-03-04 04:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormImageEditor.m
	* GormPrivate.h: Added declaration for new method.
	* GormSoundEditor.m: Streamlined drag/drop code in image/sound
	editors.

2005-03-01 21:34 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Added new files.
	* GormDocument.m: Calls new resource methods.
	* GormImageEditor.m: Calls new resource methods.
	* GormImage.[hm]: Now inherits from GormResource.
	* GormResource.[hm]: Added.  New abstract resource class which
	implements IBResourceFiles.
	* GormSoundEditor.m: Calls new methods.
	* GormSound.[hm]: Now inherits from GormResource.
	* GormSoundInspector.m: Calls new methods.

2005-02-28 20:13 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormFilePrefsManager.m
	* GormInfo.plist: Bump application version in CVS.

2005-02-28 19:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 0.9.2

2005-02-27 12:07 Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/Gorm.texi: Added a question to the FAQ.

2005-02-27 00:22 Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/Makefile.postamble: Now generates autogsdoc
	documentation for GormLib and places it in the "InterfaceBuilder"
	directory under Documentation.

2005-02-27 00:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/Gorm.texi: Palette documentation.

2005-02-26 22:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* Documentation/Gorm.texi: Updating documentation to contain
	information answering recent questions about encoding.

2005-02-20 12:48 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m: Mapped NSCStringText to NSText.

2005-02-19 02:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* Defaults.plist: Added new default "AllowUserBundles" to
	disable new code which prevents Gorm from running if a
	user bundle is present.
	* Gorm.m: Added code in [Gorm applicationDidFinishLaunching:]
	to warn the user and quit, unless the above default is set,
	if there is a user bundle loaded.  It will give the user
	a few panels explaining what's going on.

2005-02-15 23:37 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPosingView.[hm]: Removed.

2005-02-15 23:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Disabled poseAs: and poseAsClass: while in Gorm.
	* Resources/GormClassInspector.gorm
	* Resources/GormFontView.gorm
	* Resources/GormImageInspector.gorm
	* Resources/GormNSSplitViewInspector.gorm
	* Resources/GormPrefGeneral.gorm
	* Resources/GormPrefPalettes.gorm
	* Resources/GormScrollViewAttributesInspector.gorm: made sure that
	all fonts are system fonts.

2005-02-14 23:35 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: changed [GormClassManager parseHeader:]
	to be able to properly handle categories on existing classes.

2005-02-14 01:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormObjCHeaderParser/OCIVarDecl.m: Corrected problem with
	reading declarations which have the "*" spaced oddly.  Problem
	reported by Nicolas Roard.

2005-02-13 09:37 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m: After gmodel load, mark the document as
	edited in openGModel:.
	* GormDocument.m: in setupDefaults: mark the document as
	edited.

2005-02-13 09:27 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: in [GormDocument attachObject:withParent:]
	coercion of id to NSControl to avoid warning about selection of
	the target method.  Changed setSelectionFromEditor: to
	stop any connection activity when a selection is changed.

2005-02-13 04:46 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: in -loadDocument: if the extension is
	.gmodel call the openGModel: method to load it.

2005-02-06 10:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: in -saveAsDocument: return the value
	returned by -saveGormDocument: when it's called.

2005-02-06 02:13 Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/GormViewSizeInspector.gorm: Corrected box title color.

2005-02-05 15:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/main.m: Corrected "revert To Saved" to
	"Revert To Saved".
	* Palettes/2Controls/GormNSButtonInspector.gorm: Corrected box
	title color.

2005-02-05 09:16 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Improved some of the panel messages when
	gorm has a problem loading/saving.  Added titles.
	* Gorm.m: Made some of the warning panels have a title.  Added code
	to -testInterface: and -endTesting: to close extra windows opened
	during testing.
	* GormPrivate.h: testingWindows ivar to hold windows which were open
	before testing, so that we know which ones to orderOut when testing
	ends.

2005-02-02 22:44 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: -[GormDocument removeConnectionsWithLabel:..] added
	break to avoid iterating through all connections when the user has
	responded "NO".
	* GormFilePrefsManager.m: Update version to 0.9.1
	* GormInfo.plist: Update version to 0.9.1
	* GormObjCHeaderParser/OCIVarDecl.m: Change to correct problem
	reading ivars with <...> in them such as id<SomeProtocol> xxx.

2005-02-01 23:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 0.9.0

2005-01-31 23:34 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: Corrected bug#11778.  Added code which
	removes connections when a class is being reparsed.
	* GormFilePrefsManager.m: Updated file prefs with new version.
	* GormInfo.plist: Updated plist with new version.

2005-01-31 01:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: In the -[GormDocument removeConnections:..]
	methods corrected a problem with removing a connector while
	enumerating throught the list of connectors.  This was causing
	the process to miss some of the connections which should have
	been removed.
	* Gorm.m: -[Gorm stopConnecting]: Properly reset the
	connectionSource and connectionDestination with the connecting
	process is stopped.  Correction for bug#11777.
	* GormObjectEditor.m: -[GormObjectEditor removeAllInstancesOfClass:]
	correct problem where all instances were not being removed.

2005-01-30 14:34 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormObjCHeaderParser/GNUmakefile: Added new files.
	* GormObjCHeaderParser/OCClass.m: Uses lookAhead function
	* GormObjCHeaderParser/OCIVarDecl.m: Uses lookAhead function
	* GormObjCHeaderParser/OCIVar.m: Uses lookAhead function
	* GormObjCHeaderParser/ParserFunctions.[hm]: New functions for
	use by the class parser.
	* Resources/GormDocument.gorm: Corrected background color.

2005-01-30 00:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Build new file.
	* NSColorWell+GormExtensions.[hm]: Category which allows the
	setting of a color into a color well without invoking the action
	associated with that control.
	* Palettes/1Windows/main.m: Include new extension.
	* Palettes/2Controls/inspectors.m: Include new extension.
	* Palettes/3Containers/inspectors.m: Include new extension.
	* Palettes/4Data/inspectors.m: Include new extension.

2005-01-29 22:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: in -handleNotification: added code to
	reset the selection to nil to clear the inspector when the
	window is miniaturized.

2005-01-29 18:55 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassInspector.m: In -addAction:, -addOutlet:, -removeAction:,
	-removeOutlet:, -selectClass: made changes to make sure that if
	the document is not active, that the method will fall through.  This
	prevents a crash when user presses buttons on the class inspector
	window when the document is miniaturized.
	* Palettes/2Controls/inspectors.m: Improved error when the
	.gorm file can't be loaded for GormBoxInspector.

2005-01-28 21:50 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormNSStepperInspector.gorm: Corrected problem
	with inspector.

2005-01-28 00:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassInspector.m: Added call to super ok: method.
	* GormCustomClassInspector.m: Added call to super ok: method.
	* GormLib/IBInspector.m: Corrected touch method to properly
	update the document status.  Implemented ok: which simply
	calls touch: in the superclass.
	* GormNSSplitViewInspector.m: Added call to super ok: method.
	* GormObjectInspector.m: Added call to super ok: method.
	* GormScrollViewAttributesInspector.m: Added call to super ok: method.
	* GormViewSizeInspector.m: Added call to super ok: method.
	* Palettes/1Windows/GormNSWindowInspector.gorm: Corrected background.
	* Palettes/1Windows/main.m: Added call to super ok: method for all
	inspectors.
	* Palettes/2Controls/GormNSBoxInspector.gorm: Corrected background.
	* Palettes/2Controls/GormNSButtonInspector.gorm: Corrected background.
	* Palettes/2Controls/GormNSCellInspector.gorm: Corrected background.
	* Palettes/2Controls/GormNSColorWellInspector.gorm: Corrected
	background.
	* Palettes/2Controls/GormNSFormInspector.gorm: Corrected background.
	* Palettes/2Controls/GormNSMatrixInspector.gorm: Corrected background.
	* Palettes/2Controls/GormNSPopUpButtonInspector.gorm: Corrected
	background.
	* Palettes/2Controls/GormNSSliderInspector.gorm: Corrected background.
	* Palettes/2Controls/GormNSStepperInspector.gorm: Corrected background.
	* Palettes/2Controls/GormNSTextFieldInspector.gorm: Corrected
	background.
	* Palettes/2Controls/inspectors.m: Added call to super ok: method.
	* Palettes/3Containers/GormNSBrowserInspector.gorm: Corrected
	background.
	* Palettes/3Containers/GormNSTableColumnInspector.gorm: Corrected
	background.
	* Palettes/3Containers/GormNSTableColumnSizeInspector.gorm: Corrected
	background.
	* Palettes/3Containers/GormNSTableViewInspector.gorm: Corrected
	background.
	* Palettes/3Containers/GormTabViewInspector.gorm: Corrected background.
	* Palettes/3Containers/inspectors.m: Added call to super ok: method.
	* Palettes/4Data/GormNSComboBoxInspector.gorm: Corrected background.
	* Palettes/4Data/GormNSDateFormatterInspector.gorm: Corrected
	background.
	* Palettes/4Data/GormNSImageViewInspector.gorm: Corrected background.
	* Palettes/4Data/GormNSNumberFormatterInspector.gorm: Corrected
	background.
	* Palettes/4Data/GormNSTextViewInspector.gorm: Corrected background.
	* Palettes/4Data/inspectors.m: Added call to super ok: method for
	all inspectors.
	* Resources/GormImageInspector.gorm: Corrected background.
	* Resources/GormViewSizeInspector.gorm: Corrected background.
	Corrects bug#11346

2005-01-23 00:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormFunctions.m: identifierString() added code which tests
	the result to see if it's zero length.  If it is, it's
	replaced with "dummyIdentifier".

2005-01-22 15:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Replaced use of the class methods
	from GormDocument with the appropriate function call.
	* GormClassInspector.m: Replaced use of the class methods
	from GormDocument with the appropriate function call.
	* GormDocument.[hm]: Removed the formatting class methods.
	* GormFunctions.[hm]: Added indentifierString(), formatAction(),
	formatOutlet() functions.
	NOTE: The correct way to apply this formatting is using NSFormatter
	subclasses.  This will be done after the pending release.

2005-01-22 14:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Reorganized the files in the resources, hearders
	and source lists.

2005-01-22 12:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: In [GormDocument detachObject:] made
	[GormDocument setObject:isVisibleAtLaunch:] called only when the
	object is an NSWindow subclass.
	* GormImageEditor.m: Added implementation of addObject: to
	prevent addition of duplicate images.
	* GormImage.h: Added isEqual: so that containsObject: can
	find the image.
	* GormImage.m: Added isEqual: declaration.
	* GormSoundEditor.m: Added implementation of addObject to
	prevent addition of duplicate sounds.
	* GormSound.h: Added isEqual: so that containsObject can
	find the sound.
	* GormSound.m: Added isEqual: declaration.

2005-01-11 22:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m: Default NSWindows being imported from the
	.gmodel to the default window background color in the method
	[GModelApplication initWithModelUnarchiver:].

2005-01-09 01:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* ClassInformation.plist: Added missing changeFont: method.
	* GormClassManager.m: Changed code to read only the additions to
	FirstResponder from the data.classes file.
	* GormFilePrefsManager.m: Updated version to 0.8.7.
	* GormImageEditor.m: Made some logs "debug".
	* GormInfo.plist: Updated version.
	* GormInternalViewEditor.m: Made some logs "debug".
	* Palettes/1Windows/GormNSWindowInspector.gorm: Changes to layout
	* Palettes/1Windows/GormNSWindowSizeInspector.gorm: Same.

2005-01-08 18:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormImage.h: Moved the declaration for setArchiveByName: here.
	* GormImage.m: Moved the code for the category here.
	* GormMatrixEditor.m: Included GormImage.h.

2005-01-08 18:06 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: Corrected bug#11534.
	* GormFilePrefsManager.m: Updated alpha version
	* GormInfo.plist: Updated alpha version

2005-01-08 12:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormViewWithContentViewEditor.m: Change in pasteInView: to
	move a view to the origin if it's rect is outside the view it's
	being placed into.

2005-01-03 23:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Improved resource handling in saveGormDocument:
	* GormImageEditor.m: Implemented deleteSelection
	* GormImage.[hm]: Added new init methods.
	* GormSoundEditor.m: Implemented deleteSelection
	* GormSound.[hm]: Added new init methods.

2005-01-02 15:11 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormImageEditor.m
	* GormSoundEditor.m: Fix to correct exception when dragging
	from a cell which doesn't contain a resource.

2005-01-01 10:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBObjectAdditions.m: Implementation for nibLabel.
	* GormLib/IBObjectProtocol.h: Better document for nibLabel.

2005-01-01 09:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBApplicationAdditions.h
	* GormLib/IBCellProtocol.h
	* GormLib/IBConnectors.h
	* GormLib/IBInspector.h
	* GormLib/IBObjectProtocol.h
	* GormLib/IBSystem.h
	* GormLib/IBViewProtocol.h: Completed all documentation
	for existing IntefaceBuilder classes.

2005-01-01 02:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/GNUmakefile: Added new headers and new .m file.
	* GormLib/IBCellAdditions.h: Added include for NSCell.h
	* GormLib/IBDocuments.h: Added documentation.
	* GormLib/IBDocuments.m: Added include of IBDocuments.h to get
	string declarations.
	* GormLib/IBPalette.m: Implemented IBPaletteDocument.
	* GormLib/IBProjectFiles.h: New
	* GormLib/IBProjects.h: New
	* GormLib/IBResourceManager.[hm]: New
	* GormLib/InterfaceBuilder.h: Added new headers.

2004-12-31 14:29 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSWindowInspector.gorm: Added form
	to allow setting of the miniaturized image by name.
	* Palettes/1Windows/main.m: Changes to use the form added to the
	UI.

2004-12-31 08:22 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.h: Added GormFilesOwner to @class declaration.
	* Gorm.m: Made rect drawn around objects thinner to prevent
	residual lines from remaining when the rect is erased.
	* Palettes/1Windows/main.m: Simplified includes.

2004-12-28 21:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormImageEditor.m: Added check to see if object responds
	to setImage: in performDragOperation.
	* GormImage.m: Moved NSImage category dec/def here.
	* GormPrivate.h: Removed NSImage category declaration.
	* GormViewEditor.m: Removed NSImage category definition.

2004-12-28 16:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPalettesManager.m: Enhancment in loadPalette: to allow
	loading using either the plist or the strings format for
	palette.table.

2004-12-28 12:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSPanel.m
	* Palettes/1Windows/GormNSWindow.m: Initialize the miniaturized
	window image to nil.

2004-12-28 08:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuEditor.m: Improvement on previous
	correction.

2004-12-27 22:02 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormMenuEditor.m: Correction for Bug#11410.

2004-12-27 21:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBObjectAdditions.m: Changed some implementations.
	* GormObjectEditor.m: Removed methods which it was unecessary
	to override.

2004-12-27 21:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m:
	* GormDocument.m: Change to properly handle exception when
	a class fails to parse.
	* Gorm.m: Correction for Bug#11415 and also made a changed to
	discontinue connection when a cut/paste/copy operation is done.
	* GormObjectEditor.m: Correction for Bug#11415.
	* Palettes/0Menus/GormMenuEditor.m: Correction for Bug#11412.

2004-12-23 14:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormFilesOwner.h: Added inspector declaration.
	* GormFilesOwner.m: Changed code in setObject to create an
	autoreleased mutableCopy of the array and removed FirstResponder from
	the list to prevent the user from selecting this.
	* GormPrivate.h: Added the include for GormFilesOwner.h and also
	removed the inspector declaration from this file.

2004-12-23 13:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormViewEditor.m: In -performDragOperation: copy the image/sound
	before setting it into the control to make certain any changes
	made to the original image don't reflect in the system wide image.

2004-12-23 06:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/GormClassPanel.gorm: Set nextKeyView for all views
	in the window and the initialFirstResponder of the window to the
	table view.

2004-12-23 06:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassInspector.m: Fix for issue when loading from gmodel.
	Corrected _refreshView: and searchForClass: so that if list is nil,
	the selection isn't set.
	* Gorm.spec.in: Minor correction.

2004-12-19 09:05 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInspectorsManager.m: Added [super init] call to
	init.
	* GormLib/IBInspectorManager.m: Corrected init.

2004-12-19 08:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInspectorsManager.h: Changed parent class.
	* GormInspectorsManager.m: Added notification
	IBWillInspectoObjectNotification.
	* GormLib/GNUmakefile: Added new class.
	* GormLib/IBInspectorManager.h: New class
	* GormLib/IBInspectorManager.m: New class
	* GormLib/InterfaceBuilder.h: Added new class.
	* Gorm.m: Coerce IBInspectorManager to GormInspectorsManager.

2004-12-18 13:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBApplicationAdditions.h
	* GormLib/IBConnectors.h
	* GormLib/IBDocuments.h
	* GormLib/IBEditors.h
	* GormLib/IBPalette.h
	* GormLib/IBSystem.h: Changed IB_EXPORT to IB_EXTERN.

2004-12-18 10:05 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m:
	* GormFilesOwner.m:
	* Gorm.m:
	* GormPalettesManager.m:
	* GormWindowEditor.m: Changed NSRunAlertPanel(...) calls
	to use nil instead of NULL.  NULL shouldn't be used.

2004-12-18 08:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/GNUmakefile: Added new header
	* GormLib/GNUmakefile.preamble: Added comment.
	* GormLib/IBApplicationAdditions.h: Add include, change extern to
	IB_EXPORT
	* GormLib/IBConnectors.h: Same
	* GormLib/IBDocuments.h: Same
	* GormLib/IBEditors.h: Same
	* GormLib/IBPalette.h: Same
	* GormLib/IBSystem.h: New file containing declarations for
	IB_EXPORT for different Operating Systems.
	* GormLib/InterfaceBuilder.h: Include IBSystem.h.

2004-12-17 21:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassInspector.m: Set the double action and target
	for parentClass.
	* GormObjectEditor.m: Moved the pasteInSelection method.

2004-12-17 05:48 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Changed implementation here to call the one
	on the object editor.
	* GormObjectEditor.m: Added implementation for
	removeAllInstancesOfClass:
	* GormPrivate.h: Added declaration for removeAllInstancesOfClass:

2004-12-16 05:32 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: added call to removeAllInstancesOfClass: in
	deleteSelection so that no objects in the objectView can refer to
	a class that doesn't have a correstponding class in the
	class manager/class editor.
	* GormClassManager.h: Added declaration for classNameForObject:.
	* GormClassManager.m: Added implemented for classNameForObject:.
	* GormDocument.h: Added declaration of removeAllInstancesOfClass:.
	* GormDocument.m: Addition of method to remove all instances
	from the objects view if a class is removed from the classes
	view.

2004-12-15 01:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Code from -changeView added to select
	contents of a scrollview instead of the scrollview itself
	(when appropriate).
	* GormDocument.m: Moved code from -changeView: to
	GormClassEditor.
	* GormPrivate.h: Added methods for changing the selection
	in the outline view without setting the inspector.

2004-12-14 21:26 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: -addClassNamed:withSuperClassNamed:
	actions:outlets:isCustom: added check for superclass of
	"FirstResponder".

2004-12-14 21:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Added code in pasteInSelection to prevent
	the user from pasting a subclass onto FirstResponder.

2004-12-14 06:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Further correction to previous issue.

2004-12-14 06:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Corrected potential issue after delete
	of a class which is selected.

2004-12-14 06:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Added code in -deleteSelection to copy the
	selection, if it's a class, added code in copySelection and
	pasteInSelection to handle copy/paste.
	* GormClassManager.h: Made variable names conform a little more to
	standard practice.  Also changed the declarations of "NSArray*" to
	"NSArray *".
	* GormClassManager.m: Corrected addClassNamed:withSuperClassNamed:
	actions:outlets:isCustom: to eliminate duplicate actions, outlets
	from the class being added if they exist on the superclass.
	* Gorm.m: Changed coercion to id<IBSelectionEditors,IBEditors) in
	the methods which handle copy, paste, delete, etc.
	* TODO: Added more items scheduled for 1.0 release.

2004-12-12 20:55 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.h: Added declaration for windowAndRect:forObject:
	* GormLib/IBDocuments.h: Removed the declaration for
	windowAndRect:forObject: from here as it doesn't belong in the
	IBDocuments protocol.
	* GormLib/IBPalette.m: Started implementing the private class
	IBPaletteDocument.
	* Gorm.m: Changed some code due to to switch in location of the
	windowAndRect:forObject: method from IBDocuments.h to
	GormDocument.h.

2004-12-12 16:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/GNUmakefile: Added new header files.
	* GormLib/IBViewAdditions.h: Creates a category/informal protocol.
	* GormLib/IBViewProtocol.h: New file defines IBViewProtocol
	* GormLib/IBCellAdditions.h: New file for IBCellAdditions, adopts
	protocol and creates a category/informal protocol.
	* GormLib/IBCellProtocol.h: New file defines IBCellProtocol

2004-12-12 15:27 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Corrected problem in -outlineView:
	shouldEditTableColumn:item: to prevent editing of FirstResponder
	name in the class editor.

2004-12-12 14:16 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Implemented new methods.
	* GormGenericEditor.m: Implemented new methods.
	* GormLib/IBEditors.h: Added back some of the commented out
	methods and added also validateEditing and openSubeditorForObject:
	* GormLib/IBViewAdditions.h: Added the category IBCellAdditions
	as defined in the IB API Spec.
	* GormViewEditor.m: Added stub implementations for methods
	not implemented in the view editor.  They are implemented in
	some of the lower level editors, but it still needs to be
	compliant.
	* GormViewWithSubviewsEditor.[hm]: Removed redundant method for
	deleteSelection.

2004-12-11 18:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: Correction for reparenting of a class in
	-setSuperClassNamed:forClassNamed:

2004-12-11 10:22 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassInspector.m: Changed _refreshView to gray out the
	class field when the FirstResponder is selected since it's name
	isn't editable.

2004-12-11 00:51 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassInspector.m: Added code in setObject: to show the
	total outlets and actions in the class.
	* Resources/GormClassInspector.gorm: Swapped the outlet/action
	tabs.

2004-12-11 00:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: in handleNotification: changed the condition
	for IBClassNameChangedNotification so that the inspector is
	cleared when the class name is modified.  This prevents the
	inspector from accidently being used to modify a class which
	no longer exists.

2004-12-10 23:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/GormClassInspector.gorm: Added proper resizing
	settings so that the buttons on the outlets and actions
	tabs resize in the same way.

2004-12-10 17:55 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Changes to return a item if it's an
	action/outlet holder without generating a string.
	* GormOutlineView.m: Modifications to make drawing of the
	actions and outlets more efficient.

2004-12-08 21:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormOutlineView.m: Corrected a leak.

2004-12-08 19:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Use new ivar to store selected class.
	* GormClassManager.m: Reimplement addAction:toClassNamed: and
	addOutlet:forClassNamed:.
	* GormImageEditor.m: Release the objects in dealloc.
	* GormPrivate.h: Added new ivar for GormClassEditor to store
	selected class in.

2004-12-05 18:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Added new methods moved from GormDocument.
	* GormDocument.m: Moved remove: to deleteSelection on
	GormClassEditor, also moved createSubclass to GormClassEditor.
	* GormPrivate.h: Added methods moved from GormDocument to
	GormClassEditor.
	* GormLib/IBEditors.h: Added deleteSelection back into the
	protocol.

2004-12-05 15:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Added new classes to the makefile.
	* GormClassEditor.m: Moved some methods from GormDocument to here.
	* GormDocument.[hm]: Changes for new GormSound/GormImage methods.
	Also modifications for changes in GormClassEditor.
	* GormImage.[hm]: New files.
	* GormImageEditor.m: Added imageForPath: call.
	* GormImageInspector.m: Added imageForPath: call.
	* GormInspectorsManager.m: Added GormImage/GormSound include
	* GormPrivate.h: Added incudes
	* GormSound.[hm]: New files.
	* GormSoundEditor.m: Added includes and soundForPath call.
	* GormSoundInspector.m: Added includes and soundForPath call.
	* Palettes/0Menus/GormMenuAttributesInspector.gorm: Made correction
	to allow "Title" field to resize properly.
	* Palettes/3Containers/GormNSTableViewInspector.gorm: Corrected
	a slight problem with one of the boxes cutting off text on the
	bottom.
	* Resources/GormClassInspector.gorm: Made outlets table resize
	properly

2004-12-05 07:48 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCustomClassInspector.m: Set the max visible columns to 1 in
	awakeFromNib.
	* GormDocument.m: Corrected a segfault when reverting to the saved
	document.
	* GormObjectEditor.m: Fully implemented IBObjectAdditions.m
	* Palettes/0Menus/GormMenuAttributesInspector.gorm
	* Palettes/0Menus/GormMenuItemAttributesInspector.gorm
	* Palettes/1Windows/GormNSWindowInspector.gorm
	* Palettes/2Controls/GormNSBoxInspector.gorm
	* Palettes/2Controls/GormNSButtonInspector.gorm
	* Palettes/2Controls/GormNSCellInspector.gorm
	* Palettes/2Controls/GormNSColorWellInspector.gorm
	* Palettes/2Controls/GormNSFormInspector.gorm
	* Palettes/2Controls/GormNSMatrixInspector.gorm
	* Palettes/2Controls/GormNSPopUpButtonInspector.gorm
	* Palettes/2Controls/GormNSProgressIndicatorInspector.gorm
	* Palettes/2Controls/GormNSSliderInspector.gorm
	* Palettes/2Controls/GormNSStepperInspector.gorm
	* Palettes/2Controls/GormNSTextFieldInspector.gorm
	* Palettes/3Containers/GormNSBrowserInspector.gorm
	* Palettes/3Containers/GormNSTableColumnInspector.gorm
	* Palettes/3Containers/GormNSTableColumnSizeInspector.gorm
	* Palettes/3Containers/GormNSTableViewInspector.gorm
	* Palettes/3Containers/GormTabViewInspector.gorm
	* Palettes/3Containers/inspectors.m
	* Palettes/4Data/GormNSComboBoxInspector.gorm
	* Palettes/4Data/GormNSDateFormatterInspector.gorm
	* Palettes/4Data/GormNSImageViewInspector.gorm
	* Palettes/4Data/GormNSNumberFormatterInspector.gorm
	* Palettes/4Data/GormNSTextViewInspector.gorm
	* Resources/GormClassInspector.gorm
	* Resources/GormCustomClassInspector.gorm
	* Resources/GormImageInspector.gorm
	* Resources/GormNSSplitViewInspector.gorm
	* Resources/GormScrollViewAttributesInspector.gorm
	* Resources/GormSoundInspector.gorm
	* Resources/GormViewSizeInspector.gorm: Modified the inspectors
	to resize properly.  Corrects bug#11216.


2004-12-04 17:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormBoxEditor.m
	* GormControlEditor.m
	* GormInternalViewEditor.m
	* GormMatrixEditor.m
	* GormNSSplitViewInspector.m
	* GormObjectEditor.m
	* GormScrollViewAttributesInspector.m
	* GormScrollViewEditor.m
	* GormSplitViewEditor.m
	* GormWindowEditor.m
	* Palettes/2Controls/GormButtonEditor.m
	* Palettes/2Controls/inspectors.m
	* Palettes/3Containers/GormTabViewEditor.m
	* Palettes/3Containers/inspectors.m: Replaced all references
	of GormObjectAdditions with IBObjectAdditions.  This makes
	Gorm more compliant with the IB API spec.

2004-12-03 07:09 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.[hm]: New method allCustomClassNames which
	returns the customClasses array.
	* GormDocument.m: Change in handleNotification: method to
	select the class just added.

2004-12-02 06:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormObjCHeaderParser/OCClass.m: [OCClass parse] added
	a check to determine if the string is nil before loading it
	into the scanner.

2004-12-02 06:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormObjCHeaderParser/OCClass.m: added code in parse method
	to use new class for IVar parsing.
	* GormObjCHeaderParser/OCIVarDecl.[hm]: New class.  This
	class handles the declaration and breaks it into separate
	ivar objects.

2004-12-01 02:12 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: [GormClassManager parseHeader:] altered
	method to throw NSInvalidArgumentException instead of a custom
	exception.

2004-11-29 23:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPalettesManager.[hm]: [GormPalettesManager loadPalette:] now
	returns BOOL.
	* GormPalettesManager.m: [GormPalettesManager openPalette:] returns
	nil of loadPalette returns NO.
	* GormObjCHeaderParser/OCHeaderParser.m: Returns NO if there is no
	class in the file.

2004-11-27 13:22 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormObjCHeaderParser/OCClass.m
	* GormObjCHeaderParser/OCIVar.m
	* GormObjCHeaderParser/OCMethod.m: Added code to parse method
	to trim the result of any whitespace to make certain that there
	aren't any extra spaces in the data which could cause problems.

2004-11-27 09:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormObjCHeaderParser/OCClass.m: Condensed parse methods into
	parse.  Corrected a minor issue.

2004-11-27 05:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormObjCHeaderParser/OCClass.h
	* GormObjCHeaderParser/OCClass.m
	* GormObjCHeaderParser/NSScanner+OCHeaderParser.h
	* GormObjCHeaderParser/NSScanner+OCHeaderParser.m
	* GormObjCHeaderParser/OCMethod.h
	* GormObjCHeaderParser/OCMethod.m
	* GormObjCHeaderParser/OCIVar.h
	* GormObjCHeaderParser/OCIVar.m
	* GormObjCHeaderParser/OCHeaderParser.h
	* GormObjCHeaderParser/OCHeaderParser.m
	* GormObjCHeaderParser/GNUmakefile: New files for class parser.
	* GormClassManager.m: Changes to use new class parser.

2004-11-24 00:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormNSOutlineView.h: Removed savedColor and
	added "Gorm" methods to the header.
	* Palettes/3Containers/GormNSOutlineView.m: Removed all references
	to savedColor and commented out select and unselect methods.
	* Palettes/3Containers/GormNSTableView.h: Removed saved color and
	commented out select and unselect.
	* Palettes/3Containers/GormNSTableView.m: Removed all references to
	savedColor and commented out select and unselect methods.
	Corrects bug #10118.

2004-11-20 13:27 Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources: Updated all gorms to latest format.
	* Palettes: Updated all gorms to latest format.

2004-11-18 00:23 Gregory John Casamento <greg_casamento@yahoo.com>

	* GNUmakefile: Addition of entries for new
	NSView+GormExtensions.[hm] files.
	* NSView+GormExtensions.[hm]: Added to hold extensions for the
	NSView class in Gorm.
	* GModelDecoder.m: Changes to minimize warnings during compilation
	with gcc 3.x.
	* GormClassEditor.m: Same as above
	* GormClassManager.m: Same as above
	* GormDocument.m: Same as above + new code to eliminate orphaned
	views in _repairFile.
	* GormGenericEditor.m: Added copyright comment.
	* GormInspectorsManager.h: Added copyright comment.  Made
	changes to minimize warnings.
	* GormPrivate.h: Removed AppKit.h include and replaced it with
	several specific includes to reduce compile issues.  This was
	causing a lot of warnings because of similar selectors.
	* GormLib/IBEditors.h: removed circular referece to IBDocuments.h
	* Palettes/3Containers/GormNSBrowser.h: Removed AppKit.h and
	replaced it with a specific include.
	* Palettes/3Containers/GormNSBrowser.m: Added specific includes
	for classes used.
	* Palettes/3Containers/GormNSOutlineView.m: Same as above.
	* Palettes/3Containers/GormNSTableView.m: Same as above.
	* Palettes/3Containers/inspectors.m: fix for method name
	on GormClassManager which changed from setCustomClass:forObject: to
	setCustomClass:forName:.  Also, other changes which needed
	to be made to minimize warnings.
	* Palettes/3Containers/main.m: Removed overly general includes
	and added specific includes for each class used.  Made changes to
	minimize warnings.

2004-11-17 00:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormViewEditor.m: initWithObject:withDocument: added code
	to instantiated GormViewWindow if the view being added has no
	window attached to it.  This is to handle standalone views.
	Correction for Report #10849.
	* GormViewWindow.m: [GormViewWindow initWithView:] call to
	setReleasedWhenClosed so that the window isn't released when
	the view window is closed.  This was causing a crash.

2004-11-16 19:19 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassPanelController.[hm]: Added method browserAction:.  Changed
	okButton: to use the value from the textfield.  Added new textfield
	so that the user can type the name of the class.
	* GormClassPanel.gorm: Added textfield.  Changed connection so that
	the browser now invokes browserAction: on the controller.

2004-11-13 00:03 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m: Added GModelMenuTemplate to allow decoding
	of .gmodels which contain the menu template class.
	* GormClassManager.m: Changed the allClassNames method to not prepend
	NSObject now that NSObject is part of the classInformation plist.
	* GormFunctions.[hm]: Added parameter to pass in the current list of
	classes from the calling document.
	* GormClassPanelController.[hm]: New class.
	* GormClassPanel.gorm: Added interface.

2004-11-12 17:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m: Changes to improve loading of .gmodel files.
	* GormClassManager.[hm]: Changed name of setCustomClass:forObject:
	to setCustomClass:forName: and also removeCustomClassforObject: to
	removeCustomClassForName:
	* GormCustomClassInspector.m: Changes to accomodate the new method
	name.
	* GormDocument.m: Changes to accomodate the new method name.
	* GormFilesOwner.m: Corrected an issue with changing the class
	for the file's owner.   Added code which checks both the actions
	and outlets attached to see if it's necessary to prompt before
	destroying connections.

2004-11-09 09:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/GormNSStepperInspector.gorm: Changed
	some of the titles and made the layout more consistent with
	other inspectors.

2004-11-09 08:55 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassInspector.m: Modified the code in the table delegate
	to use the NSTableView * to determine which table is calling
	the delegate instead of which tab is currently selected.

2004-11-07 22:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: Added code to [GormClassManager
	loadCustomClasses:] to ignore any entry in the data.classes file
	which is not a dictionary.

2004-11-07 22:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: Added code to [GormClassManager saveToFile:]
	and [GormClassManager loadCustomClasses:] to handle adding (and
	subsequently removing before processing) of a comment which warns
	users not to manually edit the file.

2004-11-07 22:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassInspector.m: [GormClassManager removeAction:]
	added code to check for a custom class.

2004-11-07 14:27 Gregory John Casamento <greg_casamento@yahoo.com>

	* ClassInformation.plist: Added entry for NSObject.
	* Gorm.m: Removed check for adding attribute to class so that
	"category" actions can be added to existing AppKit classes.
	* GormClassEditor.m: Removed check for custom in outlineView:
	addActionToClass: for category method support.
	* GormClassInspector.m: Changed "isCustom" to isEditable in
	table delegate method.
	* GormClassManager.[hm]: Changed grouping of methods.  Also
	made changes to correct various problems found while
	implementing category support.    Fixes Bug#10934.
	* GormDocument.m: [GormDocument remove:] added check for
	custom class or for category to allow remove.
	* GormLib/IBConnectors.m: Added default implementation of
	nibInstantiate.

2004-11-04 01:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: Corrected a memory leak in
	loadFromFile:.
	* GormClassManager.h: Added FSF/GPL header and organized
	the methods in the header according to function.

2004-11-03 22:07 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: modified addNewActionToClassNamed: and
	addNewOutletToClassNamed: so that the initial names for outlets
	and actions are newOutet1, newOutlet2, and similar for actions
	newAction1:, newAction2:, etc.

2004-11-03 21:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Added alert panel to loadDocument: so that
	if the build version loaded from the .gorm file is greater
	than the one of the running Gorm application, the user is
	warned that this .gorm file was created with a newer version
	of the application.
	* GormFilePrefsManager.[hm]: Added +currentVersion to give
	the current build number.

2004-10-26 21:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormControlEditor.m: Added code to call the superclass in
	the dragging methods if the type being dragged isn't a formatter.
	This was a bug introduced on 10-17.   Corrected now.  Thanks to
	Fabien Vallon for the report.

2004-10-24 01:13 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GNUmakefile.preamble
	* Palettes/1Windows/GNUmakefile.preamble
	* Palettes/2Controls/GNUmakefile.preamble
	* Palettes/3Containers/GNUmakefile.preamble
	* Palettes/4Data/GNUmakefile.preamble: Removed extra slash for
	compilation under MinGW on win32.

2004-10-23 20:16 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/GNUmakefile.postamble: Changed the build process a little
	to be more compatible with MinGW on win32.

2004-10-17 12:51 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormControlEditor.m: Added necessary methods for dragging
	of the formatter to the view.
	* GormInternalViewEditor.m: Changed initWithObject:inDocument:
	so that the view doesn't attempt to accept an IBFormatterPboardType
	object from the drag when it shouldn't.
	* GormViewEditor.m: Made similar changes here.
	* Palettes/4Data/inspectors.m: Removed hard coded implementations
	of tables.  Added code to blank inspector when the formatter is
	detached.
	* Palette/4Data/GormNSDateFormatterInspector.gorm: Updated with
	new table.
	* Palette/4Data/GormNSNumberFormatterInspector.gorm: Updated with
	new table.

2004-10-03 12:51 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormMatrixEditor.m: Added performDragOperation implementation
	to allow the drag and drop of sound/images to a matrix cell.
	* GormPrivate.h: Moved a category which defines a method called
	on setArchiveByName to this header so it's useful to more than
	just the editors.
	* GormViewEditor.m: Removed category declaration.
	* Palettes/2Controls/GormButtonEditor.m: Removed some old,
	commented out code.

2004-10-02 13:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* Resources/GormDocument.gorm: Changed the spacing of the
	file view so that the text fields don't get cut off.

2004-10-02 01:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormNSMenu.m: Modified
	-[GormNSMenu handleNotification:] so that the menu is no longer
	closed if the window which displays it isn't visible.  This
	prevents the annoying "Ordering invalid window 0" error.

2004-09-27 07:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormFilePrefsManager.m: Bumped version to 0.8.1 (Alpha)
	* GormInfo.plist: Bumped version to 0.8.1 (Alpha)
	* Documentation/Gorm.texi: Updated documentation.

2004-09-26 08:16 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 0.8.0

2004-09-25 07:21 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInfo.plist: Changed version number to 0.8.0 (Alpha)
	since we are now, more or less, in "pre-release" mode.
	* GormFilePrefsManager.m: Updated call which sets version.
	* Palettes/0Menus/GormMenuAttributesInspector.gorm:
	* Palettes/1Windows/GormNSWindowInspector.gorm:
	* Palettes/2Controls/ControlsPalette.gorm:
	* Palettes/2Controls/GormNSBoxInspector.gorm:
	* Palettes/2Controls/GormNSButtonInspector.gorm:
	* Palettes/2Controls/GormNSFormInspector.gorm:
	* Palettes/2Controls/GormNSMatrixInspector.gorm:
	* Palettes/2Controls/GormNSPopUpButtonInspector.gorm:
	* Palettes/2Controls/GormNSProgressIndicatorInspector.gorm:
	* Palettes/2Controls/GormNSStepperInspector.gorm:
	* Palettes/2Controls/GormNSTextFieldInspector.gorm:
	* Palettes/3Containers/GormNSBrowserInspector.gorm:
	* Palettes/3Containers/GormNSTableViewInspector.gorm:
	* Palettes/3Containers/GormTabViewInspector.gorm:
	* Palettes/4Data/GormNSComboBoxInspector.gorm:
	* Palettes/4Data/GormNSDateFormatterInspector.gorm:
	* Palettes/4Data/GormNSImageViewInspector.gorm:
	* Palettes/4Data/GormNSNumberFormatterInspector.gorm:
	* Palettes/4Data/GormNSTextViewInspector.gorm: Modified spacing
	of the widgets so that text isn't clipped when using Vera
	font.

2004-09-24  Adam Fedor  <fedor@gnu.org>

	* GModelDecoder.m ([GormDocument -openGModel:]): Initialize
	variable.

2004-09-17 18:07 Gregory John Casamento <greg_casamento@yahoo.com>

	* VersionProfiles.plist: Updated the profile to properly
	set the version for NSTextFieldCell which has also been
	updated since the last release.

2004-09-17 00:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPalettesManager.m: Added code to [GormPalettesManager
	setCurrentPalette:] to change the title to reflect the
	name of the palette currently selected.  This makes it easier
	for the developer to navigate the palettes.

2004-09-17 00:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/ControlsPalette.gorm: Removed old 14pt.
	system title widget and added some widgets which are standard
	sized which use the system defined fonts.
	* Palettes/2Controls/main.m: Changed the location of the
	pulldown, since it isn't in the .gorm.

2004-09-12 20:06 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Made some changes in [Gorm testInterface] and
	[Gorm endTesting] to change the icon when testing and also
	to modify the menu and quit titles so that it is obvious to
	the user that Gorm is in testing mode and has not died.
	* Images/GormTesting.tiff: Alternate icon used when Gorm
	is testing.

2004-09-08 22:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Removed main function from Gorm class file.
	* main.m: Added main function here.

2004-09-07 21:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Removed some old code which measured the startup
	time for the application.
	* GormDocument.m: Removed previous temporary fix.
	* Palettes/3Containers/GormTableViewEditor.m: Correction for
	recently discovered crash.   The problem is located here.
	I have added a retain which seems to stop the crash, but
	I need to find a better solution.   Also removed some old
	commented out code.
	* Palettes/3Containers/inspectors.m: Properly indented some
	code.

2004-09-06 17:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m:
	* GormInspectorsManager.m:
	* GormInternalViewEditor.m:
	* GormMatrixEditor.m:
	* GormViewKnobs.m:
	* GormWindowEditor.m: Removed some old FIXME comments which
	were no longer appropriate or which have already been
	addressed.

2004-09-06 15:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Temporary fix for crash.   Corrects a
	problem with document deallocation, until I can find a more
	permanent solution.

2004-09-06 08:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* ClassInformation.plist: Added missing NSImageCell class
	description.
	* Palettes/3Containers/inspectors.m: Corrected issue with
	getting the class name of the data cell in
	[GormTableColumnAttributesInspector _getCellClassName].

2004-09-06 08:38 Gregory John Casamento <greg_casamento@yahoo.com>

	* ClassInformation.plist: Reformatted to canonical plist.
	Suggested by Deek/Jeff.
	* Palettes/3Containers/GormNSTableColumnInspector.gorm:
	Added title and made the table draw the grid.

2004-09-05 12:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/inspectors.m: Added _getCellClassName
	to GormTableColumnAttribitesInspector to get the cell class
	for the inspector.  Also modified _getValuesFromObject: to
	call the method and display the cell class name in the table.
	Modified setValuesFromControl to add the object to the
	document and assign the correct custom class.

2004-09-05 10:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormNSTableColumnInspector.gorm:
	Made changes to allow user to edit the tableColumn dataCell.
	* Palettes/3Containers/inspectors.m: Added code
	for the delegate and datasource of the table added to the
	inspector.   Also modified methods _getValuesFromObject and
	_setValuesFromControl: in GormTableColumnInspector to
	accommodate changing the dataCell and redisplaying the
	tableView which the column belongs to.

2004-08-28 16:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormCustomView.m: Modified _bestPossibleSuperClass to
	return NSView if the class isn't defined or is not an
	NSView subclass.

2004-08-28 11:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Added calls to [GSClassSwapper
	setIsInInterfaceBuilder:] to shut off the custom class -> real
	class morphing when testing.  Added implementation for
	method which changes the static value of the flag as well
	called setIsInInterfaceBuilder:.
	* GormDocument.m: Added calls in loadDocument: to
	[GSClassSwapper setIsInInterfaceBuilder:] to turn off custom
	class conversion while loading the .gorm document.
	* GormCustomView.m: Added implementation of a method
	called _bestPossibleSuperClass to get the best substitute
	for the custom class specified when testing the interface.
	This allows the user to see a more accurate picture
	of what the gui will look like when it's done.

2004-08-25 22:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSWindow.m: Removed canBecomeKeyWindow
	method.  This was returning NO and preventing the method user
	from setting the font.

2004-08-23 22:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassInspector.m: Corrected bug introduced a few
	days ago.  The actions tag in the class inspector wasn't
	functioning correctly.

2004-08-23 15:06 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSPanel.[hm]:
	* Palettes/1Windows/GormNSWindow.[hm]: Changed the name
	of the styleMask method to _styleMask.  Since this serves
	as a "proxy" of the original value so that it can be edited
	without effecting the window, it shouldn't have the same
	name as the method in the parent class anyway.  The new
	window decoration code was calling this method.
	* Palettes/1Windows/main.m: [GormWindowAttributesInspector
	_setValuesFromControl:] and [GormWindowAttributesInspector
	_getValuesFromObject] changed to use new method name.

2004-08-21 00:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSPanel.m:
	* Palettes/1Windows/GormNSWindow.m: Added code to prevent
	redundant release and subsequent crash.

2004-08-18 00:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassEditor.m: Cleaned up some code.
	* GormClassInspector.m: Added code in the data source for
	both the GormActionDataSource and GormOutletDataSource
	classes in the class inspector to call the method in
	GormDocument which removes connections when a connections'
	name changes.  Corrects Bug #100026.
	* GormMenuEditor.m: If a menu item being added to a popup
	has a submenu, reject it.

2004-08-13 18:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Disabled class parser menu item in [Gorm
	validateMenuItem:].
	* GormClassManager.m: [GormClassManager parseClass:]
	commented out contents of this method.   The class
	parser needs to be replaced and it shouldn't be
	used until it's rewritten.

2004-08-12 21:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: [Gorm validateMenuItem:] deselect the cut, delete,
	paste, etc. items for top level objects which cannot be
	removed.
	* GormDocument.m: Simplified implementation of
	[GormDocument isTopLevelObject:] to simply check in the
	set of top level objects.

2004-08-11 22:41 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.[hm]: Added back isTopLevelObject:.

2004-08-11 07:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Removed the delegate and data source
	for the outline view.   Changed the code in init to use
	the GormClassEditor as the outline view, instead of
	instantiating two different classes.   I also changed
	the coded in other areas where "classEditor" was being
	used.  Removed an uneeded method.
	* GormClassEditor.m: Added the delegate here.   Added the
	initialization code from GormDocument init to the init
	method here.
	* GormPrivate.h: Made GormClassEditor into a subclass
	of GormOutlineView.  This ultimately makes the code
	cleaner as it unifies the view/editor for the class
	editor.

2004-08-09 17:18 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormFilePrefsManager.m: The method showIncompatibilities:
	added call to "center" method on iwindow so that the
	incompatibilities window shows up in the center of the
	screen.

2004-08-08 16:46 Gregory John Casamento <greg_casamento@yahoo.com>

	* Resource/GormDocument.gorm: Made text label lengths a
	little longer.

2004-08-08 16:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/0Menus/GormNSMenu.m: Changed the code in
	handleNotification to not call edited object blindly.
	It now checks to make sure the object responds to the
	message before calling.

2004-08-08 13:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/1Windows/GormNSWindow.m: Removed some debugging
	information.

2004-08-08 13:23 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.[hm]: Added ivar isDocumentOpened
	to track when document is opened and closed.
	The document was being made active while closing and was
	causing an issue with some of the windows in the document
	being edited being brought to the front even though the
	document itself had been deallocated.  This is the
	permanent fix for the previously discovered issue.
	* Palettes/1Windows/GormNSWindow.m: Added canBecomeKeyWindow
	which returns NO.  The edited window should never be able
	to become either key or main window within the application.

2004-08-07 06:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormObjectEditor.m: Temporary fix for recently discovered
	crash.

2004-08-06 07:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/GormMenuEditor.m: Added rightMouseDown: method
	to effectively ignore when the right mouse button is
	pressed when over a menu that is being edited.  This was
	causing the problem described in Bug#9827.

2004-08-05 01:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/GormNSMenu.m: Added code in the initWithCoder:
	method to subscribe to the notification which indicates
	a selection change.  When the notification is recieved,
	if the menu is owned by a popup the menu is closed.  This
	corrects Bug#9771.

2004-08-04 01:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPalettesManager.m: -[GormPalettesManager loadPalette:]
	added code to made sure that the palette view cannot exceed
	the maximum size.  This prevents accidentally causing the
	issue cited in the previous entry.

2004-08-04 00:52 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: -[GormDocument setupDefaults:] changed
	size of the window for a new palette.  If it's too big it
	causes problems with event handling in the palettes.
	* Palettes/2Controls/GNUmakefile: Added ControlsPalette.gorm
	* Palettes/2Controls/main.m: Removed much of the code
	from the ControlsPalette class.  It's not needed now
	that the palette uses a .gorm file.
	* Palettes/2Controls/ControlsPalette.gorm: New gui for the
	palette.

2004-08-02 23:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormViewEditor.m: Added stub for initWithCoder just for
	completeness.
	* Palettes/2Controls/GormButtonEditor.m: Change references
	to xDist and yDist to new names from NSCell.h

2004-08-02 08:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPalettesManager.m: Clarified error message when
	unable to load palettes.

2004-08-02 00:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPrefController.m: Center the window the prefs appear
	in.  Changed [GormPrefController awakeFromNib] to center
	the window.

2004-08-02 00:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/inspectors.m: Reversion of previous
	change.   The real problem was that in setObject: the
	_setValuesFromObject: method was being called unnecessarily.
	The call has been removed.

2004-08-01 23:17 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBEditors.m: Removed some old comments which are
	no longer pertinent.   Added documentation for all methods.
	* GormLib/IBObjectAdditions.m: Added documentation for all
	methods.
	* GormLib/IBPalette.h: Clarified documentation of one of
	the methods.
	* Palettes/0Menus/GormNSMenu.m: Removed some old commented
	out code.  Changed superclass of GormNSMenuWindow to NSPanel.
	* Palettes/2Controls/inspectors.m: Made the first two lines
	conditional for NSForm and subclasses.  These were causing
	a bug which was making it difficult to edit button matrices
	since the title would revert when clicking on on the next
	button.  This corrects issue #9830.

2004-07-27 02:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormLib/IBInspector.m: Change the name of the method called
	when receiving IBDocumentWillCloseNotification to _releaseObject:
	instead of handleNotification:.  This prevents confusion as some
	of the subclasses define handleNotification for other
	purposes.
	* GormDocument.m: Modified the code in instantiateObject so that
	NSView itself can be instantiated.


2004-07-27 02:15 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Cleaned up some commented out code.
	* GormDocument.m: Added code in [GormDocument instantiateClass]
	to add the appropriate information to the document when an
	NSView subclass is instantiated in the classes view.
	This is for "standalone view" support.  Some additional cleanup.
	* GormGenericEditor.m: The editor wasn't calling
	[GormDocument editor:didCloseForObject:] as it should when the
	editor is closed. Added implementation for isOpened to give
	any subeditors the correct response when the editor is opened.
	* GormInternalViewEditor.m: Added code to show the appropriate
	image when we have a standalone view in the document.
	* GormPrivate.h: Added declaration for isOpened to
	GormGenericEditor class declaration.
	* GormViewEditor.h: Added ivar for GormViewWindow.
	* GormViewEditor.m: Added code in activate, deactivate, and
	resetObject to properly show the standalone view.  This allows
	the user to see and edit the view.
	* GormViewWindow.[hm]: completed implementation of this class
	for use by the GormViewEditor.
	* GormLib/IBEditors.h: Properly documented resetObject.
	* GormLib/IBInspector.m: Added code which releases objects held
	by the inspector after the document has been released.  This
	prevents problems with old objects being retained in memory
	by the inspectors until another object is selected.
	* Palettes/0Menu/GormNSMenu.m: corrected a crash caused by a
	recent change.
	* Palettes/3Containers/GormNSOutlineView.m: Added
	allocSubstitute method.
	* Palettes/3Containers/GormNSTableView.m: Added
	allocSubstitute method.

2004-07-20 20:04 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Leak fixes and general clean up.
	* GormGenericEditor.m: Same.
	* GormImageEditor.m: Same.
	* GormViewEditor.h: Same.
	* GormWindowEditor.m: Same.
	* Palettes/0Menus/GormMenuEditor.m: Same.
	* Palettes/0Menus/GormNSMenu.m: Same.
	* Palettes/1Windows/GormNSPanel.h: Added new method so that the
	window setting "is released when closed" is saved, but doesn't
	effect the window displayed in Gorm.  This presents some tricky
	memory management problems.
	* Palettes/1Windows/GormNSPanel.m: Same.
	* Palettes/1Windows/GormNSWindow.h: Same.
	* Palettes/1Windows/GormNSWindow.m: Same.
	* Palettes/1Windows/main.m: Added code necessary in the
	inspector to use the new method.

2004-07-17 17:54 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormFilePrefsManager.m: Removed reference to math.h and values.h
	in includes.   They were there temporarily for something which I
	ended up not doing anyway.   Causing compilation problem on FreeBSD.

2004-07-15 21:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Added a check in applicationDidFinishLaunching:
	to make certain the user is using the right version of GNUstep
	by checking for a recent signature change in GSNibContainer.
	* ClassInformation.plist: Added redo: and undo: to the list of
	methods on the first responder.
	* GormFilePrefsManager.m: Changed a lot of the NSLogs to
	NSDebugLog.

2004-07-12 23:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormImageEditor.m: [GormImageEditor initWithObject:inDocument:]
	added call to [GormPalettesManager importedImages] to return
	the images imported by any custom palettes.
	* GormSoundEditor.m: [GormSoundEditor initWithObject:inDocument:]
	added call to [GormPalettesManager importedSounds] to return
	the sounds imported by any custom palettes.
	* GormPalettesManager.m: Changed the return of
	[GormPalettesManager importClasses:withDictionary:], added
	[GormPalettesManager importImages:withBundle:],
	[GormPalettesManager importSounds:withBundle:],
	[GormPalettesManager importedImages], and
	[GormPalettesManager importedImages].  These methods are
	used to get the images and sounds from a palette so that
	they can be used from Gorm by the user.
	* GormPalettesManager.h: Added banner.


2004-07-11 23:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: saveGormDocument.m: Changes to prevent a
	new gorm from being saved twice.  This was an innocuous problem
	as it would simply overwrite the same .gorm with itself.
	Added code to set isOlderArchive in loadDocument: method.
	Added code to call [GormFilePrefsManager setClassVersions] and
	[GormFilePrefsManager restoreClassVersions] in beginArchiving and
	endArchiving respectively to set and reset the versions of classes
	which need to be used for each .gorm file version to be saved.
	Updated changeView: method to switch to the filePrefsView when clicking
	on the button.
	Added code to the toolbar delegate to add the "File" button to the
	document toolbar.
	Added code to loadDocument to load the data.info file if it's
	present, if not
	we simply use the defaults.
	* GormDocument.h: Added new ivars for isOlderArchive, filePrefsView,
	and filePrefsManager.
	* GormFilePrefsManager.[hm]: New files.
	* GormPalettesPref.[hm]: New files.
	* GormPrefsPalette.gorm: new interface for palette loading.
	* GormDocument.gorm: Updated with new window to view
	incompatibilities and controller for new "file" document
	button.
	* GormPreferences.gorm: Addition of palettes in pulldown.
	* GormClassManager.[hm]: Added
	- (BOOL) addClassNamed: (NSString*)class_name
	     withSuperClassNamed: (NSString*)super_class_name
	        withActions: (NSArray*)_actions
		withOutlets: (NSArray*)_outlets
		isCustom: (BOOL) isCustom;
	So that classes can be added with out adding them to the custom
	list.
	Added logic in "init" to get the list of classes imported by
	the palettes manager and add them into the master list of classes.
	This allows the user to work with the classes added by the palette.
	* GormFunctions.[hm]: appVersion function to calculate a useful value
	which can be used to compare against easily when reading.  This will
	allow gorm to tell if this file was created with an older or newer
	version of Gorm.app and take appropriate action.
	* GormObjectEditor.m: Added capability to place non-UI instances in the
	objects view directly.  This will allow the user to place arbitrary
	non-ui objects in a Gorm file.  It will be useful for adding DB objects
	or other things which a .gorm file might need.
	* GormPalettesManager.[hm]: Added [GormPalettesManager importedClasses]
	and [GormPalettesManager importClasses:withDictionary:] adds the
	classes from the list in the palette.table.
	* GormLib/IBPalette.h: Changed name of ivar.  This ivar wasn't properly
	named.  It should have been originalWindow.  This issue was causing the
	.gorm load to not make a needed connection.
	* GormLib/IBPalette.m: Change to read palette.table as a property list
	instead of strings file format.  This was needed to facilitate the
	reading of all of the classes, sounds and images a palette might
	import.  Also modified to correctly load the nib file.
	* Palettes/0Menus/main.m: Corrected window to originalWindow as
	detailed above.  It was referred to in a few places by the old name.
	* Palettes/1Windows/main.m: same.
	* Palettes/2Controls/main.m: same.
	* Palettes/3Containers/main.m: same.
	* Palettes/4Data/main.m: same.
	* Palettes/2Controls/inspectors.m: Change to clarify the autoenable
	switch on pulldown buttons.
	* Palettes/2Controls/GormNSPopUpButtonInspector.gorm: Corresponding
	.gorm file change for the above.  Added new outlet and made new
	connection.

2004-07-09 16:24 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormNSTableViewInspector.gorm: Missing
	connection to ok: from the tag form was causing the table
	not to save the value.

2004-06-30 20:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Added "Compatibility Warning" alert panel
	to [GormDocument saveGormDocument:].  If the user loads a
	version 0 file and saves it will give a warning telling the
	user that the new version isn't compatible with older
	releases of GNUstep.
	* GormDocument.h: Added ivar to keep track of whether we
	are going to upgrade the version of the .gorm file or not.

2004-06-30 01:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: [GormDocument loadDocument:] the application
	was not picking up subclasses of GSNibItem (GormObjectProxy)
	properly from version 0 files.  I needed to add a loop which
	iterates through the objects, since the GormObjectProxy doesn't
	call the super class's initWithCoder: method.

2004-06-28 23:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: -[Gorm testInterface:] changed awakeWithContext: call
	to use new signature.
	* GormDocument.m: [GormDocument rebuildObjToNameMapping]
	added logic to add all of the objects in the topLevelObjects
	set to the objects view.  Modified
	[GormDocument attachObject:toParent:] so that any top level
	object which is attached, such as a window, the main, menu,
	or a controller is automatically added to the topLevelObjects
	set.  Modified [GormDocument loadDocument:] so that the
	topLevelObjects set is properly merged into the current
	document's data structures.  [GormDocument setupDefaults:]
	removed explicit call to [GormDocument setName:forObject:]
	since the attachObject:toParent: method automatically makes
	the new menu in a .gorm which doesn't have any menus the
	main menu and adds it to the topLevelItems array.
	* GormPalettesManager.m: Removed some of the palette prefs
	code for now so I could concentrate on the version update.
	* GormSoundView.m: Commented out currently unused function.
	* Resources/Gorm.gorm: Updated to a version 1 gorm file.
	This prevent someone from running the new Gorm with the old
	gnustep which doesn't contain the recent changes.

2004-06-27 08:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: -[Gorm testInterface:] removed NSWindowsMenu and
	NSServicesMenu from the nameTable of the .gorm being tested.
	This prevents an exception because of problems re-setting
	these on the fly.
	* GormPalettesManager.m: The beginnings of getting the
	palettes from a default rather than being hardcoded.  This
	allows greater flexibility in adding custom palettes to
	Gorm later on.

2004-06-26 18:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPalettesManager.m: Removed line in -init which observes
	IBDidDeleteConnectionNotification in GormConnectionInspector.
	It was causing a number of bugs since it could potentially modify
	the connection prior to adding it to the connections list.  Added
	method _selectAction: which is used to select the action without
	going through all of the other code in _internalCall:.
	* GormDocument.m: Added code in NSNibConnector category to let
	isEqual immediately return true if the object and self are precisely
	the same object.
	* GormClassInspector.m: Added code to change the color
	of the textfield to grey if the class isn't editable and to white
	if the class name is editable.

2004-06-26 08:25 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPalettesManager.m: There was problem which crops up when the
	user has many connections to the same object both action/outlet
	in the same list.  When disconnecting it the inspector,
	because of a memory leak, was deleting the outlet & the
	action following it.   This was happening inconsistently and
	would cause a blank line to appear in the connections inspector
	when the user would click on the object.  This was reported as
	Bug #9461.

2004-06-25 01:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: [GormDocument(GormOutlineDataSource)
	outlineView:setObjectValue:forTableColumn:byItem:] added
	code to ignore the value which comes if it is nil.  This
	corrects a recent problem caused by a "fix" in gui's
	NSTableView.
	* GormClassInspector.m: Changes to allow the user to change
	the class name when it's a custom class that's being edited.
	* GormClassInspector.gorm: Changes to facilitate the above
	modification.

2004-06-24 01:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: [Gorm close:] the window is already released when
	the document is released and the code had an
	"setReleasedWhenClosed" which was call which was causing
	an extra release and subsequently a core dump when selecting
	the "Close" item from the document menu.

2004-06-24 01:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Additions to [GormDocument attachObject:
	withParent:], [GormDocument loadDocument:], [GormDocument
	setupDefaults:] to move the main menu appropriately when
	it is either added to the documnent, loaded, or added when
	the user selects the "Application" type from the New menu.
	This helps alleviate confusion when editing the menu.

2004-06-22 23:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: A fix in  -[GormDocument pasteType:
        fromPasteboard: parent:] to retain objects unarchived
	from the pasteboard to prevent a recently discovered
	segfault.

2004-06-21 23:33 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m: Added code to openGModel: to more automatically
	detect what actions should be added to FirstResponder.  This
	facilitates importing the .gmodel without even needing the
	header file.  All of the information necessary to convert the
	interface can be gleaned from the .gmodel information.

2004-06-18 23:40 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 0.7.7

2004-06-15 01:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormPalettesManager.m: [GormPalettesManager mouseDown:] a
	call to convertRect:toView: was added to correctly translate the
	view being dragged in all cases.   This will show no real benefit
	until Alex M. adds the window decoration patches.

2004-06-10 01:28 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: [Gorm testInterface] added code in the exception
	handler to show an alert panel when an exception occurs along
	with a warning (and the actual exception, of course).  This
	allows users to see what the issue was when trying to test
	the interface.

2004-06-07 23:59 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInspectorsManager.m: [GormConnectionInspector setObject:]
	corrected code to call "isConnecting" before blindly causing the
	inspector to show the connection on the selected object.  This
	was interfering with the user making connections in some cases.

2004-06-06 21:57 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/3Containers/GormNSOutlineView.h: added ivar
	_savedColor.  This is used to save the color during selection.
	* Palettes/3Containers/GormNSTableView.h: same as above.
	* Palettes/3Containers/GormNSTableView.m: implemented select
	and unselect methods to allow the color to be saved when the object
	is selected.
	* Palettes/3Containers/GormNSOutlineView.m: same as above.

2004-06-06 08:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormImageEditor.m: Corrected comments.

2004-06-04 23:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormImageEditor.m: Added some code to correct a problem found
	by Riccardo Mattolla and Sungjin Chun.   The code is as suggested
	by Sujin, to return when the superview is not available.
	* GormSoundEditor.m: same as above.
	NOTE: This was due to a recent change to load all images for
	easy access by the user.  Apparently, Linux is a little more
	forgiving that some other OSes. :)

2004-06-03 00:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.h: Added "lastEditor" ivar to hold the last editor
	selected by the document.
	* GormDocument.m: In [GormDocument setDocumentActive:] used
	lastEditor to reset the selection to the current one for the document
	selected.  This causes the inspector to switch to the appropriate
	inspector for the object currently being edited in that document.

2004-06-03 00:43 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Removed code in the testInterface: method to allow
	NSBrowser, NSTableView, and NSOutlineView display correctly in
	testing mode.
	* GormDocument.m: Moved the code in loadDocument: into a NS_DURING
	block to catch any exceptions thrown during loading of a .gorm file.
	This will facilitate recovery of the application when a problem is
	encountered while loading the file and will allow the user to continue
	using the application despite the issue.

2004-05-30 22:37 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: [GormFirstResponder connectInspectorClassName]
	made it return the "not applicable" inspector instead of the
	connections inspector for this.  The FirstResponder shouldn't be
	able to make outlet connections.

2004-05-29 23:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormInspectorsManager.m: [GormConnectionsInspector _internalCall:]
	The search for an existing control connection was leaving the
	con variable set to a outlet connection (occasionally) which caused
	later logic to not properly set the action list and prevented the user
	from selecting an action.

2004-05-29 23:10 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: [Gorm testInterface:] removed conditional.  The services
	menu is always set to nil when testing. [Gorm endTesting:] added
	a NS_DURING block to catch any issues with resetting the services menu.
	This prevents Gorm from crashing, if there's a problem.  Since the
	menu is set to nil and then reset there shouldn't be an issue.

2004-05-29 16:00 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: [GormDocument attachObject:] added code
	to automatically mark a menu being attached as the
	windows/services menu if it has the appropriate title.
	Also changed [GormDocument detachObject:] added code to
	remove the menu as the services/windows menu if it's detached
	from the document.

2004-05-29 08:56 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/2Controls/main.m: Had some DOS formatted lines.   Simply
	converted to UNIX format.
	* Palettes/3Containers/main.m: Changed the default border type
	for both NSTableView and NSOutlineView to NSBezelBorder in
	-finishInstantiate.
	* Palettes/4Data/main.m: Changed the default border type for the
	NSTextView to NSBezelBorder in -finishInstantiate.

2004-05-29 07:30 Gregory John Casamento <greg_casamento@yahoo.com>

	* Palettes/4Data/GormNSComboBoxInspector.gorm: Improved the layout
	a little.

2004-05-28 21:48 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: Corrected a problem the the renameClassNamed:
	newName: method.   It was releasing the classInformation and causing
	a crash.

2004-05-25 07:01 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: [Gorm testInterface:] added code to save the services
	menu and set the current one to nil, if one is not defined in the
	.gorm file.  This prevents the annoying "Services Menu not in main
	menu" warning.
	* GormPrivate.h: Added servicesMenu ivar.

2004-05-24 10:22 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: [GormDocument awakeFromNib] added call
	to [NSToolbar setUsesStandardBackgroundColor:] to make the
	background light-grey instead of clear.

2004-05-22 12:31 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: [Gorm validateMenuItem:] removed code which greys
	out the add/remove for first responder.  This was preventing
	people from adding in the classes view.

2004-05-21 07:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Removed the infoPanel method.
	* GormInfo.plist: Added all of the information to this file to
	produce an identical info panel as before.
	* Gorm.gorm: Changed info menu so that "orderFrontStandardInfoPanel:"
	is called.

2004-05-19 07:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.gorm: Added.  This replaces much of the code which
	was once in [GormDocument init].
	* Gorm.m: Missing definition for GormLinkPboardType added.
	* GormDocument.h: Removed selectionView, added toolbar.
	* GormDocument.m: Added include for NSNibLoading and NSToolbar
	and removed some of the old rect declarations for creating the GUI.
	Portions of this will stay hard-coded, since the editors
	all need to be initialized with the document.   Moved some
	of the initialization around.   Added awakeFromNib method to
	load the toolbar and the toolbar delegate methods.

2004-05-18 07:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m: Changed reference to the class loader.
	* Gorm.m: Added code to inactivate menu items when a
	class isn't selected.   Moved some code to decide what is
	instantiable to the GormClassManager.
	* GormDocument.m: Moved the parseHeader: method to
	GormClassManager where it belongs.  All methods dealing with
	loading classes into Gorm or creating class files from data within
	the application belong in GormClassManager.  Changed references
	to the call where appropriate in the code.   Added document as
	observer when a class is added.  This is to help factilitate the
	move of the parseHeader method.   Moved the init method near the top
	of the file.
	* GormClassManager.m: added parseHeader method to process headers
	into data usable by Gorm.  Added an instance variable to cache the
	document when a class manager is instantiated.   The class manager
	needs to communicate with the document it belongs to frequently.
	* GormSoundInspector.m: Backed out previous change.
	* GormSoundInspector.h: Removed _currentSound ivar.

2004-05-16 07:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: in testInterface: bring the temporary menu to the
	front.   There has been an issue with it sometimes not
	displaying.   In endTesting bring the normal menu to the front.
	In unhide, bring the menu to the front.
	* GormLib/IBPalette.[hm]: Added paletteDocument method as
	per specs.  Currently this method will return nil unless
	the ivar is set to something conforming to IBDocuments.

2004-05-16 07:20 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormSoundEditor.m: Added methods to GormSound class to
	show the "not applicable" inspector on all options but the
	attributes inspector.
	* GormImageEditor.m: same as above for GormImage.
	* GormInspectorsManager.m: Added code to show "Sound Inspector"
	or "Image Inspector" when appropriate for either GormSound or
	GormImage respectively.

2004-05-15 23:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormImageInspector.gorm: Repositioned fields.

2004-05-15 16:19 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: [GormDocument init] changed initialization
	of scrollviews to allow horizontal scroller to be used.
	* GormImageInspector.gorm: resized some of the fields which
	were too short.

2004-05-15 12:42 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormFunctions.[hm]: added function to get all system sounds.
	NOTE: Current there aren't any, but why wait?  I'm assuming
	that they'll go into $GNUSTEP_SYSTEM_ROOT/Library/Sounds.
	* GormSoundEditor.m: Added call to add all system sounds
	to the editor.

2004-05-15 11:14 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Add call to [GormDocument closeAllEditors] to
	avoid a crash when the user attempts to open a document, then
	cancels.   The document wasn't properly released.
	* GormDocument.h: Removed the images and sounds arrays.  This
	information is kept in the editor and these arrays are redundant.
	Also exposed the closeAllEditors method.
	* GormDocument.m: Removed references to the images and sounds
	array.  Changed load/save logic to use the list from the editors
	themselves.
	* GormFunctions.[hm]: Added function to retrieve the names of the
	images from the system directory named systemImagesList().
	* GormImageEditor.m: Modified to call the new function and add the
	images to the editor when it is first instantiated.
	* GormPrivate.h: Added objects method to GormGenericEditor's interface.
	* GormSoundInspector.h: Changed _currentSound to id.
	* GormSoundInspector.m: Uses _currentSound to make certain that the
	same GormSound object isn't reinspected, thus wasting time loading
	it over and over.

2004-05-14 22:11 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: [GormDocument _closeAllEditors]
	mocified to use secondary array.  The close method
	causes the editor to call editor:didCloseForObject: which
	modifies the openEditors array while the "close" message
	is being sent to all of the objects.  To avoid any issues
	with the array potentially being changed while this is happening
	I add all of the objects to another array execute the method
	on all objects of that and empty both the original and the copy.
	* GormSoundInspector.m: Corrected an issue where the sound
	wasn't immediately being set into the inspector.

2004-05-14 17:46 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormButtonEditor.[hm]: Moved to the Controls palette, removed from
	the main directory.   In general, inspectors and editors should
	appear in the palette which provides those things.
	* GormTabViewEditor.[hm]: Moved to Containers palette.

2004-05-14 11:36 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormButtonEditor.m: Added a line between some methods to
	improve readability.
	* GormDocument.m: [GormDocument instantiateClass:] removed
	extra release for an object being added to the objectsView
	which is already autoreleased (in setName:forObject:).
	* GormInspectorsManager.m: [GormNotApplicableInspector setObject:]
	method removed.  This was a temporary hack until the memory leak
	was located.

2004-05-14 02:39 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormClassManager.m: Moved the call to _touch to the bottom of
	all of the methods.   This should be called only after all changes
	have been made to the class.
	* GormImageInspector.m: setObject: wasn't calling [super setObject:]
	* GormInspectorsManager.m: [GormNotApplicableInspector setObject:]
	added code to prevent crash.
	* GormObjectEditor.m: Removed some commented-out code.
	* GormSoundInspector.m: Added code to set the _currentSound to nil if
	the selection sent is empty.
	* GormPreferences.gorm: Added line.

2004-05-13 18:47 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Removed some commented out code.  Removed commented out
	RELEASE statements, now that AUTORELEASE is used.
	* GormDocument.m: [GormDocument dealloc] added openEditors to the
	set of things released.  [GormDocument editorForObject:create:] when
	a new editor is created, add it to the master list of editors.   This
	makes it easier to send the close message to all of the editors upon
	shutdown.  [GormDocument editor:dicCloseForObject:] removes the editor
	from the list of editors. [GormDocument _closeAllEditors] closes all
	of the editors in the document using the new list.
	* GormDocument.h: Added member variable openEditors.
	* Palettes/GormMenuEditor.m: Added category to allow testing when
	a menu is visible so that we can avoid sending the close message to
	it.  This prevents the harmless message "Invalidparm: ordered invalid
	window 0" from appearing when the document is being closed.

2004-05-13 01:03 Gregory John Casamento <greg_casamento@yahoo.com>

	NOTE: These changes might unstabilize things a bit.
	* Gorm.m: The document is now autoreleased when it is instantiated.
	This change was made in [Gorm application:openFile:],[Gorm open:],
	[Gorm newGormDocument:].
	* GormDocument.m: Addition of a method called
	[GormDocument _closeAllEditors] this closes all of the editors from
	the handleNotification method before the any objects are ultimately
	released.  Removal of old, commented out GormFontManager
	implementation. Streamlined the dealloc method to make certain
	everything is released.  Also changed the window in the init
	method so that it doesn't release itself when it's closed by
	the user. This allows for a more controlled shutdown.
	* GormDocument.h: Minor code cleanup.
	* GormGenericEditor.[hm]: Added activate, closed ivars.  Also added
	code in close and activate to make use of them. Added code in
	dealloc to call [GormGenericEditor close] if there the flag
	indicates the editor is open.  Also moved some common, trivial,
	operations to the parent class implementation of
	initWithObject:inDocument:.
	* GormObjectEditor.m: Added code in close to remove the document
	from the map.  This eliminates a crash which was occurring.
	* GormSoundEditor.m: Same.
	* GormImageEditor.m: Same.
	* GormViewEditor.m: Re-arranged the initWithObject:inDocument:.
	* GormWindowEditor.m: Same.
	* GormMenuEditor.m: Same.

2004-05-10 21:45 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: [GormDocument handleNotification:] was failing
	to remove the document as an observer in the notification center.
	This was causing the old document to be retained and was, also causing
	"Test Interface" to fail randomly because the notifcation cetner
	was still attempting to reach the old document.

2004-05-10 11:58 Gregory John Casamento <greg_casamento@yahoo.com>

	* Gorm.m: Update version to 0.7.7 (Alpha) to avoid confusion between
	users using the release and users using CVS.

2004-05-10 09:55 Gregory John Casamento <greg_casamento@yahoo.com>

	* Version 0.7.6

2004-05-10 09:08 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: Corrected an issue when creating an
	"Inspector" or "Palette" in [GormDocument setupDefaults:].
	The method was creating an NSWindow which doesn't respond
	to one of the methods the inspector needs it to.
	* GormSetName.gorm: Reduced the line to 2 pixels high to make it
	look a little better.

2004-05-09 10:16 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m: defineClass:inFile: changed signature
	to take the object and get the classname from it.  This allows
	a call to add the class under an assumed superclass, if the user
	says no to the query.  Also in loadGModel: added code to pull
	the outlet/action from the connections and add them to the class
	if they are not present on the imported header.  This also allows,
	in the above case, for Gorm to automatically get all outlets/actions
	from the gmodel.

2004-05-08 08:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* GormDocument.m: [GormDocument loadDocument:] added code
	to prevent users from invoking "open objects.gorm" or opening
	"objects.gorm" directly when in GWorkspace.  This caused Gorm
	to convert the objects.gorm file as if it were an old-style file
	before gorm packages.  It now issues a warning.  Also added code
	to [GormDocument openDocument:] to check for a duplicate open
	of a model which is already opened.  This can cause confusion.
	* Gorm.m: Added a new method [Gorm documentNameIsUnique:] which
	checks all existing open documents for a duplicate name and
	returns NO, if it's not unique.
	* GormPrivate.h: Added declaration of the method mentioned above
	to the Gorm class interface.

2004-05-08 08:53 Gregory John Casamento <greg_casamento@yahoo.com>

	* GModelDecoder.m: [GModelDecoder openGModel:]
	Corrected issue which was causing a crash.
	* GormDocument.m: Cleaned up a memory leak.  Commented/Documented
	the location / justification for all memory operations.
